require '_h2ph_pre.ph';

no warnings qw(redefine misc);

unless(defined(&_CXL_MEM_H_)) {
    eval 'sub _CXL_MEM_H_ () {1;}' unless defined(&_CXL_MEM_H_);
    require 'linux/types.ph';
    eval 'sub CXL_MEM_QUERY_COMMANDS () { &_IOR(0xce, 1, \'struct cxl_mem_query_commands\');}' unless defined(&CXL_MEM_QUERY_COMMANDS);
    eval 'sub CXL_MEM_SEND_COMMAND () { &_IOWR(0xce, 2, \'struct cxl_send_command\');}' unless defined(&CXL_MEM_SEND_COMMAND);
    eval 'sub CXL_CMDS () { &___C( &INVALID, "Invalid Command"),  &___C( &IDENTIFY, "Identify Command"),  &___C( &RAW, "Raw device command"),  &___C( &GET_SUPPORTED_LOGS, "Get Supported Logs"),  &___C( &GET_FW_INFO, "Get FW Info"),  &___C( &GET_PARTITION_INFO, "Get Partition Information"),  &___C( &GET_LSA, "Get Label Storage Area"),  &___C( &GET_HEALTH_INFO, "Get Health Info"),  &___C( &GET_LOG, "Get Log"),  &___C( &SET_PARTITION_INFO, "Set Partition Information"),  &___C( &SET_LSA, "Set Label Storage Area"),  &___C( &GET_ALERT_CONFIG, "Get Alert Configuration"),  &___C( &SET_ALERT_CONFIG, "Set Alert Configuration"),  &___C( &GET_SHUTDOWN_STATE, "Get Shutdown State"),  &___C( &SET_SHUTDOWN_STATE, "Set Shutdown State"),  &___C( &GET_POISON, "Get Poison List"),  &___C( &INJECT_POISON, "Inject Poison"),  &___C( &CLEAR_POISON, "Clear Poison"),  &___C( &GET_SCAN_MEDIA_CAPS, "Get Scan Media Capabilities"),  &___C( &SCAN_MEDIA, "Scan Media"),  &___C( &GET_SCAN_MEDIA, "Get Scan Media Results"),  &___C( &MAX, "invalid / last command");}' unless defined(&CXL_CMDS);
    eval 'sub ___C {
        my($a, $b) = @_;
	    eval q( &CXL_MEM_COMMAND_ID_$a);
    }' unless defined(&___C);
    eval("sub CXL_CMDS () { 0; }") unless defined(&CXL_CMDS);
    undef(&___C) if defined(&___C);
    eval 'sub ___C {
        my($a, $b) = @_;
	    eval q({ $b });
    }' unless defined(&___C);
    undef(&___C) if defined(&___C);
    eval 'sub CXL_MEM_COMMAND_FLAG_MASK () { &GENMASK(1, 0);}' unless defined(&CXL_MEM_COMMAND_FLAG_MASK);
    eval 'sub CXL_MEM_COMMAND_FLAG_ENABLED () { &BIT(0);}' unless defined(&CXL_MEM_COMMAND_FLAG_ENABLED);
    eval 'sub CXL_MEM_COMMAND_FLAG_EXCLUSIVE () { &BIT(1);}' unless defined(&CXL_MEM_COMMAND_FLAG_EXCLUSIVE);
}
1;
