require '_h2ph_pre.ph';

no warnings qw(redefine misc);

unless(defined(&_LINUX_IF_LINK_H)) {
    eval 'sub _LINUX_IF_LINK_H () {1;}' unless defined(&_LINUX_IF_LINK_H);
    require 'linux/types.ph';
    require 'linux/netlink.ph';
    eval("sub IFLA_UNSPEC () { 0; }") unless defined(&IFLA_UNSPEC);
    eval("sub IFLA_ADDRESS () { 1; }") unless defined(&IFLA_ADDRESS);
    eval("sub IFLA_BROADCAST () { 2; }") unless defined(&IFLA_BROADCAST);
    eval("sub IFLA_IFNAME () { 3; }") unless defined(&IFLA_IFNAME);
    eval("sub IFLA_MTU () { 4; }") unless defined(&IFLA_MTU);
    eval("sub IFLA_LINK () { 5; }") unless defined(&IFLA_LINK);
    eval("sub IFLA_QDISC () { 6; }") unless defined(&IFLA_QDISC);
    eval("sub IFLA_STATS () { 7; }") unless defined(&IFLA_STATS);
    eval("sub IFLA_COST () { 8; }") unless defined(&IFLA_COST);
    eval("sub IFLA_PRIORITY () { 9; }") unless defined(&IFLA_PRIORITY);
    eval("sub IFLA_MASTER () { 10; }") unless defined(&IFLA_MASTER);
    eval("sub IFLA_WIRELESS () { 11; }") unless defined(&IFLA_WIRELESS);
    eval("sub IFLA_PROTINFO () { 12; }") unless defined(&IFLA_PROTINFO);
    eval("sub IFLA_TXQLEN () { 13; }") unless defined(&IFLA_TXQLEN);
    eval("sub IFLA_MAP () { 14; }") unless defined(&IFLA_MAP);
    eval("sub IFLA_WEIGHT () { 15; }") unless defined(&IFLA_WEIGHT);
    eval("sub IFLA_OPERSTATE () { 16; }") unless defined(&IFLA_OPERSTATE);
    eval("sub IFLA_LINKMODE () { 17; }") unless defined(&IFLA_LINKMODE);
    eval("sub IFLA_LINKINFO () { 18; }") unless defined(&IFLA_LINKINFO);
    eval("sub IFLA_NET_NS_PID () { 19; }") unless defined(&IFLA_NET_NS_PID);
    eval("sub IFLA_IFALIAS () { 20; }") unless defined(&IFLA_IFALIAS);
    eval("sub IFLA_NUM_VF () { 21; }") unless defined(&IFLA_NUM_VF);
    eval("sub IFLA_VFINFO_LIST () { 22; }") unless defined(&IFLA_VFINFO_LIST);
    eval("sub IFLA_STATS64 () { 23; }") unless defined(&IFLA_STATS64);
    eval("sub IFLA_VF_PORTS () { 24; }") unless defined(&IFLA_VF_PORTS);
    eval("sub IFLA_PORT_SELF () { 25; }") unless defined(&IFLA_PORT_SELF);
    eval("sub IFLA_AF_SPEC () { 26; }") unless defined(&IFLA_AF_SPEC);
    eval("sub IFLA_GROUP () { 27; }") unless defined(&IFLA_GROUP);
    eval("sub IFLA_NET_NS_FD () { 28; }") unless defined(&IFLA_NET_NS_FD);
    eval("sub IFLA_EXT_MASK () { 29; }") unless defined(&IFLA_EXT_MASK);
    eval("sub IFLA_PROMISCUITY () { 30; }") unless defined(&IFLA_PROMISCUITY);
    eval("sub IFLA_NUM_TX_QUEUES () { 31; }") unless defined(&IFLA_NUM_TX_QUEUES);
    eval("sub IFLA_NUM_RX_QUEUES () { 32; }") unless defined(&IFLA_NUM_RX_QUEUES);
    eval("sub IFLA_CARRIER () { 33; }") unless defined(&IFLA_CARRIER);
    eval("sub IFLA_PHYS_PORT_ID () { 34; }") unless defined(&IFLA_PHYS_PORT_ID);
    eval("sub IFLA_CARRIER_CHANGES () { 35; }") unless defined(&IFLA_CARRIER_CHANGES);
    eval("sub IFLA_PHYS_SWITCH_ID () { 36; }") unless defined(&IFLA_PHYS_SWITCH_ID);
    eval("sub IFLA_LINK_NETNSID () { 37; }") unless defined(&IFLA_LINK_NETNSID);
    eval("sub IFLA_PHYS_PORT_NAME () { 38; }") unless defined(&IFLA_PHYS_PORT_NAME);
    eval("sub IFLA_PROTO_DOWN () { 39; }") unless defined(&IFLA_PROTO_DOWN);
    eval("sub IFLA_GSO_MAX_SEGS () { 40; }") unless defined(&IFLA_GSO_MAX_SEGS);
    eval("sub IFLA_GSO_MAX_SIZE () { 41; }") unless defined(&IFLA_GSO_MAX_SIZE);
    eval("sub IFLA_PAD () { 42; }") unless defined(&IFLA_PAD);
    eval("sub IFLA_XDP () { 43; }") unless defined(&IFLA_XDP);
    eval("sub IFLA_EVENT () { 44; }") unless defined(&IFLA_EVENT);
    eval("sub IFLA_NEW_NETNSID () { 45; }") unless defined(&IFLA_NEW_NETNSID);
    eval("sub IFLA_IF_NETNSID () { 46; }") unless defined(&IFLA_IF_NETNSID);
    eval("sub IFLA_TARGET_NETNSID () { IFLA_IF_NETNSID; }") unless defined(&IFLA_TARGET_NETNSID);
    eval("sub IFLA_CARRIER_UP_COUNT () { 1; }") unless defined(&IFLA_CARRIER_UP_COUNT);
    eval("sub IFLA_CARRIER_DOWN_COUNT () { 2; }") unless defined(&IFLA_CARRIER_DOWN_COUNT);
    eval("sub IFLA_NEW_IFINDEX () { 3; }") unless defined(&IFLA_NEW_IFINDEX);
    eval("sub IFLA_MIN_MTU () { 4; }") unless defined(&IFLA_MIN_MTU);
    eval("sub IFLA_MAX_MTU () { 5; }") unless defined(&IFLA_MAX_MTU);
    eval("sub IFLA_PROP_LIST () { 6; }") unless defined(&IFLA_PROP_LIST);
    eval("sub IFLA_ALT_IFNAME () { 7; }") unless defined(&IFLA_ALT_IFNAME);
    eval("sub IFLA_PERM_ADDRESS () { 8; }") unless defined(&IFLA_PERM_ADDRESS);
    eval("sub IFLA_PROTO_DOWN_REASON () { 9; }") unless defined(&IFLA_PROTO_DOWN_REASON);
    eval("sub IFLA_PARENT_DEV_NAME () { 10; }") unless defined(&IFLA_PARENT_DEV_NAME);
    eval("sub IFLA_PARENT_DEV_BUS_NAME () { 11; }") unless defined(&IFLA_PARENT_DEV_BUS_NAME);
    eval("sub IFLA_GRO_MAX_SIZE () { 12; }") unless defined(&IFLA_GRO_MAX_SIZE);
    eval("sub IFLA_TSO_MAX_SIZE () { 13; }") unless defined(&IFLA_TSO_MAX_SIZE);
    eval("sub IFLA_TSO_MAX_SEGS () { 14; }") unless defined(&IFLA_TSO_MAX_SEGS);
    eval("sub IFLA_ALLMULTI () { 15; }") unless defined(&IFLA_ALLMULTI);
    eval("sub IFLA_DEVLINK_PORT () { 16; }") unless defined(&IFLA_DEVLINK_PORT);
    eval("sub IFLA_GSO_IPV4_MAX_SIZE () { 17; }") unless defined(&IFLA_GSO_IPV4_MAX_SIZE);
    eval("sub IFLA_GRO_IPV4_MAX_SIZE () { 18; }") unless defined(&IFLA_GRO_IPV4_MAX_SIZE);
    eval("sub __IFLA_MAX () { 19; }") unless defined(&__IFLA_MAX);
    eval 'sub IFLA_MAX () {( &__IFLA_MAX - 1);}' unless defined(&IFLA_MAX);
    eval("sub IFLA_PROTO_DOWN_REASON_UNSPEC () { 0; }") unless defined(&IFLA_PROTO_DOWN_REASON_UNSPEC);
    eval("sub IFLA_PROTO_DOWN_REASON_MASK () { 1; }") unless defined(&IFLA_PROTO_DOWN_REASON_MASK);
    eval("sub IFLA_PROTO_DOWN_REASON_VALUE () { 2; }") unless defined(&IFLA_PROTO_DOWN_REASON_VALUE);
    eval("sub __IFLA_PROTO_DOWN_REASON_CNT () { 3; }") unless defined(&__IFLA_PROTO_DOWN_REASON_CNT);
    eval("sub IFLA_PROTO_DOWN_REASON_MAX () { __IFLA_PROTO_DOWN_REASON_CNT-1; }") unless defined(&IFLA_PROTO_DOWN_REASON_MAX);
    eval 'sub IFLA_RTA {
        my($r) = @_;
	    eval q((((($r)) +  &NLMSG_ALIGN($sizeof{\'struct ifinfomsg\'}))));
    }' unless defined(&IFLA_RTA);
    eval 'sub IFLA_PAYLOAD {
        my($n) = @_;
	    eval q( &NLMSG_PAYLOAD($n,$sizeof{\'struct ifinfomsg\'}));
    }' unless defined(&IFLA_PAYLOAD);
    eval("sub IFLA_INET_UNSPEC () { 0; }") unless defined(&IFLA_INET_UNSPEC);
    eval("sub IFLA_INET_CONF () { 1; }") unless defined(&IFLA_INET_CONF);
    eval("sub __IFLA_INET_MAX () { 2; }") unless defined(&__IFLA_INET_MAX);
    eval 'sub IFLA_INET_MAX () {( &__IFLA_INET_MAX - 1);}' unless defined(&IFLA_INET_MAX);
    eval("sub IFLA_INET6_UNSPEC () { 0; }") unless defined(&IFLA_INET6_UNSPEC);
    eval("sub IFLA_INET6_FLAGS () { 1; }") unless defined(&IFLA_INET6_FLAGS);
    eval("sub IFLA_INET6_CONF () { 2; }") unless defined(&IFLA_INET6_CONF);
    eval("sub IFLA_INET6_STATS () { 3; }") unless defined(&IFLA_INET6_STATS);
    eval("sub IFLA_INET6_MCAST () { 4; }") unless defined(&IFLA_INET6_MCAST);
    eval("sub IFLA_INET6_CACHEINFO () { 5; }") unless defined(&IFLA_INET6_CACHEINFO);
    eval("sub IFLA_INET6_ICMP6STATS () { 6; }") unless defined(&IFLA_INET6_ICMP6STATS);
    eval("sub IFLA_INET6_TOKEN () { 7; }") unless defined(&IFLA_INET6_TOKEN);
    eval("sub IFLA_INET6_ADDR_GEN_MODE () { 8; }") unless defined(&IFLA_INET6_ADDR_GEN_MODE);
    eval("sub IFLA_INET6_RA_MTU () { 9; }") unless defined(&IFLA_INET6_RA_MTU);
    eval("sub __IFLA_INET6_MAX () { 10; }") unless defined(&__IFLA_INET6_MAX);
    eval 'sub IFLA_INET6_MAX () {( &__IFLA_INET6_MAX - 1);}' unless defined(&IFLA_INET6_MAX);
    eval("sub IN6_ADDR_GEN_MODE_EUI64 () { 0; }") unless defined(&IN6_ADDR_GEN_MODE_EUI64);
    eval("sub IN6_ADDR_GEN_MODE_NONE () { 1; }") unless defined(&IN6_ADDR_GEN_MODE_NONE);
    eval("sub IN6_ADDR_GEN_MODE_STABLE_PRIVACY () { 2; }") unless defined(&IN6_ADDR_GEN_MODE_STABLE_PRIVACY);
    eval("sub IN6_ADDR_GEN_MODE_RANDOM () { 3; }") unless defined(&IN6_ADDR_GEN_MODE_RANDOM);
    eval("sub IFLA_BR_UNSPEC () { 0; }") unless defined(&IFLA_BR_UNSPEC);
    eval("sub IFLA_BR_FORWARD_DELAY () { 1; }") unless defined(&IFLA_BR_FORWARD_DELAY);
    eval("sub IFLA_BR_HELLO_TIME () { 2; }") unless defined(&IFLA_BR_HELLO_TIME);
    eval("sub IFLA_BR_MAX_AGE () { 3; }") unless defined(&IFLA_BR_MAX_AGE);
    eval("sub IFLA_BR_AGEING_TIME () { 4; }") unless defined(&IFLA_BR_AGEING_TIME);
    eval("sub IFLA_BR_STP_STATE () { 5; }") unless defined(&IFLA_BR_STP_STATE);
    eval("sub IFLA_BR_PRIORITY () { 6; }") unless defined(&IFLA_BR_PRIORITY);
    eval("sub IFLA_BR_VLAN_FILTERING () { 7; }") unless defined(&IFLA_BR_VLAN_FILTERING);
    eval("sub IFLA_BR_VLAN_PROTOCOL () { 8; }") unless defined(&IFLA_BR_VLAN_PROTOCOL);
    eval("sub IFLA_BR_GROUP_FWD_MASK () { 9; }") unless defined(&IFLA_BR_GROUP_FWD_MASK);
    eval("sub IFLA_BR_ROOT_ID () { 10; }") unless defined(&IFLA_BR_ROOT_ID);
    eval("sub IFLA_BR_BRIDGE_ID () { 11; }") unless defined(&IFLA_BR_BRIDGE_ID);
    eval("sub IFLA_BR_ROOT_PORT () { 12; }") unless defined(&IFLA_BR_ROOT_PORT);
    eval("sub IFLA_BR_ROOT_PATH_COST () { 13; }") unless defined(&IFLA_BR_ROOT_PATH_COST);
    eval("sub IFLA_BR_TOPOLOGY_CHANGE () { 14; }") unless defined(&IFLA_BR_TOPOLOGY_CHANGE);
    eval("sub IFLA_BR_TOPOLOGY_CHANGE_DETECTED () { 15; }") unless defined(&IFLA_BR_TOPOLOGY_CHANGE_DETECTED);
    eval("sub IFLA_BR_HELLO_TIMER () { 16; }") unless defined(&IFLA_BR_HELLO_TIMER);
    eval("sub IFLA_BR_TCN_TIMER () { 17; }") unless defined(&IFLA_BR_TCN_TIMER);
    eval("sub IFLA_BR_TOPOLOGY_CHANGE_TIMER () { 18; }") unless defined(&IFLA_BR_TOPOLOGY_CHANGE_TIMER);
    eval("sub IFLA_BR_GC_TIMER () { 19; }") unless defined(&IFLA_BR_GC_TIMER);
    eval("sub IFLA_BR_GROUP_ADDR () { 20; }") unless defined(&IFLA_BR_GROUP_ADDR);
    eval("sub IFLA_BR_FDB_FLUSH () { 21; }") unless defined(&IFLA_BR_FDB_FLUSH);
    eval("sub IFLA_BR_MCAST_ROUTER () { 22; }") unless defined(&IFLA_BR_MCAST_ROUTER);
    eval("sub IFLA_BR_MCAST_SNOOPING () { 23; }") unless defined(&IFLA_BR_MCAST_SNOOPING);
    eval("sub IFLA_BR_MCAST_QUERY_USE_IFADDR () { 24; }") unless defined(&IFLA_BR_MCAST_QUERY_USE_IFADDR);
    eval("sub IFLA_BR_MCAST_QUERIER () { 25; }") unless defined(&IFLA_BR_MCAST_QUERIER);
    eval("sub IFLA_BR_MCAST_HASH_ELASTICITY () { 26; }") unless defined(&IFLA_BR_MCAST_HASH_ELASTICITY);
    eval("sub IFLA_BR_MCAST_HASH_MAX () { 27; }") unless defined(&IFLA_BR_MCAST_HASH_MAX);
    eval("sub IFLA_BR_MCAST_LAST_MEMBER_CNT () { 28; }") unless defined(&IFLA_BR_MCAST_LAST_MEMBER_CNT);
    eval("sub IFLA_BR_MCAST_STARTUP_QUERY_CNT () { 29; }") unless defined(&IFLA_BR_MCAST_STARTUP_QUERY_CNT);
    eval("sub IFLA_BR_MCAST_LAST_MEMBER_INTVL () { 30; }") unless defined(&IFLA_BR_MCAST_LAST_MEMBER_INTVL);
    eval("sub IFLA_BR_MCAST_MEMBERSHIP_INTVL () { 31; }") unless defined(&IFLA_BR_MCAST_MEMBERSHIP_INTVL);
    eval("sub IFLA_BR_MCAST_QUERIER_INTVL () { 32; }") unless defined(&IFLA_BR_MCAST_QUERIER_INTVL);
    eval("sub IFLA_BR_MCAST_QUERY_INTVL () { 33; }") unless defined(&IFLA_BR_MCAST_QUERY_INTVL);
    eval("sub IFLA_BR_MCAST_QUERY_RESPONSE_INTVL () { 34; }") unless defined(&IFLA_BR_MCAST_QUERY_RESPONSE_INTVL);
    eval("sub IFLA_BR_MCAST_STARTUP_QUERY_INTVL () { 35; }") unless defined(&IFLA_BR_MCAST_STARTUP_QUERY_INTVL);
    eval("sub IFLA_BR_NF_CALL_IPTABLES () { 36; }") unless defined(&IFLA_BR_NF_CALL_IPTABLES);
    eval("sub IFLA_BR_NF_CALL_IP6TABLES () { 37; }") unless defined(&IFLA_BR_NF_CALL_IP6TABLES);
    eval("sub IFLA_BR_NF_CALL_ARPTABLES () { 38; }") unless defined(&IFLA_BR_NF_CALL_ARPTABLES);
    eval("sub IFLA_BR_VLAN_DEFAULT_PVID () { 39; }") unless defined(&IFLA_BR_VLAN_DEFAULT_PVID);
    eval("sub IFLA_BR_PAD () { 40; }") unless defined(&IFLA_BR_PAD);
    eval("sub IFLA_BR_VLAN_STATS_ENABLED () { 41; }") unless defined(&IFLA_BR_VLAN_STATS_ENABLED);
    eval("sub IFLA_BR_MCAST_STATS_ENABLED () { 42; }") unless defined(&IFLA_BR_MCAST_STATS_ENABLED);
    eval("sub IFLA_BR_MCAST_IGMP_VERSION () { 43; }") unless defined(&IFLA_BR_MCAST_IGMP_VERSION);
    eval("sub IFLA_BR_MCAST_MLD_VERSION () { 44; }") unless defined(&IFLA_BR_MCAST_MLD_VERSION);
    eval("sub IFLA_BR_VLAN_STATS_PER_PORT () { 45; }") unless defined(&IFLA_BR_VLAN_STATS_PER_PORT);
    eval("sub IFLA_BR_MULTI_BOOLOPT () { 46; }") unless defined(&IFLA_BR_MULTI_BOOLOPT);
    eval("sub IFLA_BR_MCAST_QUERIER_STATE () { 47; }") unless defined(&IFLA_BR_MCAST_QUERIER_STATE);
    eval("sub __IFLA_BR_MAX () { 48; }") unless defined(&__IFLA_BR_MAX);
    eval 'sub IFLA_BR_MAX () {( &__IFLA_BR_MAX - 1);}' unless defined(&IFLA_BR_MAX);
    eval("sub BRIDGE_MODE_UNSPEC () { 0; }") unless defined(&BRIDGE_MODE_UNSPEC);
    eval("sub BRIDGE_MODE_HAIRPIN () { 1; }") unless defined(&BRIDGE_MODE_HAIRPIN);
    eval("sub IFLA_BRPORT_UNSPEC () { 0; }") unless defined(&IFLA_BRPORT_UNSPEC);
    eval("sub IFLA_BRPORT_STATE () { 1; }") unless defined(&IFLA_BRPORT_STATE);
    eval("sub IFLA_BRPORT_PRIORITY () { 2; }") unless defined(&IFLA_BRPORT_PRIORITY);
    eval("sub IFLA_BRPORT_COST () { 3; }") unless defined(&IFLA_BRPORT_COST);
    eval("sub IFLA_BRPORT_MODE () { 4; }") unless defined(&IFLA_BRPORT_MODE);
    eval("sub IFLA_BRPORT_GUARD () { 5; }") unless defined(&IFLA_BRPORT_GUARD);
    eval("sub IFLA_BRPORT_PROTECT () { 6; }") unless defined(&IFLA_BRPORT_PROTECT);
    eval("sub IFLA_BRPORT_FAST_LEAVE () { 7; }") unless defined(&IFLA_BRPORT_FAST_LEAVE);
    eval("sub IFLA_BRPORT_LEARNING () { 8; }") unless defined(&IFLA_BRPORT_LEARNING);
    eval("sub IFLA_BRPORT_UNICAST_FLOOD () { 9; }") unless defined(&IFLA_BRPORT_UNICAST_FLOOD);
    eval("sub IFLA_BRPORT_PROXYARP () { 10; }") unless defined(&IFLA_BRPORT_PROXYARP);
    eval("sub IFLA_BRPORT_LEARNING_SYNC () { 11; }") unless defined(&IFLA_BRPORT_LEARNING_SYNC);
    eval("sub IFLA_BRPORT_PROXYARP_WIFI () { 12; }") unless defined(&IFLA_BRPORT_PROXYARP_WIFI);
    eval("sub IFLA_BRPORT_ROOT_ID () { 13; }") unless defined(&IFLA_BRPORT_ROOT_ID);
    eval("sub IFLA_BRPORT_BRIDGE_ID () { 14; }") unless defined(&IFLA_BRPORT_BRIDGE_ID);
    eval("sub IFLA_BRPORT_DESIGNATED_PORT () { 15; }") unless defined(&IFLA_BRPORT_DESIGNATED_PORT);
    eval("sub IFLA_BRPORT_DESIGNATED_COST () { 16; }") unless defined(&IFLA_BRPORT_DESIGNATED_COST);
    eval("sub IFLA_BRPORT_ID () { 17; }") unless defined(&IFLA_BRPORT_ID);
    eval("sub IFLA_BRPORT_NO () { 18; }") unless defined(&IFLA_BRPORT_NO);
    eval("sub IFLA_BRPORT_TOPOLOGY_CHANGE_ACK () { 19; }") unless defined(&IFLA_BRPORT_TOPOLOGY_CHANGE_ACK);
    eval("sub IFLA_BRPORT_CONFIG_PENDING () { 20; }") unless defined(&IFLA_BRPORT_CONFIG_PENDING);
    eval("sub IFLA_BRPORT_MESSAGE_AGE_TIMER () { 21; }") unless defined(&IFLA_BRPORT_MESSAGE_AGE_TIMER);
    eval("sub IFLA_BRPORT_FORWARD_DELAY_TIMER () { 22; }") unless defined(&IFLA_BRPORT_FORWARD_DELAY_TIMER);
    eval("sub IFLA_BRPORT_HOLD_TIMER () { 23; }") unless defined(&IFLA_BRPORT_HOLD_TIMER);
    eval("sub IFLA_BRPORT_FLUSH () { 24; }") unless defined(&IFLA_BRPORT_FLUSH);
    eval("sub IFLA_BRPORT_MULTICAST_ROUTER () { 25; }") unless defined(&IFLA_BRPORT_MULTICAST_ROUTER);
    eval("sub IFLA_BRPORT_PAD () { 26; }") unless defined(&IFLA_BRPORT_PAD);
    eval("sub IFLA_BRPORT_MCAST_FLOOD () { 27; }") unless defined(&IFLA_BRPORT_MCAST_FLOOD);
    eval("sub IFLA_BRPORT_MCAST_TO_UCAST () { 28; }") unless defined(&IFLA_BRPORT_MCAST_TO_UCAST);
    eval("sub IFLA_BRPORT_VLAN_TUNNEL () { 29; }") unless defined(&IFLA_BRPORT_VLAN_TUNNEL);
    eval("sub IFLA_BRPORT_BCAST_FLOOD () { 30; }") unless defined(&IFLA_BRPORT_BCAST_FLOOD);
    eval("sub IFLA_BRPORT_GROUP_FWD_MASK () { 31; }") unless defined(&IFLA_BRPORT_GROUP_FWD_MASK);
    eval("sub IFLA_BRPORT_NEIGH_SUPPRESS () { 32; }") unless defined(&IFLA_BRPORT_NEIGH_SUPPRESS);
    eval("sub IFLA_BRPORT_ISOLATED () { 33; }") unless defined(&IFLA_BRPORT_ISOLATED);
    eval("sub IFLA_BRPORT_BACKUP_PORT () { 34; }") unless defined(&IFLA_BRPORT_BACKUP_PORT);
    eval("sub IFLA_BRPORT_MRP_RING_OPEN () { 35; }") unless defined(&IFLA_BRPORT_MRP_RING_OPEN);
    eval("sub IFLA_BRPORT_MRP_IN_OPEN () { 36; }") unless defined(&IFLA_BRPORT_MRP_IN_OPEN);
    eval("sub IFLA_BRPORT_MCAST_EHT_HOSTS_LIMIT () { 37; }") unless defined(&IFLA_BRPORT_MCAST_EHT_HOSTS_LIMIT);
    eval("sub IFLA_BRPORT_MCAST_EHT_HOSTS_CNT () { 38; }") unless defined(&IFLA_BRPORT_MCAST_EHT_HOSTS_CNT);
    eval("sub IFLA_BRPORT_LOCKED () { 39; }") unless defined(&IFLA_BRPORT_LOCKED);
    eval("sub IFLA_BRPORT_MAB () { 40; }") unless defined(&IFLA_BRPORT_MAB);
    eval("sub IFLA_BRPORT_MCAST_N_GROUPS () { 41; }") unless defined(&IFLA_BRPORT_MCAST_N_GROUPS);
    eval("sub IFLA_BRPORT_MCAST_MAX_GROUPS () { 42; }") unless defined(&IFLA_BRPORT_MCAST_MAX_GROUPS);
    eval("sub __IFLA_BRPORT_MAX () { 43; }") unless defined(&__IFLA_BRPORT_MAX);
    eval 'sub IFLA_BRPORT_MAX () {( &__IFLA_BRPORT_MAX - 1);}' unless defined(&IFLA_BRPORT_MAX);
    eval("sub IFLA_INFO_UNSPEC () { 0; }") unless defined(&IFLA_INFO_UNSPEC);
    eval("sub IFLA_INFO_KIND () { 1; }") unless defined(&IFLA_INFO_KIND);
    eval("sub IFLA_INFO_DATA () { 2; }") unless defined(&IFLA_INFO_DATA);
    eval("sub IFLA_INFO_XSTATS () { 3; }") unless defined(&IFLA_INFO_XSTATS);
    eval("sub IFLA_INFO_SLAVE_KIND () { 4; }") unless defined(&IFLA_INFO_SLAVE_KIND);
    eval("sub IFLA_INFO_SLAVE_DATA () { 5; }") unless defined(&IFLA_INFO_SLAVE_DATA);
    eval("sub __IFLA_INFO_MAX () { 6; }") unless defined(&__IFLA_INFO_MAX);
    eval 'sub IFLA_INFO_MAX () {( &__IFLA_INFO_MAX - 1);}' unless defined(&IFLA_INFO_MAX);
    eval("sub IFLA_VLAN_UNSPEC () { 0; }") unless defined(&IFLA_VLAN_UNSPEC);
    eval("sub IFLA_VLAN_ID () { 1; }") unless defined(&IFLA_VLAN_ID);
    eval("sub IFLA_VLAN_FLAGS () { 2; }") unless defined(&IFLA_VLAN_FLAGS);
    eval("sub IFLA_VLAN_EGRESS_QOS () { 3; }") unless defined(&IFLA_VLAN_EGRESS_QOS);
    eval("sub IFLA_VLAN_INGRESS_QOS () { 4; }") unless defined(&IFLA_VLAN_INGRESS_QOS);
    eval("sub IFLA_VLAN_PROTOCOL () { 5; }") unless defined(&IFLA_VLAN_PROTOCOL);
    eval("sub __IFLA_VLAN_MAX () { 6; }") unless defined(&__IFLA_VLAN_MAX);
    eval 'sub IFLA_VLAN_MAX () {( &__IFLA_VLAN_MAX - 1);}' unless defined(&IFLA_VLAN_MAX);
    eval("sub IFLA_VLAN_QOS_UNSPEC () { 0; }") unless defined(&IFLA_VLAN_QOS_UNSPEC);
    eval("sub IFLA_VLAN_QOS_MAPPING () { 1; }") unless defined(&IFLA_VLAN_QOS_MAPPING);
    eval("sub __IFLA_VLAN_QOS_MAX () { 2; }") unless defined(&__IFLA_VLAN_QOS_MAX);
    eval 'sub IFLA_VLAN_QOS_MAX () {( &__IFLA_VLAN_QOS_MAX - 1);}' unless defined(&IFLA_VLAN_QOS_MAX);
    eval("sub IFLA_MACVLAN_UNSPEC () { 0; }") unless defined(&IFLA_MACVLAN_UNSPEC);
    eval("sub IFLA_MACVLAN_MODE () { 1; }") unless defined(&IFLA_MACVLAN_MODE);
    eval("sub IFLA_MACVLAN_FLAGS () { 2; }") unless defined(&IFLA_MACVLAN_FLAGS);
    eval("sub IFLA_MACVLAN_MACADDR_MODE () { 3; }") unless defined(&IFLA_MACVLAN_MACADDR_MODE);
    eval("sub IFLA_MACVLAN_MACADDR () { 4; }") unless defined(&IFLA_MACVLAN_MACADDR);
    eval("sub IFLA_MACVLAN_MACADDR_DATA () { 5; }") unless defined(&IFLA_MACVLAN_MACADDR_DATA);
    eval("sub IFLA_MACVLAN_MACADDR_COUNT () { 6; }") unless defined(&IFLA_MACVLAN_MACADDR_COUNT);
    eval("sub IFLA_MACVLAN_BC_QUEUE_LEN () { 7; }") unless defined(&IFLA_MACVLAN_BC_QUEUE_LEN);
    eval("sub IFLA_MACVLAN_BC_QUEUE_LEN_USED () { 8; }") unless defined(&IFLA_MACVLAN_BC_QUEUE_LEN_USED);
    eval("sub __IFLA_MACVLAN_MAX () { 9; }") unless defined(&__IFLA_MACVLAN_MAX);
    eval 'sub IFLA_MACVLAN_MAX () {( &__IFLA_MACVLAN_MAX - 1);}' unless defined(&IFLA_MACVLAN_MAX);
    eval("sub MACVLAN_MODE_PRIVATE () { 1; }") unless defined(&MACVLAN_MODE_PRIVATE);
    eval("sub MACVLAN_MODE_VEPA () { 2; }") unless defined(&MACVLAN_MODE_VEPA);
    eval("sub MACVLAN_MODE_BRIDGE () { 4; }") unless defined(&MACVLAN_MODE_BRIDGE);
    eval("sub MACVLAN_MODE_PASSTHRU () { 8; }") unless defined(&MACVLAN_MODE_PASSTHRU);
    eval("sub MACVLAN_MODE_SOURCE () { 16; }") unless defined(&MACVLAN_MODE_SOURCE);
    eval("sub MACVLAN_MACADDR_ADD () { 0; }") unless defined(&MACVLAN_MACADDR_ADD);
    eval("sub MACVLAN_MACADDR_DEL () { 1; }") unless defined(&MACVLAN_MACADDR_DEL);
    eval("sub MACVLAN_MACADDR_FLUSH () { 2; }") unless defined(&MACVLAN_MACADDR_FLUSH);
    eval("sub MACVLAN_MACADDR_SET () { 3; }") unless defined(&MACVLAN_MACADDR_SET);
    eval 'sub MACVLAN_FLAG_NOPROMISC () {1;}' unless defined(&MACVLAN_FLAG_NOPROMISC);
    eval 'sub MACVLAN_FLAG_NODST () {2;}' unless defined(&MACVLAN_FLAG_NODST);
    eval("sub IFLA_VRF_UNSPEC () { 0; }") unless defined(&IFLA_VRF_UNSPEC);
    eval("sub IFLA_VRF_TABLE () { 1; }") unless defined(&IFLA_VRF_TABLE);
    eval("sub __IFLA_VRF_MAX () { 2; }") unless defined(&__IFLA_VRF_MAX);
    eval 'sub IFLA_VRF_MAX () {( &__IFLA_VRF_MAX - 1);}' unless defined(&IFLA_VRF_MAX);
    eval("sub IFLA_VRF_PORT_UNSPEC () { 0; }") unless defined(&IFLA_VRF_PORT_UNSPEC);
    eval("sub IFLA_VRF_PORT_TABLE () { 1; }") unless defined(&IFLA_VRF_PORT_TABLE);
    eval("sub __IFLA_VRF_PORT_MAX () { 2; }") unless defined(&__IFLA_VRF_PORT_MAX);
    eval 'sub IFLA_VRF_PORT_MAX () {( &__IFLA_VRF_PORT_MAX - 1);}' unless defined(&IFLA_VRF_PORT_MAX);
    eval("sub IFLA_MACSEC_UNSPEC () { 0; }") unless defined(&IFLA_MACSEC_UNSPEC);
    eval("sub IFLA_MACSEC_SCI () { 1; }") unless defined(&IFLA_MACSEC_SCI);
    eval("sub IFLA_MACSEC_PORT () { 2; }") unless defined(&IFLA_MACSEC_PORT);
    eval("sub IFLA_MACSEC_ICV_LEN () { 3; }") unless defined(&IFLA_MACSEC_ICV_LEN);
    eval("sub IFLA_MACSEC_CIPHER_SUITE () { 4; }") unless defined(&IFLA_MACSEC_CIPHER_SUITE);
    eval("sub IFLA_MACSEC_WINDOW () { 5; }") unless defined(&IFLA_MACSEC_WINDOW);
    eval("sub IFLA_MACSEC_ENCODING_SA () { 6; }") unless defined(&IFLA_MACSEC_ENCODING_SA);
    eval("sub IFLA_MACSEC_ENCRYPT () { 7; }") unless defined(&IFLA_MACSEC_ENCRYPT);
    eval("sub IFLA_MACSEC_PROTECT () { 8; }") unless defined(&IFLA_MACSEC_PROTECT);
    eval("sub IFLA_MACSEC_INC_SCI () { 9; }") unless defined(&IFLA_MACSEC_INC_SCI);
    eval("sub IFLA_MACSEC_ES () { 10; }") unless defined(&IFLA_MACSEC_ES);
    eval("sub IFLA_MACSEC_SCB () { 11; }") unless defined(&IFLA_MACSEC_SCB);
    eval("sub IFLA_MACSEC_REPLAY_PROTECT () { 12; }") unless defined(&IFLA_MACSEC_REPLAY_PROTECT);
    eval("sub IFLA_MACSEC_VALIDATION () { 13; }") unless defined(&IFLA_MACSEC_VALIDATION);
    eval("sub IFLA_MACSEC_PAD () { 14; }") unless defined(&IFLA_MACSEC_PAD);
    eval("sub IFLA_MACSEC_OFFLOAD () { 15; }") unless defined(&IFLA_MACSEC_OFFLOAD);
    eval("sub __IFLA_MACSEC_MAX () { 16; }") unless defined(&__IFLA_MACSEC_MAX);
    eval 'sub IFLA_MACSEC_MAX () {( &__IFLA_MACSEC_MAX - 1);}' unless defined(&IFLA_MACSEC_MAX);
    eval("sub IFLA_XFRM_UNSPEC () { 0; }") unless defined(&IFLA_XFRM_UNSPEC);
    eval("sub IFLA_XFRM_LINK () { 1; }") unless defined(&IFLA_XFRM_LINK);
    eval("sub IFLA_XFRM_IF_ID () { 2; }") unless defined(&IFLA_XFRM_IF_ID);
    eval("sub IFLA_XFRM_COLLECT_METADATA () { 3; }") unless defined(&IFLA_XFRM_COLLECT_METADATA);
    eval("sub __IFLA_XFRM_MAX () { 4; }") unless defined(&__IFLA_XFRM_MAX);
    eval 'sub IFLA_XFRM_MAX () {( &__IFLA_XFRM_MAX - 1);}' unless defined(&IFLA_XFRM_MAX);
    eval("sub MACSEC_VALIDATE_DISABLED () { 0; }") unless defined(&MACSEC_VALIDATE_DISABLED);
    eval("sub MACSEC_VALIDATE_CHECK () { 1; }") unless defined(&MACSEC_VALIDATE_CHECK);
    eval("sub MACSEC_VALIDATE_STRICT () { 2; }") unless defined(&MACSEC_VALIDATE_STRICT);
    eval("sub __MACSEC_VALIDATE_END () { 3; }") unless defined(&__MACSEC_VALIDATE_END);
    eval("sub MACSEC_VALIDATE_MAX () { __MACSEC_VALIDATE_END-1; }") unless defined(&MACSEC_VALIDATE_MAX);
    eval("sub MACSEC_OFFLOAD_OFF () { 0; }") unless defined(&MACSEC_OFFLOAD_OFF);
    eval("sub MACSEC_OFFLOAD_PHY () { 1; }") unless defined(&MACSEC_OFFLOAD_PHY);
    eval("sub MACSEC_OFFLOAD_MAC () { 2; }") unless defined(&MACSEC_OFFLOAD_MAC);
    eval("sub __MACSEC_OFFLOAD_END () { 3; }") unless defined(&__MACSEC_OFFLOAD_END);
    eval("sub MACSEC_OFFLOAD_MAX () { __MACSEC_OFFLOAD_END-1; }") unless defined(&MACSEC_OFFLOAD_MAX);
    eval("sub IFLA_IPVLAN_UNSPEC () { 0; }") unless defined(&IFLA_IPVLAN_UNSPEC);
    eval("sub IFLA_IPVLAN_MODE () { 1; }") unless defined(&IFLA_IPVLAN_MODE);
    eval("sub IFLA_IPVLAN_FLAGS () { 2; }") unless defined(&IFLA_IPVLAN_FLAGS);
    eval("sub __IFLA_IPVLAN_MAX () { 3; }") unless defined(&__IFLA_IPVLAN_MAX);
    eval 'sub IFLA_IPVLAN_MAX () {( &__IFLA_IPVLAN_MAX - 1);}' unless defined(&IFLA_IPVLAN_MAX);
    eval("sub IPVLAN_MODE_L2 () { 0; }") unless defined(&IPVLAN_MODE_L2);
    eval("sub IPVLAN_MODE_L3 () { 1; }") unless defined(&IPVLAN_MODE_L3);
    eval("sub IPVLAN_MODE_L3S () { 2; }") unless defined(&IPVLAN_MODE_L3S);
    eval("sub IPVLAN_MODE_MAX () { 3; }") unless defined(&IPVLAN_MODE_MAX);
    eval 'sub IPVLAN_F_PRIVATE () {0x1;}' unless defined(&IPVLAN_F_PRIVATE);
    eval 'sub IPVLAN_F_VEPA () {0x2;}' unless defined(&IPVLAN_F_VEPA);
    eval 'sub TUNNEL_MSG_FLAG_STATS () {0x1;}' unless defined(&TUNNEL_MSG_FLAG_STATS);
    eval 'sub TUNNEL_MSG_VALID_USER_FLAGS () { &TUNNEL_MSG_FLAG_STATS;}' unless defined(&TUNNEL_MSG_VALID_USER_FLAGS);
    eval("sub VNIFILTER_ENTRY_STATS_UNSPEC () { 0; }") unless defined(&VNIFILTER_ENTRY_STATS_UNSPEC);
    eval("sub VNIFILTER_ENTRY_STATS_RX_BYTES () { 1; }") unless defined(&VNIFILTER_ENTRY_STATS_RX_BYTES);
    eval("sub VNIFILTER_ENTRY_STATS_RX_PKTS () { 2; }") unless defined(&VNIFILTER_ENTRY_STATS_RX_PKTS);
    eval("sub VNIFILTER_ENTRY_STATS_RX_DROPS () { 3; }") unless defined(&VNIFILTER_ENTRY_STATS_RX_DROPS);
    eval("sub VNIFILTER_ENTRY_STATS_RX_ERRORS () { 4; }") unless defined(&VNIFILTER_ENTRY_STATS_RX_ERRORS);
    eval("sub VNIFILTER_ENTRY_STATS_TX_BYTES () { 5; }") unless defined(&VNIFILTER_ENTRY_STATS_TX_BYTES);
    eval("sub VNIFILTER_ENTRY_STATS_TX_PKTS () { 6; }") unless defined(&VNIFILTER_ENTRY_STATS_TX_PKTS);
    eval("sub VNIFILTER_ENTRY_STATS_TX_DROPS () { 7; }") unless defined(&VNIFILTER_ENTRY_STATS_TX_DROPS);
    eval("sub VNIFILTER_ENTRY_STATS_TX_ERRORS () { 8; }") unless defined(&VNIFILTER_ENTRY_STATS_TX_ERRORS);
    eval("sub VNIFILTER_ENTRY_STATS_PAD () { 9; }") unless defined(&VNIFILTER_ENTRY_STATS_PAD);
    eval("sub __VNIFILTER_ENTRY_STATS_MAX () { 10; }") unless defined(&__VNIFILTER_ENTRY_STATS_MAX);
    eval 'sub VNIFILTER_ENTRY_STATS_MAX () {( &__VNIFILTER_ENTRY_STATS_MAX - 1);}' unless defined(&VNIFILTER_ENTRY_STATS_MAX);
    eval("sub VXLAN_VNIFILTER_ENTRY_UNSPEC () { 0; }") unless defined(&VXLAN_VNIFILTER_ENTRY_UNSPEC);
    eval("sub VXLAN_VNIFILTER_ENTRY_START () { 1; }") unless defined(&VXLAN_VNIFILTER_ENTRY_START);
    eval("sub VXLAN_VNIFILTER_ENTRY_END () { 2; }") unless defined(&VXLAN_VNIFILTER_ENTRY_END);
    eval("sub VXLAN_VNIFILTER_ENTRY_GROUP () { 3; }") unless defined(&VXLAN_VNIFILTER_ENTRY_GROUP);
    eval("sub VXLAN_VNIFILTER_ENTRY_GROUP6 () { 4; }") unless defined(&VXLAN_VNIFILTER_ENTRY_GROUP6);
    eval("sub VXLAN_VNIFILTER_ENTRY_STATS () { 5; }") unless defined(&VXLAN_VNIFILTER_ENTRY_STATS);
    eval("sub __VXLAN_VNIFILTER_ENTRY_MAX () { 6; }") unless defined(&__VXLAN_VNIFILTER_ENTRY_MAX);
    eval 'sub VXLAN_VNIFILTER_ENTRY_MAX () {( &__VXLAN_VNIFILTER_ENTRY_MAX - 1);}' unless defined(&VXLAN_VNIFILTER_ENTRY_MAX);
    eval("sub VXLAN_VNIFILTER_UNSPEC () { 0; }") unless defined(&VXLAN_VNIFILTER_UNSPEC);
    eval("sub VXLAN_VNIFILTER_ENTRY () { 1; }") unless defined(&VXLAN_VNIFILTER_ENTRY);
    eval("sub __VXLAN_VNIFILTER_MAX () { 2; }") unless defined(&__VXLAN_VNIFILTER_MAX);
    eval 'sub VXLAN_VNIFILTER_MAX () {( &__VXLAN_VNIFILTER_MAX - 1);}' unless defined(&VXLAN_VNIFILTER_MAX);
    eval("sub IFLA_VXLAN_UNSPEC () { 0; }") unless defined(&IFLA_VXLAN_UNSPEC);
    eval("sub IFLA_VXLAN_ID () { 1; }") unless defined(&IFLA_VXLAN_ID);
    eval("sub IFLA_VXLAN_GROUP () { 2; }") unless defined(&IFLA_VXLAN_GROUP);
    eval("sub IFLA_VXLAN_LINK () { 3; }") unless defined(&IFLA_VXLAN_LINK);
    eval("sub IFLA_VXLAN_LOCAL () { 4; }") unless defined(&IFLA_VXLAN_LOCAL);
    eval("sub IFLA_VXLAN_TTL () { 5; }") unless defined(&IFLA_VXLAN_TTL);
    eval("sub IFLA_VXLAN_TOS () { 6; }") unless defined(&IFLA_VXLAN_TOS);
    eval("sub IFLA_VXLAN_LEARNING () { 7; }") unless defined(&IFLA_VXLAN_LEARNING);
    eval("sub IFLA_VXLAN_AGEING () { 8; }") unless defined(&IFLA_VXLAN_AGEING);
    eval("sub IFLA_VXLAN_LIMIT () { 9; }") unless defined(&IFLA_VXLAN_LIMIT);
    eval("sub IFLA_VXLAN_PORT_RANGE () { 10; }") unless defined(&IFLA_VXLAN_PORT_RANGE);
    eval("sub IFLA_VXLAN_PROXY () { 11; }") unless defined(&IFLA_VXLAN_PROXY);
    eval("sub IFLA_VXLAN_RSC () { 12; }") unless defined(&IFLA_VXLAN_RSC);
    eval("sub IFLA_VXLAN_L2MISS () { 13; }") unless defined(&IFLA_VXLAN_L2MISS);
    eval("sub IFLA_VXLAN_L3MISS () { 14; }") unless defined(&IFLA_VXLAN_L3MISS);
    eval("sub IFLA_VXLAN_PORT () { 15; }") unless defined(&IFLA_VXLAN_PORT);
    eval("sub IFLA_VXLAN_GROUP6 () { 16; }") unless defined(&IFLA_VXLAN_GROUP6);
    eval("sub IFLA_VXLAN_LOCAL6 () { 17; }") unless defined(&IFLA_VXLAN_LOCAL6);
    eval("sub IFLA_VXLAN_UDP_CSUM () { 18; }") unless defined(&IFLA_VXLAN_UDP_CSUM);
    eval("sub IFLA_VXLAN_UDP_ZERO_CSUM6_TX () { 19; }") unless defined(&IFLA_VXLAN_UDP_ZERO_CSUM6_TX);
    eval("sub IFLA_VXLAN_UDP_ZERO_CSUM6_RX () { 20; }") unless defined(&IFLA_VXLAN_UDP_ZERO_CSUM6_RX);
    eval("sub IFLA_VXLAN_REMCSUM_TX () { 21; }") unless defined(&IFLA_VXLAN_REMCSUM_TX);
    eval("sub IFLA_VXLAN_REMCSUM_RX () { 22; }") unless defined(&IFLA_VXLAN_REMCSUM_RX);
    eval("sub IFLA_VXLAN_GBP () { 23; }") unless defined(&IFLA_VXLAN_GBP);
    eval("sub IFLA_VXLAN_REMCSUM_NOPARTIAL () { 24; }") unless defined(&IFLA_VXLAN_REMCSUM_NOPARTIAL);
    eval("sub IFLA_VXLAN_COLLECT_METADATA () { 25; }") unless defined(&IFLA_VXLAN_COLLECT_METADATA);
    eval("sub IFLA_VXLAN_LABEL () { 26; }") unless defined(&IFLA_VXLAN_LABEL);
    eval("sub IFLA_VXLAN_GPE () { 27; }") unless defined(&IFLA_VXLAN_GPE);
    eval("sub IFLA_VXLAN_TTL_INHERIT () { 28; }") unless defined(&IFLA_VXLAN_TTL_INHERIT);
    eval("sub IFLA_VXLAN_DF () { 29; }") unless defined(&IFLA_VXLAN_DF);
    eval("sub IFLA_VXLAN_VNIFILTER () { 30; }") unless defined(&IFLA_VXLAN_VNIFILTER);
    eval("sub __IFLA_VXLAN_MAX () { 31; }") unless defined(&__IFLA_VXLAN_MAX);
    eval 'sub IFLA_VXLAN_MAX () {( &__IFLA_VXLAN_MAX - 1);}' unless defined(&IFLA_VXLAN_MAX);
    eval("sub VXLAN_DF_UNSET () { 0; }") unless defined(&VXLAN_DF_UNSET);
    eval("sub VXLAN_DF_SET () { 1; }") unless defined(&VXLAN_DF_SET);
    eval("sub VXLAN_DF_INHERIT () { 2; }") unless defined(&VXLAN_DF_INHERIT);
    eval("sub __VXLAN_DF_END () { 3; }") unless defined(&__VXLAN_DF_END);
    eval("sub VXLAN_DF_MAX () { __VXLAN_DF_END-1; }") unless defined(&VXLAN_DF_MAX);
    eval("sub IFLA_GENEVE_UNSPEC () { 0; }") unless defined(&IFLA_GENEVE_UNSPEC);
    eval("sub IFLA_GENEVE_ID () { 1; }") unless defined(&IFLA_GENEVE_ID);
    eval("sub IFLA_GENEVE_REMOTE () { 2; }") unless defined(&IFLA_GENEVE_REMOTE);
    eval("sub IFLA_GENEVE_TTL () { 3; }") unless defined(&IFLA_GENEVE_TTL);
    eval("sub IFLA_GENEVE_TOS () { 4; }") unless defined(&IFLA_GENEVE_TOS);
    eval("sub IFLA_GENEVE_PORT () { 5; }") unless defined(&IFLA_GENEVE_PORT);
    eval("sub IFLA_GENEVE_COLLECT_METADATA () { 6; }") unless defined(&IFLA_GENEVE_COLLECT_METADATA);
    eval("sub IFLA_GENEVE_REMOTE6 () { 7; }") unless defined(&IFLA_GENEVE_REMOTE6);
    eval("sub IFLA_GENEVE_UDP_CSUM () { 8; }") unless defined(&IFLA_GENEVE_UDP_CSUM);
    eval("sub IFLA_GENEVE_UDP_ZERO_CSUM6_TX () { 9; }") unless defined(&IFLA_GENEVE_UDP_ZERO_CSUM6_TX);
    eval("sub IFLA_GENEVE_UDP_ZERO_CSUM6_RX () { 10; }") unless defined(&IFLA_GENEVE_UDP_ZERO_CSUM6_RX);
    eval("sub IFLA_GENEVE_LABEL () { 11; }") unless defined(&IFLA_GENEVE_LABEL);
    eval("sub IFLA_GENEVE_TTL_INHERIT () { 12; }") unless defined(&IFLA_GENEVE_TTL_INHERIT);
    eval("sub IFLA_GENEVE_DF () { 13; }") unless defined(&IFLA_GENEVE_DF);
    eval("sub IFLA_GENEVE_INNER_PROTO_INHERIT () { 14; }") unless defined(&IFLA_GENEVE_INNER_PROTO_INHERIT);
    eval("sub __IFLA_GENEVE_MAX () { 15; }") unless defined(&__IFLA_GENEVE_MAX);
    eval 'sub IFLA_GENEVE_MAX () {( &__IFLA_GENEVE_MAX - 1);}' unless defined(&IFLA_GENEVE_MAX);
    eval("sub GENEVE_DF_UNSET () { 0; }") unless defined(&GENEVE_DF_UNSET);
    eval("sub GENEVE_DF_SET () { 1; }") unless defined(&GENEVE_DF_SET);
    eval("sub GENEVE_DF_INHERIT () { 2; }") unless defined(&GENEVE_DF_INHERIT);
    eval("sub __GENEVE_DF_END () { 3; }") unless defined(&__GENEVE_DF_END);
    eval("sub GENEVE_DF_MAX () { __GENEVE_DF_END-1; }") unless defined(&GENEVE_DF_MAX);
    eval("sub IFLA_BAREUDP_UNSPEC () { 0; }") unless defined(&IFLA_BAREUDP_UNSPEC);
    eval("sub IFLA_BAREUDP_PORT () { 1; }") unless defined(&IFLA_BAREUDP_PORT);
    eval("sub IFLA_BAREUDP_ETHERTYPE () { 2; }") unless defined(&IFLA_BAREUDP_ETHERTYPE);
    eval("sub IFLA_BAREUDP_SRCPORT_MIN () { 3; }") unless defined(&IFLA_BAREUDP_SRCPORT_MIN);
    eval("sub IFLA_BAREUDP_MULTIPROTO_MODE () { 4; }") unless defined(&IFLA_BAREUDP_MULTIPROTO_MODE);
    eval("sub __IFLA_BAREUDP_MAX () { 5; }") unless defined(&__IFLA_BAREUDP_MAX);
    eval 'sub IFLA_BAREUDP_MAX () {( &__IFLA_BAREUDP_MAX - 1);}' unless defined(&IFLA_BAREUDP_MAX);
    eval("sub IFLA_PPP_UNSPEC () { 0; }") unless defined(&IFLA_PPP_UNSPEC);
    eval("sub IFLA_PPP_DEV_FD () { 1; }") unless defined(&IFLA_PPP_DEV_FD);
    eval("sub __IFLA_PPP_MAX () { 2; }") unless defined(&__IFLA_PPP_MAX);
    eval 'sub IFLA_PPP_MAX () {( &__IFLA_PPP_MAX - 1);}' unless defined(&IFLA_PPP_MAX);
    eval("sub GTP_ROLE_GGSN () { 0; }") unless defined(&GTP_ROLE_GGSN);
    eval("sub GTP_ROLE_SGSN () { 1; }") unless defined(&GTP_ROLE_SGSN);
    eval("sub IFLA_GTP_UNSPEC () { 0; }") unless defined(&IFLA_GTP_UNSPEC);
    eval("sub IFLA_GTP_FD0 () { 1; }") unless defined(&IFLA_GTP_FD0);
    eval("sub IFLA_GTP_FD1 () { 2; }") unless defined(&IFLA_GTP_FD1);
    eval("sub IFLA_GTP_PDP_HASHSIZE () { 3; }") unless defined(&IFLA_GTP_PDP_HASHSIZE);
    eval("sub IFLA_GTP_ROLE () { 4; }") unless defined(&IFLA_GTP_ROLE);
    eval("sub IFLA_GTP_CREATE_SOCKETS () { 5; }") unless defined(&IFLA_GTP_CREATE_SOCKETS);
    eval("sub IFLA_GTP_RESTART_COUNT () { 6; }") unless defined(&IFLA_GTP_RESTART_COUNT);
    eval("sub __IFLA_GTP_MAX () { 7; }") unless defined(&__IFLA_GTP_MAX);
    eval 'sub IFLA_GTP_MAX () {( &__IFLA_GTP_MAX - 1);}' unless defined(&IFLA_GTP_MAX);
    eval("sub IFLA_BOND_UNSPEC () { 0; }") unless defined(&IFLA_BOND_UNSPEC);
    eval("sub IFLA_BOND_MODE () { 1; }") unless defined(&IFLA_BOND_MODE);
    eval("sub IFLA_BOND_ACTIVE_SLAVE () { 2; }") unless defined(&IFLA_BOND_ACTIVE_SLAVE);
    eval("sub IFLA_BOND_MIIMON () { 3; }") unless defined(&IFLA_BOND_MIIMON);
    eval("sub IFLA_BOND_UPDELAY () { 4; }") unless defined(&IFLA_BOND_UPDELAY);
    eval("sub IFLA_BOND_DOWNDELAY () { 5; }") unless defined(&IFLA_BOND_DOWNDELAY);
    eval("sub IFLA_BOND_USE_CARRIER () { 6; }") unless defined(&IFLA_BOND_USE_CARRIER);
    eval("sub IFLA_BOND_ARP_INTERVAL () { 7; }") unless defined(&IFLA_BOND_ARP_INTERVAL);
    eval("sub IFLA_BOND_ARP_IP_TARGET () { 8; }") unless defined(&IFLA_BOND_ARP_IP_TARGET);
    eval("sub IFLA_BOND_ARP_VALIDATE () { 9; }") unless defined(&IFLA_BOND_ARP_VALIDATE);
    eval("sub IFLA_BOND_ARP_ALL_TARGETS () { 10; }") unless defined(&IFLA_BOND_ARP_ALL_TARGETS);
    eval("sub IFLA_BOND_PRIMARY () { 11; }") unless defined(&IFLA_BOND_PRIMARY);
    eval("sub IFLA_BOND_PRIMARY_RESELECT () { 12; }") unless defined(&IFLA_BOND_PRIMARY_RESELECT);
    eval("sub IFLA_BOND_FAIL_OVER_MAC () { 13; }") unless defined(&IFLA_BOND_FAIL_OVER_MAC);
    eval("sub IFLA_BOND_XMIT_HASH_POLICY () { 14; }") unless defined(&IFLA_BOND_XMIT_HASH_POLICY);
    eval("sub IFLA_BOND_RESEND_IGMP () { 15; }") unless defined(&IFLA_BOND_RESEND_IGMP);
    eval("sub IFLA_BOND_NUM_PEER_NOTIF () { 16; }") unless defined(&IFLA_BOND_NUM_PEER_NOTIF);
    eval("sub IFLA_BOND_ALL_SLAVES_ACTIVE () { 17; }") unless defined(&IFLA_BOND_ALL_SLAVES_ACTIVE);
    eval("sub IFLA_BOND_MIN_LINKS () { 18; }") unless defined(&IFLA_BOND_MIN_LINKS);
    eval("sub IFLA_BOND_LP_INTERVAL () { 19; }") unless defined(&IFLA_BOND_LP_INTERVAL);
    eval("sub IFLA_BOND_PACKETS_PER_SLAVE () { 20; }") unless defined(&IFLA_BOND_PACKETS_PER_SLAVE);
    eval("sub IFLA_BOND_AD_LACP_RATE () { 21; }") unless defined(&IFLA_BOND_AD_LACP_RATE);
    eval("sub IFLA_BOND_AD_SELECT () { 22; }") unless defined(&IFLA_BOND_AD_SELECT);
    eval("sub IFLA_BOND_AD_INFO () { 23; }") unless defined(&IFLA_BOND_AD_INFO);
    eval("sub IFLA_BOND_AD_ACTOR_SYS_PRIO () { 24; }") unless defined(&IFLA_BOND_AD_ACTOR_SYS_PRIO);
    eval("sub IFLA_BOND_AD_USER_PORT_KEY () { 25; }") unless defined(&IFLA_BOND_AD_USER_PORT_KEY);
    eval("sub IFLA_BOND_AD_ACTOR_SYSTEM () { 26; }") unless defined(&IFLA_BOND_AD_ACTOR_SYSTEM);
    eval("sub IFLA_BOND_TLB_DYNAMIC_LB () { 27; }") unless defined(&IFLA_BOND_TLB_DYNAMIC_LB);
    eval("sub IFLA_BOND_PEER_NOTIF_DELAY () { 28; }") unless defined(&IFLA_BOND_PEER_NOTIF_DELAY);
    eval("sub IFLA_BOND_AD_LACP_ACTIVE () { 29; }") unless defined(&IFLA_BOND_AD_LACP_ACTIVE);
    eval("sub IFLA_BOND_MISSED_MAX () { 30; }") unless defined(&IFLA_BOND_MISSED_MAX);
    eval("sub IFLA_BOND_NS_IP6_TARGET () { 31; }") unless defined(&IFLA_BOND_NS_IP6_TARGET);
    eval("sub __IFLA_BOND_MAX () { 32; }") unless defined(&__IFLA_BOND_MAX);
    eval 'sub IFLA_BOND_MAX () {( &__IFLA_BOND_MAX - 1);}' unless defined(&IFLA_BOND_MAX);
    eval("sub IFLA_BOND_AD_INFO_UNSPEC () { 0; }") unless defined(&IFLA_BOND_AD_INFO_UNSPEC);
    eval("sub IFLA_BOND_AD_INFO_AGGREGATOR () { 1; }") unless defined(&IFLA_BOND_AD_INFO_AGGREGATOR);
    eval("sub IFLA_BOND_AD_INFO_NUM_PORTS () { 2; }") unless defined(&IFLA_BOND_AD_INFO_NUM_PORTS);
    eval("sub IFLA_BOND_AD_INFO_ACTOR_KEY () { 3; }") unless defined(&IFLA_BOND_AD_INFO_ACTOR_KEY);
    eval("sub IFLA_BOND_AD_INFO_PARTNER_KEY () { 4; }") unless defined(&IFLA_BOND_AD_INFO_PARTNER_KEY);
    eval("sub IFLA_BOND_AD_INFO_PARTNER_MAC () { 5; }") unless defined(&IFLA_BOND_AD_INFO_PARTNER_MAC);
    eval("sub __IFLA_BOND_AD_INFO_MAX () { 6; }") unless defined(&__IFLA_BOND_AD_INFO_MAX);
    eval 'sub IFLA_BOND_AD_INFO_MAX () {( &__IFLA_BOND_AD_INFO_MAX - 1);}' unless defined(&IFLA_BOND_AD_INFO_MAX);
    eval("sub IFLA_BOND_SLAVE_UNSPEC () { 0; }") unless defined(&IFLA_BOND_SLAVE_UNSPEC);
    eval("sub IFLA_BOND_SLAVE_STATE () { 1; }") unless defined(&IFLA_BOND_SLAVE_STATE);
    eval("sub IFLA_BOND_SLAVE_MII_STATUS () { 2; }") unless defined(&IFLA_BOND_SLAVE_MII_STATUS);
    eval("sub IFLA_BOND_SLAVE_LINK_FAILURE_COUNT () { 3; }") unless defined(&IFLA_BOND_SLAVE_LINK_FAILURE_COUNT);
    eval("sub IFLA_BOND_SLAVE_PERM_HWADDR () { 4; }") unless defined(&IFLA_BOND_SLAVE_PERM_HWADDR);
    eval("sub IFLA_BOND_SLAVE_QUEUE_ID () { 5; }") unless defined(&IFLA_BOND_SLAVE_QUEUE_ID);
    eval("sub IFLA_BOND_SLAVE_AD_AGGREGATOR_ID () { 6; }") unless defined(&IFLA_BOND_SLAVE_AD_AGGREGATOR_ID);
    eval("sub IFLA_BOND_SLAVE_AD_ACTOR_OPER_PORT_STATE () { 7; }") unless defined(&IFLA_BOND_SLAVE_AD_ACTOR_OPER_PORT_STATE);
    eval("sub IFLA_BOND_SLAVE_AD_PARTNER_OPER_PORT_STATE () { 8; }") unless defined(&IFLA_BOND_SLAVE_AD_PARTNER_OPER_PORT_STATE);
    eval("sub IFLA_BOND_SLAVE_PRIO () { 9; }") unless defined(&IFLA_BOND_SLAVE_PRIO);
    eval("sub __IFLA_BOND_SLAVE_MAX () { 10; }") unless defined(&__IFLA_BOND_SLAVE_MAX);
    eval 'sub IFLA_BOND_SLAVE_MAX () {( &__IFLA_BOND_SLAVE_MAX - 1);}' unless defined(&IFLA_BOND_SLAVE_MAX);
    eval("sub IFLA_VF_INFO_UNSPEC () { 0; }") unless defined(&IFLA_VF_INFO_UNSPEC);
    eval("sub IFLA_VF_INFO () { 1; }") unless defined(&IFLA_VF_INFO);
    eval("sub __IFLA_VF_INFO_MAX () { 2; }") unless defined(&__IFLA_VF_INFO_MAX);
    eval 'sub IFLA_VF_INFO_MAX () {( &__IFLA_VF_INFO_MAX - 1);}' unless defined(&IFLA_VF_INFO_MAX);
    eval("sub IFLA_VF_UNSPEC () { 0; }") unless defined(&IFLA_VF_UNSPEC);
    eval("sub IFLA_VF_MAC () { 1; }") unless defined(&IFLA_VF_MAC);
    eval("sub IFLA_VF_VLAN () { 2; }") unless defined(&IFLA_VF_VLAN);
    eval("sub IFLA_VF_TX_RATE () { 3; }") unless defined(&IFLA_VF_TX_RATE);
    eval("sub IFLA_VF_SPOOFCHK () { 4; }") unless defined(&IFLA_VF_SPOOFCHK);
    eval("sub IFLA_VF_LINK_STATE () { 5; }") unless defined(&IFLA_VF_LINK_STATE);
    eval("sub IFLA_VF_RATE () { 6; }") unless defined(&IFLA_VF_RATE);
    eval("sub IFLA_VF_RSS_QUERY_EN () { 7; }") unless defined(&IFLA_VF_RSS_QUERY_EN);
    eval("sub IFLA_VF_STATS () { 8; }") unless defined(&IFLA_VF_STATS);
    eval("sub IFLA_VF_TRUST () { 9; }") unless defined(&IFLA_VF_TRUST);
    eval("sub IFLA_VF_IB_NODE_GUID () { 10; }") unless defined(&IFLA_VF_IB_NODE_GUID);
    eval("sub IFLA_VF_IB_PORT_GUID () { 11; }") unless defined(&IFLA_VF_IB_PORT_GUID);
    eval("sub IFLA_VF_VLAN_LIST () { 12; }") unless defined(&IFLA_VF_VLAN_LIST);
    eval("sub IFLA_VF_BROADCAST () { 13; }") unless defined(&IFLA_VF_BROADCAST);
    eval("sub __IFLA_VF_MAX () { 14; }") unless defined(&__IFLA_VF_MAX);
    eval 'sub IFLA_VF_MAX () {( &__IFLA_VF_MAX - 1);}' unless defined(&IFLA_VF_MAX);
    eval("sub IFLA_VF_VLAN_INFO_UNSPEC () { 0; }") unless defined(&IFLA_VF_VLAN_INFO_UNSPEC);
    eval("sub IFLA_VF_VLAN_INFO () { 1; }") unless defined(&IFLA_VF_VLAN_INFO);
    eval("sub __IFLA_VF_VLAN_INFO_MAX () { 2; }") unless defined(&__IFLA_VF_VLAN_INFO_MAX);
    eval 'sub IFLA_VF_VLAN_INFO_MAX () {( &__IFLA_VF_VLAN_INFO_MAX - 1);}' unless defined(&IFLA_VF_VLAN_INFO_MAX);
    eval 'sub MAX_VLAN_LIST_LEN () {1;}' unless defined(&MAX_VLAN_LIST_LEN);
    eval("sub IFLA_VF_LINK_STATE_AUTO () { 0; }") unless defined(&IFLA_VF_LINK_STATE_AUTO);
    eval("sub IFLA_VF_LINK_STATE_ENABLE () { 1; }") unless defined(&IFLA_VF_LINK_STATE_ENABLE);
    eval("sub IFLA_VF_LINK_STATE_DISABLE () { 2; }") unless defined(&IFLA_VF_LINK_STATE_DISABLE);
    eval("sub __IFLA_VF_LINK_STATE_MAX () { 3; }") unless defined(&__IFLA_VF_LINK_STATE_MAX);
    eval("sub IFLA_VF_STATS_RX_PACKETS () { 0; }") unless defined(&IFLA_VF_STATS_RX_PACKETS);
    eval("sub IFLA_VF_STATS_TX_PACKETS () { 1; }") unless defined(&IFLA_VF_STATS_TX_PACKETS);
    eval("sub IFLA_VF_STATS_RX_BYTES () { 2; }") unless defined(&IFLA_VF_STATS_RX_BYTES);
    eval("sub IFLA_VF_STATS_TX_BYTES () { 3; }") unless defined(&IFLA_VF_STATS_TX_BYTES);
    eval("sub IFLA_VF_STATS_BROADCAST () { 4; }") unless defined(&IFLA_VF_STATS_BROADCAST);
    eval("sub IFLA_VF_STATS_MULTICAST () { 5; }") unless defined(&IFLA_VF_STATS_MULTICAST);
    eval("sub IFLA_VF_STATS_PAD () { 6; }") unless defined(&IFLA_VF_STATS_PAD);
    eval("sub IFLA_VF_STATS_RX_DROPPED () { 7; }") unless defined(&IFLA_VF_STATS_RX_DROPPED);
    eval("sub IFLA_VF_STATS_TX_DROPPED () { 8; }") unless defined(&IFLA_VF_STATS_TX_DROPPED);
    eval("sub __IFLA_VF_STATS_MAX () { 9; }") unless defined(&__IFLA_VF_STATS_MAX);
    eval 'sub IFLA_VF_STATS_MAX () {( &__IFLA_VF_STATS_MAX - 1);}' unless defined(&IFLA_VF_STATS_MAX);
    eval("sub IFLA_VF_PORT_UNSPEC () { 0; }") unless defined(&IFLA_VF_PORT_UNSPEC);
    eval("sub IFLA_VF_PORT () { 1; }") unless defined(&IFLA_VF_PORT);
    eval("sub __IFLA_VF_PORT_MAX () { 2; }") unless defined(&__IFLA_VF_PORT_MAX);
    eval 'sub IFLA_VF_PORT_MAX () {( &__IFLA_VF_PORT_MAX - 1);}' unless defined(&IFLA_VF_PORT_MAX);
    eval("sub IFLA_PORT_UNSPEC () { 0; }") unless defined(&IFLA_PORT_UNSPEC);
    eval("sub IFLA_PORT_VF () { 1; }") unless defined(&IFLA_PORT_VF);
    eval("sub IFLA_PORT_PROFILE () { 2; }") unless defined(&IFLA_PORT_PROFILE);
    eval("sub IFLA_PORT_VSI_TYPE () { 3; }") unless defined(&IFLA_PORT_VSI_TYPE);
    eval("sub IFLA_PORT_INSTANCE_UUID () { 4; }") unless defined(&IFLA_PORT_INSTANCE_UUID);
    eval("sub IFLA_PORT_HOST_UUID () { 5; }") unless defined(&IFLA_PORT_HOST_UUID);
    eval("sub IFLA_PORT_REQUEST () { 6; }") unless defined(&IFLA_PORT_REQUEST);
    eval("sub IFLA_PORT_RESPONSE () { 7; }") unless defined(&IFLA_PORT_RESPONSE);
    eval("sub __IFLA_PORT_MAX () { 8; }") unless defined(&__IFLA_PORT_MAX);
    eval 'sub IFLA_PORT_MAX () {( &__IFLA_PORT_MAX - 1);}' unless defined(&IFLA_PORT_MAX);
    eval 'sub PORT_PROFILE_MAX () {40;}' unless defined(&PORT_PROFILE_MAX);
    eval 'sub PORT_UUID_MAX () {16;}' unless defined(&PORT_UUID_MAX);
    eval 'sub PORT_SELF_VF () {-1;}' unless defined(&PORT_SELF_VF);
    eval("sub PORT_REQUEST_PREASSOCIATE () { 0; }") unless defined(&PORT_REQUEST_PREASSOCIATE);
    eval("sub PORT_REQUEST_PREASSOCIATE_RR () { 1; }") unless defined(&PORT_REQUEST_PREASSOCIATE_RR);
    eval("sub PORT_REQUEST_ASSOCIATE () { 2; }") unless defined(&PORT_REQUEST_ASSOCIATE);
    eval("sub PORT_REQUEST_DISASSOCIATE () { 3; }") unless defined(&PORT_REQUEST_DISASSOCIATE);
    eval("sub PORT_VDP_RESPONSE_SUCCESS () { 0; }") unless defined(&PORT_VDP_RESPONSE_SUCCESS);
    eval("sub PORT_VDP_RESPONSE_INVALID_FORMAT () { 1; }") unless defined(&PORT_VDP_RESPONSE_INVALID_FORMAT);
    eval("sub PORT_VDP_RESPONSE_INSUFFICIENT_RESOURCES () { 2; }") unless defined(&PORT_VDP_RESPONSE_INSUFFICIENT_RESOURCES);
    eval("sub PORT_VDP_RESPONSE_UNUSED_VTID () { 3; }") unless defined(&PORT_VDP_RESPONSE_UNUSED_VTID);
    eval("sub PORT_VDP_RESPONSE_VTID_VIOLATION () { 4; }") unless defined(&PORT_VDP_RESPONSE_VTID_VIOLATION);
    eval("sub PORT_VDP_RESPONSE_VTID_VERSION_VIOALTION () { 5; }") unless defined(&PORT_VDP_RESPONSE_VTID_VERSION_VIOALTION);
    eval("sub PORT_VDP_RESPONSE_OUT_OF_SYNC () { 6; }") unless defined(&PORT_VDP_RESPONSE_OUT_OF_SYNC);
    eval("sub PORT_PROFILE_RESPONSE_SUCCESS () { 0x100; }") unless defined(&PORT_PROFILE_RESPONSE_SUCCESS);
    eval("sub PORT_PROFILE_RESPONSE_INPROGRESS () { 1; }") unless defined(&PORT_PROFILE_RESPONSE_INPROGRESS);
    eval("sub PORT_PROFILE_RESPONSE_INVALID () { 2; }") unless defined(&PORT_PROFILE_RESPONSE_INVALID);
    eval("sub PORT_PROFILE_RESPONSE_BADSTATE () { 3; }") unless defined(&PORT_PROFILE_RESPONSE_BADSTATE);
    eval("sub PORT_PROFILE_RESPONSE_INSUFFICIENT_RESOURCES () { 4; }") unless defined(&PORT_PROFILE_RESPONSE_INSUFFICIENT_RESOURCES);
    eval("sub PORT_PROFILE_RESPONSE_ERROR () { 5; }") unless defined(&PORT_PROFILE_RESPONSE_ERROR);
    eval("sub IFLA_IPOIB_UNSPEC () { 0; }") unless defined(&IFLA_IPOIB_UNSPEC);
    eval("sub IFLA_IPOIB_PKEY () { 1; }") unless defined(&IFLA_IPOIB_PKEY);
    eval("sub IFLA_IPOIB_MODE () { 2; }") unless defined(&IFLA_IPOIB_MODE);
    eval("sub IFLA_IPOIB_UMCAST () { 3; }") unless defined(&IFLA_IPOIB_UMCAST);
    eval("sub __IFLA_IPOIB_MAX () { 4; }") unless defined(&__IFLA_IPOIB_MAX);
    eval("sub IPOIB_MODE_DATAGRAM () { 0; }") unless defined(&IPOIB_MODE_DATAGRAM);
    eval("sub IPOIB_MODE_CONNECTED () { 1; }") unless defined(&IPOIB_MODE_CONNECTED);
    eval 'sub IFLA_IPOIB_MAX () {( &__IFLA_IPOIB_MAX - 1);}' unless defined(&IFLA_IPOIB_MAX);
    eval("sub HSR_PROTOCOL_HSR () { 0; }") unless defined(&HSR_PROTOCOL_HSR);
    eval("sub HSR_PROTOCOL_PRP () { 1; }") unless defined(&HSR_PROTOCOL_PRP);
    eval("sub HSR_PROTOCOL_MAX () { 2; }") unless defined(&HSR_PROTOCOL_MAX);
    eval("sub IFLA_HSR_UNSPEC () { 0; }") unless defined(&IFLA_HSR_UNSPEC);
    eval("sub IFLA_HSR_SLAVE1 () { 1; }") unless defined(&IFLA_HSR_SLAVE1);
    eval("sub IFLA_HSR_SLAVE2 () { 2; }") unless defined(&IFLA_HSR_SLAVE2);
    eval("sub IFLA_HSR_MULTICAST_SPEC () { 3; }") unless defined(&IFLA_HSR_MULTICAST_SPEC);
    eval("sub IFLA_HSR_SUPERVISION_ADDR () { 4; }") unless defined(&IFLA_HSR_SUPERVISION_ADDR);
    eval("sub IFLA_HSR_SEQ_NR () { 5; }") unless defined(&IFLA_HSR_SEQ_NR);
    eval("sub IFLA_HSR_VERSION () { 6; }") unless defined(&IFLA_HSR_VERSION);
    eval("sub IFLA_HSR_PROTOCOL () { 7; }") unless defined(&IFLA_HSR_PROTOCOL);
    eval("sub __IFLA_HSR_MAX () { 8; }") unless defined(&__IFLA_HSR_MAX);
    eval 'sub IFLA_HSR_MAX () {( &__IFLA_HSR_MAX - 1);}' unless defined(&IFLA_HSR_MAX);
    eval("sub IFLA_STATS_UNSPEC () { 0; }") unless defined(&IFLA_STATS_UNSPEC);
    eval("sub IFLA_STATS_LINK_64 () { 1; }") unless defined(&IFLA_STATS_LINK_64);
    eval("sub IFLA_STATS_LINK_XSTATS () { 2; }") unless defined(&IFLA_STATS_LINK_XSTATS);
    eval("sub IFLA_STATS_LINK_XSTATS_SLAVE () { 3; }") unless defined(&IFLA_STATS_LINK_XSTATS_SLAVE);
    eval("sub IFLA_STATS_LINK_OFFLOAD_XSTATS () { 4; }") unless defined(&IFLA_STATS_LINK_OFFLOAD_XSTATS);
    eval("sub IFLA_STATS_AF_SPEC () { 5; }") unless defined(&IFLA_STATS_AF_SPEC);
    eval("sub __IFLA_STATS_MAX () { 6; }") unless defined(&__IFLA_STATS_MAX);
    eval 'sub IFLA_STATS_MAX () {( &__IFLA_STATS_MAX - 1);}' unless defined(&IFLA_STATS_MAX);
    eval 'sub IFLA_STATS_FILTER_BIT {
        my($ATTR) = @_;
	    eval q((1<< ($ATTR - 1)));
    }' unless defined(&IFLA_STATS_FILTER_BIT);
    eval("sub IFLA_STATS_GETSET_UNSPEC () { 0; }") unless defined(&IFLA_STATS_GETSET_UNSPEC);
    eval("sub IFLA_STATS_GET_FILTERS () { 1; }") unless defined(&IFLA_STATS_GET_FILTERS);
    eval("sub IFLA_STATS_SET_OFFLOAD_XSTATS_L3_STATS () { 2; }") unless defined(&IFLA_STATS_SET_OFFLOAD_XSTATS_L3_STATS);
    eval("sub __IFLA_STATS_GETSET_MAX () { 3; }") unless defined(&__IFLA_STATS_GETSET_MAX);
    eval 'sub IFLA_STATS_GETSET_MAX () {( &__IFLA_STATS_GETSET_MAX - 1);}' unless defined(&IFLA_STATS_GETSET_MAX);
    eval("sub LINK_XSTATS_TYPE_UNSPEC () { 0; }") unless defined(&LINK_XSTATS_TYPE_UNSPEC);
    eval("sub LINK_XSTATS_TYPE_BRIDGE () { 1; }") unless defined(&LINK_XSTATS_TYPE_BRIDGE);
    eval("sub LINK_XSTATS_TYPE_BOND () { 2; }") unless defined(&LINK_XSTATS_TYPE_BOND);
    eval("sub __LINK_XSTATS_TYPE_MAX () { 3; }") unless defined(&__LINK_XSTATS_TYPE_MAX);
    eval 'sub LINK_XSTATS_TYPE_MAX () {( &__LINK_XSTATS_TYPE_MAX - 1);}' unless defined(&LINK_XSTATS_TYPE_MAX);
    eval("sub IFLA_OFFLOAD_XSTATS_UNSPEC () { 0; }") unless defined(&IFLA_OFFLOAD_XSTATS_UNSPEC);
    eval("sub IFLA_OFFLOAD_XSTATS_CPU_HIT () { 1; }") unless defined(&IFLA_OFFLOAD_XSTATS_CPU_HIT);
    eval("sub IFLA_OFFLOAD_XSTATS_HW_S_INFO () { 2; }") unless defined(&IFLA_OFFLOAD_XSTATS_HW_S_INFO);
    eval("sub IFLA_OFFLOAD_XSTATS_L3_STATS () { 3; }") unless defined(&IFLA_OFFLOAD_XSTATS_L3_STATS);
    eval("sub __IFLA_OFFLOAD_XSTATS_MAX () { 4; }") unless defined(&__IFLA_OFFLOAD_XSTATS_MAX);
    eval 'sub IFLA_OFFLOAD_XSTATS_MAX () {( &__IFLA_OFFLOAD_XSTATS_MAX - 1);}' unless defined(&IFLA_OFFLOAD_XSTATS_MAX);
    eval("sub IFLA_OFFLOAD_XSTATS_HW_S_INFO_UNSPEC () { 0; }") unless defined(&IFLA_OFFLOAD_XSTATS_HW_S_INFO_UNSPEC);
    eval("sub IFLA_OFFLOAD_XSTATS_HW_S_INFO_REQUEST () { 1; }") unless defined(&IFLA_OFFLOAD_XSTATS_HW_S_INFO_REQUEST);
    eval("sub IFLA_OFFLOAD_XSTATS_HW_S_INFO_USED () { 2; }") unless defined(&IFLA_OFFLOAD_XSTATS_HW_S_INFO_USED);
    eval("sub __IFLA_OFFLOAD_XSTATS_HW_S_INFO_MAX () { 3; }") unless defined(&__IFLA_OFFLOAD_XSTATS_HW_S_INFO_MAX);
    eval 'sub IFLA_OFFLOAD_XSTATS_HW_S_INFO_MAX () {( &__IFLA_OFFLOAD_XSTATS_HW_S_INFO_MAX - 1);}' unless defined(&IFLA_OFFLOAD_XSTATS_HW_S_INFO_MAX);
    eval 'sub XDP_FLAGS_UPDATE_IF_NOEXIST () {(1 << 0);}' unless defined(&XDP_FLAGS_UPDATE_IF_NOEXIST);
    eval 'sub XDP_FLAGS_SKB_MODE () {(1 << 1);}' unless defined(&XDP_FLAGS_SKB_MODE);
    eval 'sub XDP_FLAGS_DRV_MODE () {(1 << 2);}' unless defined(&XDP_FLAGS_DRV_MODE);
    eval 'sub XDP_FLAGS_HW_MODE () {(1 << 3);}' unless defined(&XDP_FLAGS_HW_MODE);
    eval 'sub XDP_FLAGS_REPLACE () {(1 << 4);}' unless defined(&XDP_FLAGS_REPLACE);
    eval 'sub XDP_FLAGS_MODES () {( &XDP_FLAGS_SKB_MODE |  &XDP_FLAGS_DRV_MODE |  &XDP_FLAGS_HW_MODE);}' unless defined(&XDP_FLAGS_MODES);
    eval 'sub XDP_FLAGS_MASK () {( &XDP_FLAGS_UPDATE_IF_NOEXIST |  &XDP_FLAGS_MODES |  &XDP_FLAGS_REPLACE);}' unless defined(&XDP_FLAGS_MASK);
    eval("sub XDP_ATTACHED_NONE () { 0; }") unless defined(&XDP_ATTACHED_NONE);
    eval("sub XDP_ATTACHED_DRV () { 1; }") unless defined(&XDP_ATTACHED_DRV);
    eval("sub XDP_ATTACHED_SKB () { 2; }") unless defined(&XDP_ATTACHED_SKB);
    eval("sub XDP_ATTACHED_HW () { 3; }") unless defined(&XDP_ATTACHED_HW);
    eval("sub XDP_ATTACHED_MULTI () { 4; }") unless defined(&XDP_ATTACHED_MULTI);
    eval("sub IFLA_XDP_UNSPEC () { 0; }") unless defined(&IFLA_XDP_UNSPEC);
    eval("sub IFLA_XDP_FD () { 1; }") unless defined(&IFLA_XDP_FD);
    eval("sub IFLA_XDP_ATTACHED () { 2; }") unless defined(&IFLA_XDP_ATTACHED);
    eval("sub IFLA_XDP_FLAGS () { 3; }") unless defined(&IFLA_XDP_FLAGS);
    eval("sub IFLA_XDP_PROG_ID () { 4; }") unless defined(&IFLA_XDP_PROG_ID);
    eval("sub IFLA_XDP_DRV_PROG_ID () { 5; }") unless defined(&IFLA_XDP_DRV_PROG_ID);
    eval("sub IFLA_XDP_SKB_PROG_ID () { 6; }") unless defined(&IFLA_XDP_SKB_PROG_ID);
    eval("sub IFLA_XDP_HW_PROG_ID () { 7; }") unless defined(&IFLA_XDP_HW_PROG_ID);
    eval("sub IFLA_XDP_EXPECTED_FD () { 8; }") unless defined(&IFLA_XDP_EXPECTED_FD);
    eval("sub __IFLA_XDP_MAX () { 9; }") unless defined(&__IFLA_XDP_MAX);
    eval 'sub IFLA_XDP_MAX () {( &__IFLA_XDP_MAX - 1);}' unless defined(&IFLA_XDP_MAX);
    eval("sub IFLA_EVENT_NONE () { 0; }") unless defined(&IFLA_EVENT_NONE);
    eval("sub IFLA_EVENT_REBOOT () { 1; }") unless defined(&IFLA_EVENT_REBOOT);
    eval("sub IFLA_EVENT_FEATURES () { 2; }") unless defined(&IFLA_EVENT_FEATURES);
    eval("sub IFLA_EVENT_BONDING_FAILOVER () { 3; }") unless defined(&IFLA_EVENT_BONDING_FAILOVER);
    eval("sub IFLA_EVENT_NOTIFY_PEERS () { 4; }") unless defined(&IFLA_EVENT_NOTIFY_PEERS);
    eval("sub IFLA_EVENT_IGMP_RESEND () { 5; }") unless defined(&IFLA_EVENT_IGMP_RESEND);
    eval("sub IFLA_EVENT_BONDING_OPTIONS () { 6; }") unless defined(&IFLA_EVENT_BONDING_OPTIONS);
    eval("sub IFLA_TUN_UNSPEC () { 0; }") unless defined(&IFLA_TUN_UNSPEC);
    eval("sub IFLA_TUN_OWNER () { 1; }") unless defined(&IFLA_TUN_OWNER);
    eval("sub IFLA_TUN_GROUP () { 2; }") unless defined(&IFLA_TUN_GROUP);
    eval("sub IFLA_TUN_TYPE () { 3; }") unless defined(&IFLA_TUN_TYPE);
    eval("sub IFLA_TUN_PI () { 4; }") unless defined(&IFLA_TUN_PI);
    eval("sub IFLA_TUN_VNET_HDR () { 5; }") unless defined(&IFLA_TUN_VNET_HDR);
    eval("sub IFLA_TUN_PERSIST () { 6; }") unless defined(&IFLA_TUN_PERSIST);
    eval("sub IFLA_TUN_MULTI_QUEUE () { 7; }") unless defined(&IFLA_TUN_MULTI_QUEUE);
    eval("sub IFLA_TUN_NUM_QUEUES () { 8; }") unless defined(&IFLA_TUN_NUM_QUEUES);
    eval("sub IFLA_TUN_NUM_DISABLED_QUEUES () { 9; }") unless defined(&IFLA_TUN_NUM_DISABLED_QUEUES);
    eval("sub __IFLA_TUN_MAX () { 10; }") unless defined(&__IFLA_TUN_MAX);
    eval 'sub IFLA_TUN_MAX () {( &__IFLA_TUN_MAX - 1);}' unless defined(&IFLA_TUN_MAX);
    eval 'sub RMNET_FLAGS_INGRESS_DEAGGREGATION () {(1 << 0);}' unless defined(&RMNET_FLAGS_INGRESS_DEAGGREGATION);
    eval 'sub RMNET_FLAGS_INGRESS_MAP_COMMANDS () {(1 << 1);}' unless defined(&RMNET_FLAGS_INGRESS_MAP_COMMANDS);
    eval 'sub RMNET_FLAGS_INGRESS_MAP_CKSUMV4 () {(1 << 2);}' unless defined(&RMNET_FLAGS_INGRESS_MAP_CKSUMV4);
    eval 'sub RMNET_FLAGS_EGRESS_MAP_CKSUMV4 () {(1 << 3);}' unless defined(&RMNET_FLAGS_EGRESS_MAP_CKSUMV4);
    eval 'sub RMNET_FLAGS_INGRESS_MAP_CKSUMV5 () {(1 << 4);}' unless defined(&RMNET_FLAGS_INGRESS_MAP_CKSUMV5);
    eval 'sub RMNET_FLAGS_EGRESS_MAP_CKSUMV5 () {(1 << 5);}' unless defined(&RMNET_FLAGS_EGRESS_MAP_CKSUMV5);
    eval("sub IFLA_RMNET_UNSPEC () { 0; }") unless defined(&IFLA_RMNET_UNSPEC);
    eval("sub IFLA_RMNET_MUX_ID () { 1; }") unless defined(&IFLA_RMNET_MUX_ID);
    eval("sub IFLA_RMNET_FLAGS () { 2; }") unless defined(&IFLA_RMNET_FLAGS);
    eval("sub __IFLA_RMNET_MAX () { 3; }") unless defined(&__IFLA_RMNET_MAX);
    eval 'sub IFLA_RMNET_MAX () {( &__IFLA_RMNET_MAX - 1);}' unless defined(&IFLA_RMNET_MAX);
    eval("sub IFLA_MCTP_UNSPEC () { 0; }") unless defined(&IFLA_MCTP_UNSPEC);
    eval("sub IFLA_MCTP_NET () { 1; }") unless defined(&IFLA_MCTP_NET);
    eval("sub __IFLA_MCTP_MAX () { 2; }") unless defined(&__IFLA_MCTP_MAX);
    eval 'sub IFLA_MCTP_MAX () {( &__IFLA_MCTP_MAX - 1);}' unless defined(&IFLA_MCTP_MAX);
    eval("sub IFLA_DSA_UNSPEC () { 0; }") unless defined(&IFLA_DSA_UNSPEC);
    eval("sub IFLA_DSA_MASTER () { 1; }") unless defined(&IFLA_DSA_MASTER);
    eval("sub __IFLA_DSA_MAX () { 2; }") unless defined(&__IFLA_DSA_MAX);
    eval 'sub IFLA_DSA_MAX () {( &__IFLA_DSA_MAX - 1);}' unless defined(&IFLA_DSA_MAX);
}
1;
