require '_h2ph_pre.ph';

no warnings qw(redefine misc);

unless(defined(&__LINUX_IF_PACKET_H)) {
    eval 'sub __LINUX_IF_PACKET_H () {1;}' unless defined(&__LINUX_IF_PACKET_H);
    require 'asm/byteorder.ph';
    require 'linux/types.ph';
    eval 'sub PACKET_HOST () {0;}' unless defined(&PACKET_HOST);
    eval 'sub PACKET_BROADCAST () {1;}' unless defined(&PACKET_BROADCAST);
    eval 'sub PACKET_MULTICAST () {2;}' unless defined(&PACKET_MULTICAST);
    eval 'sub PACKET_OTHERHOST () {3;}' unless defined(&PACKET_OTHERHOST);
    eval 'sub PACKET_OUTGOING () {4;}' unless defined(&PACKET_OUTGOING);
    eval 'sub PACKET_LOOPBACK () {5;}' unless defined(&PACKET_LOOPBACK);
    eval 'sub PACKET_USER () {6;}' unless defined(&PACKET_USER);
    eval 'sub PACKET_KERNEL () {7;}' unless defined(&PACKET_KERNEL);
    eval 'sub PACKET_FASTROUTE () {6;}' unless defined(&PACKET_FASTROUTE);
    eval 'sub PACKET_ADD_MEMBERSHIP () {1;}' unless defined(&PACKET_ADD_MEMBERSHIP);
    eval 'sub PACKET_DROP_MEMBERSHIP () {2;}' unless defined(&PACKET_DROP_MEMBERSHIP);
    eval 'sub PACKET_RECV_OUTPUT () {3;}' unless defined(&PACKET_RECV_OUTPUT);
    eval 'sub PACKET_RX_RING () {5;}' unless defined(&PACKET_RX_RING);
    eval 'sub PACKET_STATISTICS () {6;}' unless defined(&PACKET_STATISTICS);
    eval 'sub PACKET_COPY_THRESH () {7;}' unless defined(&PACKET_COPY_THRESH);
    eval 'sub PACKET_AUXDATA () {8;}' unless defined(&PACKET_AUXDATA);
    eval 'sub PACKET_ORIGDEV () {9;}' unless defined(&PACKET_ORIGDEV);
    eval 'sub PACKET_VERSION () {10;}' unless defined(&PACKET_VERSION);
    eval 'sub PACKET_HDRLEN () {11;}' unless defined(&PACKET_HDRLEN);
    eval 'sub PACKET_RESERVE () {12;}' unless defined(&PACKET_RESERVE);
    eval 'sub PACKET_TX_RING () {13;}' unless defined(&PACKET_TX_RING);
    eval 'sub PACKET_LOSS () {14;}' unless defined(&PACKET_LOSS);
    eval 'sub PACKET_VNET_HDR () {15;}' unless defined(&PACKET_VNET_HDR);
    eval 'sub PACKET_TX_TIMESTAMP () {16;}' unless defined(&PACKET_TX_TIMESTAMP);
    eval 'sub PACKET_TIMESTAMP () {17;}' unless defined(&PACKET_TIMESTAMP);
    eval 'sub PACKET_FANOUT () {18;}' unless defined(&PACKET_FANOUT);
    eval 'sub PACKET_TX_HAS_OFF () {19;}' unless defined(&PACKET_TX_HAS_OFF);
    eval 'sub PACKET_QDISC_BYPASS () {20;}' unless defined(&PACKET_QDISC_BYPASS);
    eval 'sub PACKET_ROLLOVER_STATS () {21;}' unless defined(&PACKET_ROLLOVER_STATS);
    eval 'sub PACKET_FANOUT_DATA () {22;}' unless defined(&PACKET_FANOUT_DATA);
    eval 'sub PACKET_IGNORE_OUTGOING () {23;}' unless defined(&PACKET_IGNORE_OUTGOING);
    eval 'sub PACKET_FANOUT_HASH () {0;}' unless defined(&PACKET_FANOUT_HASH);
    eval 'sub PACKET_FANOUT_LB () {1;}' unless defined(&PACKET_FANOUT_LB);
    eval 'sub PACKET_FANOUT_CPU () {2;}' unless defined(&PACKET_FANOUT_CPU);
    eval 'sub PACKET_FANOUT_ROLLOVER () {3;}' unless defined(&PACKET_FANOUT_ROLLOVER);
    eval 'sub PACKET_FANOUT_RND () {4;}' unless defined(&PACKET_FANOUT_RND);
    eval 'sub PACKET_FANOUT_QM () {5;}' unless defined(&PACKET_FANOUT_QM);
    eval 'sub PACKET_FANOUT_CBPF () {6;}' unless defined(&PACKET_FANOUT_CBPF);
    eval 'sub PACKET_FANOUT_EBPF () {7;}' unless defined(&PACKET_FANOUT_EBPF);
    eval 'sub PACKET_FANOUT_FLAG_ROLLOVER () {0x1000;}' unless defined(&PACKET_FANOUT_FLAG_ROLLOVER);
    eval 'sub PACKET_FANOUT_FLAG_UNIQUEID () {0x2000;}' unless defined(&PACKET_FANOUT_FLAG_UNIQUEID);
    eval 'sub PACKET_FANOUT_FLAG_IGNORE_OUTGOING () {0x4000;}' unless defined(&PACKET_FANOUT_FLAG_IGNORE_OUTGOING);
    eval 'sub PACKET_FANOUT_FLAG_DEFRAG () {0x8000;}' unless defined(&PACKET_FANOUT_FLAG_DEFRAG);
    eval 'sub TP_STATUS_KERNEL () {0;}' unless defined(&TP_STATUS_KERNEL);
    eval 'sub TP_STATUS_USER () {(1<< 0);}' unless defined(&TP_STATUS_USER);
    eval 'sub TP_STATUS_COPY () {(1<< 1);}' unless defined(&TP_STATUS_COPY);
    eval 'sub TP_STATUS_LOSING () {(1<< 2);}' unless defined(&TP_STATUS_LOSING);
    eval 'sub TP_STATUS_CSUMNOTREADY () {(1<< 3);}' unless defined(&TP_STATUS_CSUMNOTREADY);
    eval 'sub TP_STATUS_VLAN_VALID () {(1<< 4);}' unless defined(&TP_STATUS_VLAN_VALID);
    eval 'sub TP_STATUS_BLK_TMO () {(1<< 5);}' unless defined(&TP_STATUS_BLK_TMO);
    eval 'sub TP_STATUS_VLAN_TPID_VALID () {(1<< 6);}' unless defined(&TP_STATUS_VLAN_TPID_VALID);
    eval 'sub TP_STATUS_CSUM_VALID () {(1<< 7);}' unless defined(&TP_STATUS_CSUM_VALID);
    eval 'sub TP_STATUS_GSO_TCP () {(1<< 8);}' unless defined(&TP_STATUS_GSO_TCP);
    eval 'sub TP_STATUS_AVAILABLE () {0;}' unless defined(&TP_STATUS_AVAILABLE);
    eval 'sub TP_STATUS_SEND_REQUEST () {(1<< 0);}' unless defined(&TP_STATUS_SEND_REQUEST);
    eval 'sub TP_STATUS_SENDING () {(1<< 1);}' unless defined(&TP_STATUS_SENDING);
    eval 'sub TP_STATUS_WRONG_FORMAT () {(1<< 2);}' unless defined(&TP_STATUS_WRONG_FORMAT);
    eval 'sub TP_STATUS_TS_SOFTWARE () {(1<< 29);}' unless defined(&TP_STATUS_TS_SOFTWARE);
    eval 'sub TP_STATUS_TS_SYS_HARDWARE () {(1<< 30);}' unless defined(&TP_STATUS_TS_SYS_HARDWARE);
    eval 'sub TP_STATUS_TS_RAW_HARDWARE () {(1 << 31);}' unless defined(&TP_STATUS_TS_RAW_HARDWARE);
    eval 'sub TP_FT_REQ_FILL_RXHASH () {0x1;}' unless defined(&TP_FT_REQ_FILL_RXHASH);
    eval 'sub TPACKET_ALIGNMENT () {16;}' unless defined(&TPACKET_ALIGNMENT);
    eval 'sub TPACKET_ALIGN {
        my($x) = @_;
	    eval q(((($x)+ &TPACKET_ALIGNMENT-1)&~( &TPACKET_ALIGNMENT-1)));
    }' unless defined(&TPACKET_ALIGN);
    eval 'sub TPACKET_HDRLEN () {( &TPACKET_ALIGN($sizeof{\'struct tpacket_hdr\'}) + $sizeof{\'struct sockaddr_ll\'});}' unless defined(&TPACKET_HDRLEN);
    eval 'sub TPACKET2_HDRLEN () {( &TPACKET_ALIGN($sizeof{\'struct tpacket2_hdr\'}) + $sizeof{\'struct sockaddr_ll\'});}' unless defined(&TPACKET2_HDRLEN);
    eval 'sub TPACKET3_HDRLEN () {( &TPACKET_ALIGN($sizeof{\'struct tpacket3_hdr\'}) + $sizeof{\'struct sockaddr_ll\'});}' unless defined(&TPACKET3_HDRLEN);
    eval("sub TPACKET_V1 () { 0; }") unless defined(&TPACKET_V1);
    eval("sub TPACKET_V2 () { 1; }") unless defined(&TPACKET_V2);
    eval("sub TPACKET_V3 () { 2; }") unless defined(&TPACKET_V3);
    if(defined(&__LITTLE_ENDIAN_BITFIELD)) {
    } else {
    }
    eval 'sub PACKET_MR_MULTICAST () {0;}' unless defined(&PACKET_MR_MULTICAST);
    eval 'sub PACKET_MR_PROMISC () {1;}' unless defined(&PACKET_MR_PROMISC);
    eval 'sub PACKET_MR_ALLMULTI () {2;}' unless defined(&PACKET_MR_ALLMULTI);
    eval 'sub PACKET_MR_UNICAST () {3;}' unless defined(&PACKET_MR_UNICAST);
}
1;
