require '_h2ph_pre.ph';

no warnings qw(redefine misc);

unless(defined(&__LINUX_PKT_SCHED_H)) {
    eval 'sub __LINUX_PKT_SCHED_H () {1;}' unless defined(&__LINUX_PKT_SCHED_H);
    require 'linux/const.ph';
    require 'linux/types.ph';
    eval 'sub TC_PRIO_BESTEFFORT () {0;}' unless defined(&TC_PRIO_BESTEFFORT);
    eval 'sub TC_PRIO_FILLER () {1;}' unless defined(&TC_PRIO_FILLER);
    eval 'sub TC_PRIO_BULK () {2;}' unless defined(&TC_PRIO_BULK);
    eval 'sub TC_PRIO_INTERACTIVE_BULK () {4;}' unless defined(&TC_PRIO_INTERACTIVE_BULK);
    eval 'sub TC_PRIO_INTERACTIVE () {6;}' unless defined(&TC_PRIO_INTERACTIVE);
    eval 'sub TC_PRIO_CONTROL () {7;}' unless defined(&TC_PRIO_CONTROL);
    eval 'sub TC_PRIO_MAX () {15;}' unless defined(&TC_PRIO_MAX);
    eval 'sub TC_H_MAJ_MASK () {(0xffff0000);}' unless defined(&TC_H_MAJ_MASK);
    eval 'sub TC_H_MIN_MASK () {(0xffff);}' unless defined(&TC_H_MIN_MASK);
    eval 'sub TC_H_MAJ {
        my($h) = @_;
	    eval q((($h) &TC_H_MAJ_MASK));
    }' unless defined(&TC_H_MAJ);
    eval 'sub TC_H_MIN {
        my($h) = @_;
	    eval q((($h) &TC_H_MIN_MASK));
    }' unless defined(&TC_H_MIN);
    eval 'sub TC_H_MAKE {
        my($maj,$min) = @_;
	    eval q(((($maj) &TC_H_MAJ_MASK)|(($min) &TC_H_MIN_MASK)));
    }' unless defined(&TC_H_MAKE);
    eval 'sub TC_H_UNSPEC () {(0);}' unless defined(&TC_H_UNSPEC);
    eval 'sub TC_H_ROOT () {(0xffffffff);}' unless defined(&TC_H_ROOT);
    eval 'sub TC_H_INGRESS () {(0xfffffff1);}' unless defined(&TC_H_INGRESS);
    eval 'sub TC_H_CLSACT () { &TC_H_INGRESS;}' unless defined(&TC_H_CLSACT);
    eval 'sub TC_H_MIN_PRIORITY () {0xffe0;}' unless defined(&TC_H_MIN_PRIORITY);
    eval 'sub TC_H_MIN_INGRESS () {0xfff2;}' unless defined(&TC_H_MIN_INGRESS);
    eval 'sub TC_H_MIN_EGRESS () {0xfff3;}' unless defined(&TC_H_MIN_EGRESS);
    eval("sub TC_LINKLAYER_UNAWARE () { 0; }") unless defined(&TC_LINKLAYER_UNAWARE);
    eval("sub TC_LINKLAYER_ETHERNET () { 1; }") unless defined(&TC_LINKLAYER_ETHERNET);
    eval("sub TC_LINKLAYER_ATM () { 2; }") unless defined(&TC_LINKLAYER_ATM);
    eval 'sub TC_LINKLAYER_MASK () {0xf;}' unless defined(&TC_LINKLAYER_MASK);
    eval 'sub TC_RTAB_SIZE () {1024;}' unless defined(&TC_RTAB_SIZE);
    eval("sub TCA_STAB_UNSPEC () { 0; }") unless defined(&TCA_STAB_UNSPEC);
    eval("sub TCA_STAB_BASE () { 1; }") unless defined(&TCA_STAB_BASE);
    eval("sub TCA_STAB_DATA () { 2; }") unless defined(&TCA_STAB_DATA);
    eval("sub __TCA_STAB_MAX () { 3; }") unless defined(&__TCA_STAB_MAX);
    eval 'sub TCA_STAB_MAX () {( &__TCA_STAB_MAX - 1);}' unless defined(&TCA_STAB_MAX);
    eval 'sub SKBPRIO_MAX_PRIORITY () {64;}' unless defined(&SKBPRIO_MAX_PRIORITY);
    eval 'sub TCQ_PRIO_BANDS () {16;}' unless defined(&TCQ_PRIO_BANDS);
    eval 'sub TCQ_MIN_PRIO_BANDS () {2;}' unless defined(&TCQ_MIN_PRIO_BANDS);
    eval 'sub TCQ_PLUG_BUFFER () {0;}' unless defined(&TCQ_PLUG_BUFFER);
    eval 'sub TCQ_PLUG_RELEASE_ONE () {1;}' unless defined(&TCQ_PLUG_RELEASE_ONE);
    eval 'sub TCQ_PLUG_RELEASE_INDEFINITE () {2;}' unless defined(&TCQ_PLUG_RELEASE_INDEFINITE);
    eval 'sub TCQ_PLUG_LIMIT () {3;}' unless defined(&TCQ_PLUG_LIMIT);
    eval("sub TCA_TBF_UNSPEC () { 0; }") unless defined(&TCA_TBF_UNSPEC);
    eval("sub TCA_TBF_PARMS () { 1; }") unless defined(&TCA_TBF_PARMS);
    eval("sub TCA_TBF_RTAB () { 2; }") unless defined(&TCA_TBF_RTAB);
    eval("sub TCA_TBF_PTAB () { 3; }") unless defined(&TCA_TBF_PTAB);
    eval("sub TCA_TBF_RATE64 () { 4; }") unless defined(&TCA_TBF_RATE64);
    eval("sub TCA_TBF_PRATE64 () { 5; }") unless defined(&TCA_TBF_PRATE64);
    eval("sub TCA_TBF_BURST () { 6; }") unless defined(&TCA_TBF_BURST);
    eval("sub TCA_TBF_PBURST () { 7; }") unless defined(&TCA_TBF_PBURST);
    eval("sub TCA_TBF_PAD () { 8; }") unless defined(&TCA_TBF_PAD);
    eval("sub __TCA_TBF_MAX () { 9; }") unless defined(&__TCA_TBF_MAX);
    eval 'sub TCA_TBF_MAX () {( &__TCA_TBF_MAX - 1);}' unless defined(&TCA_TBF_MAX);
    eval("sub TCA_RED_UNSPEC () { 0; }") unless defined(&TCA_RED_UNSPEC);
    eval("sub TCA_RED_PARMS () { 1; }") unless defined(&TCA_RED_PARMS);
    eval("sub TCA_RED_STAB () { 2; }") unless defined(&TCA_RED_STAB);
    eval("sub TCA_RED_MAX_P () { 3; }") unless defined(&TCA_RED_MAX_P);
    eval("sub TCA_RED_FLAGS () { 4; }") unless defined(&TCA_RED_FLAGS);
    eval("sub TCA_RED_EARLY_DROP_BLOCK () { 5; }") unless defined(&TCA_RED_EARLY_DROP_BLOCK);
    eval("sub TCA_RED_MARK_BLOCK () { 6; }") unless defined(&TCA_RED_MARK_BLOCK);
    eval("sub __TCA_RED_MAX () { 7; }") unless defined(&__TCA_RED_MAX);
    eval 'sub TCA_RED_MAX () {( &__TCA_RED_MAX - 1);}' unless defined(&TCA_RED_MAX);
    eval 'sub TC_RED_ECN () {1;}' unless defined(&TC_RED_ECN);
    eval 'sub TC_RED_HARDDROP () {2;}' unless defined(&TC_RED_HARDDROP);
    eval 'sub TC_RED_ADAPTATIVE () {4;}' unless defined(&TC_RED_ADAPTATIVE);
    eval 'sub TC_RED_NODROP () {8;}' unless defined(&TC_RED_NODROP);
    eval 'sub TC_RED_HISTORIC_FLAGS () {( &TC_RED_ECN |  &TC_RED_HARDDROP |  &TC_RED_ADAPTATIVE);}' unless defined(&TC_RED_HISTORIC_FLAGS);
    eval 'sub MAX_DPs () {16;}' unless defined(&MAX_DPs);
    eval("sub TCA_GRED_UNSPEC () { 0; }") unless defined(&TCA_GRED_UNSPEC);
    eval("sub TCA_GRED_PARMS () { 1; }") unless defined(&TCA_GRED_PARMS);
    eval("sub TCA_GRED_STAB () { 2; }") unless defined(&TCA_GRED_STAB);
    eval("sub TCA_GRED_DPS () { 3; }") unless defined(&TCA_GRED_DPS);
    eval("sub TCA_GRED_MAX_P () { 4; }") unless defined(&TCA_GRED_MAX_P);
    eval("sub TCA_GRED_LIMIT () { 5; }") unless defined(&TCA_GRED_LIMIT);
    eval("sub TCA_GRED_VQ_LIST () { 6; }") unless defined(&TCA_GRED_VQ_LIST);
    eval("sub __TCA_GRED_MAX () { 7; }") unless defined(&__TCA_GRED_MAX);
    eval 'sub TCA_GRED_MAX () {( &__TCA_GRED_MAX - 1);}' unless defined(&TCA_GRED_MAX);
    eval("sub TCA_GRED_VQ_ENTRY_UNSPEC () { 0; }") unless defined(&TCA_GRED_VQ_ENTRY_UNSPEC);
    eval("sub TCA_GRED_VQ_ENTRY () { 1; }") unless defined(&TCA_GRED_VQ_ENTRY);
    eval("sub __TCA_GRED_VQ_ENTRY_MAX () { 2; }") unless defined(&__TCA_GRED_VQ_ENTRY_MAX);
    eval 'sub TCA_GRED_VQ_ENTRY_MAX () {( &__TCA_GRED_VQ_ENTRY_MAX - 1);}' unless defined(&TCA_GRED_VQ_ENTRY_MAX);
    eval("sub TCA_GRED_VQ_UNSPEC () { 0; }") unless defined(&TCA_GRED_VQ_UNSPEC);
    eval("sub TCA_GRED_VQ_PAD () { 1; }") unless defined(&TCA_GRED_VQ_PAD);
    eval("sub TCA_GRED_VQ_DP () { 2; }") unless defined(&TCA_GRED_VQ_DP);
    eval("sub TCA_GRED_VQ_STAT_BYTES () { 3; }") unless defined(&TCA_GRED_VQ_STAT_BYTES);
    eval("sub TCA_GRED_VQ_STAT_PACKETS () { 4; }") unless defined(&TCA_GRED_VQ_STAT_PACKETS);
    eval("sub TCA_GRED_VQ_STAT_BACKLOG () { 5; }") unless defined(&TCA_GRED_VQ_STAT_BACKLOG);
    eval("sub TCA_GRED_VQ_STAT_PROB_DROP () { 6; }") unless defined(&TCA_GRED_VQ_STAT_PROB_DROP);
    eval("sub TCA_GRED_VQ_STAT_PROB_MARK () { 7; }") unless defined(&TCA_GRED_VQ_STAT_PROB_MARK);
    eval("sub TCA_GRED_VQ_STAT_FORCED_DROP () { 8; }") unless defined(&TCA_GRED_VQ_STAT_FORCED_DROP);
    eval("sub TCA_GRED_VQ_STAT_FORCED_MARK () { 9; }") unless defined(&TCA_GRED_VQ_STAT_FORCED_MARK);
    eval("sub TCA_GRED_VQ_STAT_PDROP () { 10; }") unless defined(&TCA_GRED_VQ_STAT_PDROP);
    eval("sub TCA_GRED_VQ_STAT_OTHER () { 11; }") unless defined(&TCA_GRED_VQ_STAT_OTHER);
    eval("sub TCA_GRED_VQ_FLAGS () { 12; }") unless defined(&TCA_GRED_VQ_FLAGS);
    eval("sub __TCA_GRED_VQ_MAX () { 13; }") unless defined(&__TCA_GRED_VQ_MAX);
    eval 'sub TCA_GRED_VQ_MAX () {( &__TCA_GRED_VQ_MAX - 1);}' unless defined(&TCA_GRED_VQ_MAX);
    eval("sub TCA_CHOKE_UNSPEC () { 0; }") unless defined(&TCA_CHOKE_UNSPEC);
    eval("sub TCA_CHOKE_PARMS () { 1; }") unless defined(&TCA_CHOKE_PARMS);
    eval("sub TCA_CHOKE_STAB () { 2; }") unless defined(&TCA_CHOKE_STAB);
    eval("sub TCA_CHOKE_MAX_P () { 3; }") unless defined(&TCA_CHOKE_MAX_P);
    eval("sub __TCA_CHOKE_MAX () { 4; }") unless defined(&__TCA_CHOKE_MAX);
    eval 'sub TCA_CHOKE_MAX () {( &__TCA_CHOKE_MAX - 1);}' unless defined(&TCA_CHOKE_MAX);
    eval 'sub TC_HTB_NUMPRIO () {8;}' unless defined(&TC_HTB_NUMPRIO);
    eval 'sub TC_HTB_MAXDEPTH () {8;}' unless defined(&TC_HTB_MAXDEPTH);
    eval 'sub TC_HTB_PROTOVER () {3;}' unless defined(&TC_HTB_PROTOVER);
    eval("sub TCA_HTB_UNSPEC () { 0; }") unless defined(&TCA_HTB_UNSPEC);
    eval("sub TCA_HTB_PARMS () { 1; }") unless defined(&TCA_HTB_PARMS);
    eval("sub TCA_HTB_INIT () { 2; }") unless defined(&TCA_HTB_INIT);
    eval("sub TCA_HTB_CTAB () { 3; }") unless defined(&TCA_HTB_CTAB);
    eval("sub TCA_HTB_RTAB () { 4; }") unless defined(&TCA_HTB_RTAB);
    eval("sub TCA_HTB_DIRECT_QLEN () { 5; }") unless defined(&TCA_HTB_DIRECT_QLEN);
    eval("sub TCA_HTB_RATE64 () { 6; }") unless defined(&TCA_HTB_RATE64);
    eval("sub TCA_HTB_CEIL64 () { 7; }") unless defined(&TCA_HTB_CEIL64);
    eval("sub TCA_HTB_PAD () { 8; }") unless defined(&TCA_HTB_PAD);
    eval("sub TCA_HTB_OFFLOAD () { 9; }") unless defined(&TCA_HTB_OFFLOAD);
    eval("sub __TCA_HTB_MAX () { 10; }") unless defined(&__TCA_HTB_MAX);
    eval 'sub TCA_HTB_MAX () {( &__TCA_HTB_MAX - 1);}' unless defined(&TCA_HTB_MAX);
    eval("sub TCA_HFSC_UNSPEC () { 0; }") unless defined(&TCA_HFSC_UNSPEC);
    eval("sub TCA_HFSC_RSC () { 1; }") unless defined(&TCA_HFSC_RSC);
    eval("sub TCA_HFSC_FSC () { 2; }") unless defined(&TCA_HFSC_FSC);
    eval("sub TCA_HFSC_USC () { 3; }") unless defined(&TCA_HFSC_USC);
    eval("sub __TCA_HFSC_MAX () { 4; }") unless defined(&__TCA_HFSC_MAX);
    eval 'sub TCA_HFSC_MAX () {( &__TCA_HFSC_MAX - 1);}' unless defined(&TCA_HFSC_MAX);
    eval 'sub TC_CBQ_MAXPRIO () {8;}' unless defined(&TC_CBQ_MAXPRIO);
    eval 'sub TC_CBQ_MAXLEVEL () {8;}' unless defined(&TC_CBQ_MAXLEVEL);
    eval 'sub TC_CBQ_DEF_EWMA () {5;}' unless defined(&TC_CBQ_DEF_EWMA);
    eval 'sub TCF_CBQ_LSS_BOUNDED () {1;}' unless defined(&TCF_CBQ_LSS_BOUNDED);
    eval 'sub TCF_CBQ_LSS_ISOLATED () {2;}' unless defined(&TCF_CBQ_LSS_ISOLATED);
    eval 'sub TCF_CBQ_LSS_FLAGS () {1;}' unless defined(&TCF_CBQ_LSS_FLAGS);
    eval 'sub TCF_CBQ_LSS_EWMA () {2;}' unless defined(&TCF_CBQ_LSS_EWMA);
    eval 'sub TCF_CBQ_LSS_MAXIDLE () {4;}' unless defined(&TCF_CBQ_LSS_MAXIDLE);
    eval 'sub TCF_CBQ_LSS_MINIDLE () {8;}' unless defined(&TCF_CBQ_LSS_MINIDLE);
    eval 'sub TCF_CBQ_LSS_OFFTIME () {0x10;}' unless defined(&TCF_CBQ_LSS_OFFTIME);
    eval 'sub TCF_CBQ_LSS_AVPKT () {0x20;}' unless defined(&TCF_CBQ_LSS_AVPKT);
    eval 'sub TC_CBQ_OVL_CLASSIC () {0;}' unless defined(&TC_CBQ_OVL_CLASSIC);
    eval 'sub TC_CBQ_OVL_DELAY () {1;}' unless defined(&TC_CBQ_OVL_DELAY);
    eval 'sub TC_CBQ_OVL_LOWPRIO () {2;}' unless defined(&TC_CBQ_OVL_LOWPRIO);
    eval 'sub TC_CBQ_OVL_DROP () {3;}' unless defined(&TC_CBQ_OVL_DROP);
    eval 'sub TC_CBQ_OVL_RCLASSIC () {4;}' unless defined(&TC_CBQ_OVL_RCLASSIC);
    eval("sub TCA_CBQ_UNSPEC () { 0; }") unless defined(&TCA_CBQ_UNSPEC);
    eval("sub TCA_CBQ_LSSOPT () { 1; }") unless defined(&TCA_CBQ_LSSOPT);
    eval("sub TCA_CBQ_WRROPT () { 2; }") unless defined(&TCA_CBQ_WRROPT);
    eval("sub TCA_CBQ_FOPT () { 3; }") unless defined(&TCA_CBQ_FOPT);
    eval("sub TCA_CBQ_OVL_STRATEGY () { 4; }") unless defined(&TCA_CBQ_OVL_STRATEGY);
    eval("sub TCA_CBQ_RATE () { 5; }") unless defined(&TCA_CBQ_RATE);
    eval("sub TCA_CBQ_RTAB () { 6; }") unless defined(&TCA_CBQ_RTAB);
    eval("sub TCA_CBQ_POLICE () { 7; }") unless defined(&TCA_CBQ_POLICE);
    eval("sub __TCA_CBQ_MAX () { 8; }") unless defined(&__TCA_CBQ_MAX);
    eval 'sub TCA_CBQ_MAX () {( &__TCA_CBQ_MAX - 1);}' unless defined(&TCA_CBQ_MAX);
    eval("sub TCA_DSMARK_UNSPEC () { 0; }") unless defined(&TCA_DSMARK_UNSPEC);
    eval("sub TCA_DSMARK_INDICES () { 1; }") unless defined(&TCA_DSMARK_INDICES);
    eval("sub TCA_DSMARK_DEFAULT_INDEX () { 2; }") unless defined(&TCA_DSMARK_DEFAULT_INDEX);
    eval("sub TCA_DSMARK_SET_TC_INDEX () { 3; }") unless defined(&TCA_DSMARK_SET_TC_INDEX);
    eval("sub TCA_DSMARK_MASK () { 4; }") unless defined(&TCA_DSMARK_MASK);
    eval("sub TCA_DSMARK_VALUE () { 5; }") unless defined(&TCA_DSMARK_VALUE);
    eval("sub __TCA_DSMARK_MAX () { 6; }") unless defined(&__TCA_DSMARK_MAX);
    eval 'sub TCA_DSMARK_MAX () {( &__TCA_DSMARK_MAX - 1);}' unless defined(&TCA_DSMARK_MAX);
    eval("sub TCA_ATM_UNSPEC () { 0; }") unless defined(&TCA_ATM_UNSPEC);
    eval("sub TCA_ATM_FD () { 1; }") unless defined(&TCA_ATM_FD);
    eval("sub TCA_ATM_PTR () { 2; }") unless defined(&TCA_ATM_PTR);
    eval("sub TCA_ATM_HDR () { 3; }") unless defined(&TCA_ATM_HDR);
    eval("sub TCA_ATM_EXCESS () { 4; }") unless defined(&TCA_ATM_EXCESS);
    eval("sub TCA_ATM_ADDR () { 5; }") unless defined(&TCA_ATM_ADDR);
    eval("sub TCA_ATM_STATE () { 6; }") unless defined(&TCA_ATM_STATE);
    eval("sub __TCA_ATM_MAX () { 7; }") unless defined(&__TCA_ATM_MAX);
    eval 'sub TCA_ATM_MAX () {( &__TCA_ATM_MAX - 1);}' unless defined(&TCA_ATM_MAX);
    eval("sub TCA_NETEM_UNSPEC () { 0; }") unless defined(&TCA_NETEM_UNSPEC);
    eval("sub TCA_NETEM_CORR () { 1; }") unless defined(&TCA_NETEM_CORR);
    eval("sub TCA_NETEM_DELAY_DIST () { 2; }") unless defined(&TCA_NETEM_DELAY_DIST);
    eval("sub TCA_NETEM_REORDER () { 3; }") unless defined(&TCA_NETEM_REORDER);
    eval("sub TCA_NETEM_CORRUPT () { 4; }") unless defined(&TCA_NETEM_CORRUPT);
    eval("sub TCA_NETEM_LOSS () { 5; }") unless defined(&TCA_NETEM_LOSS);
    eval("sub TCA_NETEM_RATE () { 6; }") unless defined(&TCA_NETEM_RATE);
    eval("sub TCA_NETEM_ECN () { 7; }") unless defined(&TCA_NETEM_ECN);
    eval("sub TCA_NETEM_RATE64 () { 8; }") unless defined(&TCA_NETEM_RATE64);
    eval("sub TCA_NETEM_PAD () { 9; }") unless defined(&TCA_NETEM_PAD);
    eval("sub TCA_NETEM_LATENCY64 () { 10; }") unless defined(&TCA_NETEM_LATENCY64);
    eval("sub TCA_NETEM_JITTER64 () { 11; }") unless defined(&TCA_NETEM_JITTER64);
    eval("sub TCA_NETEM_SLOT () { 12; }") unless defined(&TCA_NETEM_SLOT);
    eval("sub TCA_NETEM_SLOT_DIST () { 13; }") unless defined(&TCA_NETEM_SLOT_DIST);
    eval("sub __TCA_NETEM_MAX () { 14; }") unless defined(&__TCA_NETEM_MAX);
    eval 'sub TCA_NETEM_MAX () {( &__TCA_NETEM_MAX - 1);}' unless defined(&TCA_NETEM_MAX);
    eval("sub NETEM_LOSS_UNSPEC () { 0; }") unless defined(&NETEM_LOSS_UNSPEC);
    eval("sub NETEM_LOSS_GI () { 1; }") unless defined(&NETEM_LOSS_GI);
    eval("sub NETEM_LOSS_GE () { 2; }") unless defined(&NETEM_LOSS_GE);
    eval("sub __NETEM_LOSS_MAX () { 3; }") unless defined(&__NETEM_LOSS_MAX);
    eval 'sub NETEM_LOSS_MAX () {( &__NETEM_LOSS_MAX - 1);}' unless defined(&NETEM_LOSS_MAX);
    eval 'sub NETEM_DIST_SCALE () {8192;}' unless defined(&NETEM_DIST_SCALE);
    eval 'sub NETEM_DIST_MAX () {16384;}' unless defined(&NETEM_DIST_MAX);
    eval("sub TCA_DRR_UNSPEC () { 0; }") unless defined(&TCA_DRR_UNSPEC);
    eval("sub TCA_DRR_QUANTUM () { 1; }") unless defined(&TCA_DRR_QUANTUM);
    eval("sub __TCA_DRR_MAX () { 2; }") unless defined(&__TCA_DRR_MAX);
    eval 'sub TCA_DRR_MAX () {( &__TCA_DRR_MAX - 1);}' unless defined(&TCA_DRR_MAX);
    eval 'sub TC_QOPT_BITMASK () {15;}' unless defined(&TC_QOPT_BITMASK);
    eval 'sub TC_QOPT_MAX_QUEUE () {16;}' unless defined(&TC_QOPT_MAX_QUEUE);
    eval("sub TC_MQPRIO_HW_OFFLOAD_NONE () { 0; }") unless defined(&TC_MQPRIO_HW_OFFLOAD_NONE);
    eval("sub TC_MQPRIO_HW_OFFLOAD_TCS () { 1; }") unless defined(&TC_MQPRIO_HW_OFFLOAD_TCS);
    eval("sub __TC_MQPRIO_HW_OFFLOAD_MAX () { 2; }") unless defined(&__TC_MQPRIO_HW_OFFLOAD_MAX);
    eval 'sub TC_MQPRIO_HW_OFFLOAD_MAX () {( &__TC_MQPRIO_HW_OFFLOAD_MAX - 1);}' unless defined(&TC_MQPRIO_HW_OFFLOAD_MAX);
    eval("sub TC_MQPRIO_MODE_DCB () { 0; }") unless defined(&TC_MQPRIO_MODE_DCB);
    eval("sub TC_MQPRIO_MODE_CHANNEL () { 1; }") unless defined(&TC_MQPRIO_MODE_CHANNEL);
    eval("sub __TC_MQPRIO_MODE_MAX () { 2; }") unless defined(&__TC_MQPRIO_MODE_MAX);
    eval 'sub __TC_MQPRIO_MODE_MAX () {( &__TC_MQPRIO_MODE_MAX - 1);}' unless defined(&__TC_MQPRIO_MODE_MAX);
    eval("sub TC_MQPRIO_SHAPER_DCB () { 0; }") unless defined(&TC_MQPRIO_SHAPER_DCB);
    eval("sub TC_MQPRIO_SHAPER_BW_RATE () { 1; }") unless defined(&TC_MQPRIO_SHAPER_BW_RATE);
    eval("sub __TC_MQPRIO_SHAPER_MAX () { 2; }") unless defined(&__TC_MQPRIO_SHAPER_MAX);
    eval 'sub __TC_MQPRIO_SHAPER_MAX () {( &__TC_MQPRIO_SHAPER_MAX - 1);}' unless defined(&__TC_MQPRIO_SHAPER_MAX);
    eval 'sub TC_MQPRIO_F_MODE () {0x1;}' unless defined(&TC_MQPRIO_F_MODE);
    eval 'sub TC_MQPRIO_F_SHAPER () {0x2;}' unless defined(&TC_MQPRIO_F_SHAPER);
    eval 'sub TC_MQPRIO_F_MIN_RATE () {0x4;}' unless defined(&TC_MQPRIO_F_MIN_RATE);
    eval 'sub TC_MQPRIO_F_MAX_RATE () {0x8;}' unless defined(&TC_MQPRIO_F_MAX_RATE);
    eval("sub TCA_MQPRIO_UNSPEC () { 0; }") unless defined(&TCA_MQPRIO_UNSPEC);
    eval("sub TCA_MQPRIO_MODE () { 1; }") unless defined(&TCA_MQPRIO_MODE);
    eval("sub TCA_MQPRIO_SHAPER () { 2; }") unless defined(&TCA_MQPRIO_SHAPER);
    eval("sub TCA_MQPRIO_MIN_RATE64 () { 3; }") unless defined(&TCA_MQPRIO_MIN_RATE64);
    eval("sub TCA_MQPRIO_MAX_RATE64 () { 4; }") unless defined(&TCA_MQPRIO_MAX_RATE64);
    eval("sub __TCA_MQPRIO_MAX () { 5; }") unless defined(&__TCA_MQPRIO_MAX);
    eval 'sub TCA_MQPRIO_MAX () {( &__TCA_MQPRIO_MAX - 1);}' unless defined(&TCA_MQPRIO_MAX);
    eval("sub TCA_SFB_UNSPEC () { 0; }") unless defined(&TCA_SFB_UNSPEC);
    eval("sub TCA_SFB_PARMS () { 1; }") unless defined(&TCA_SFB_PARMS);
    eval("sub __TCA_SFB_MAX () { 2; }") unless defined(&__TCA_SFB_MAX);
    eval 'sub TCA_SFB_MAX () {( &__TCA_SFB_MAX - 1);}' unless defined(&TCA_SFB_MAX);
    eval 'sub SFB_MAX_PROB () {0xffff;}' unless defined(&SFB_MAX_PROB);
    eval("sub TCA_QFQ_UNSPEC () { 0; }") unless defined(&TCA_QFQ_UNSPEC);
    eval("sub TCA_QFQ_WEIGHT () { 1; }") unless defined(&TCA_QFQ_WEIGHT);
    eval("sub TCA_QFQ_LMAX () { 2; }") unless defined(&TCA_QFQ_LMAX);
    eval("sub __TCA_QFQ_MAX () { 3; }") unless defined(&__TCA_QFQ_MAX);
    eval 'sub TCA_QFQ_MAX () {( &__TCA_QFQ_MAX - 1);}' unless defined(&TCA_QFQ_MAX);
    eval("sub TCA_CODEL_UNSPEC () { 0; }") unless defined(&TCA_CODEL_UNSPEC);
    eval("sub TCA_CODEL_TARGET () { 1; }") unless defined(&TCA_CODEL_TARGET);
    eval("sub TCA_CODEL_LIMIT () { 2; }") unless defined(&TCA_CODEL_LIMIT);
    eval("sub TCA_CODEL_INTERVAL () { 3; }") unless defined(&TCA_CODEL_INTERVAL);
    eval("sub TCA_CODEL_ECN () { 4; }") unless defined(&TCA_CODEL_ECN);
    eval("sub TCA_CODEL_CE_THRESHOLD () { 5; }") unless defined(&TCA_CODEL_CE_THRESHOLD);
    eval("sub __TCA_CODEL_MAX () { 6; }") unless defined(&__TCA_CODEL_MAX);
    eval 'sub TCA_CODEL_MAX () {( &__TCA_CODEL_MAX - 1);}' unless defined(&TCA_CODEL_MAX);
    eval 'sub FQ_CODEL_QUANTUM_MAX () {(1<< 20);}' unless defined(&FQ_CODEL_QUANTUM_MAX);
    eval("sub TCA_FQ_CODEL_UNSPEC () { 0; }") unless defined(&TCA_FQ_CODEL_UNSPEC);
    eval("sub TCA_FQ_CODEL_TARGET () { 1; }") unless defined(&TCA_FQ_CODEL_TARGET);
    eval("sub TCA_FQ_CODEL_LIMIT () { 2; }") unless defined(&TCA_FQ_CODEL_LIMIT);
    eval("sub TCA_FQ_CODEL_INTERVAL () { 3; }") unless defined(&TCA_FQ_CODEL_INTERVAL);
    eval("sub TCA_FQ_CODEL_ECN () { 4; }") unless defined(&TCA_FQ_CODEL_ECN);
    eval("sub TCA_FQ_CODEL_FLOWS () { 5; }") unless defined(&TCA_FQ_CODEL_FLOWS);
    eval("sub TCA_FQ_CODEL_QUANTUM () { 6; }") unless defined(&TCA_FQ_CODEL_QUANTUM);
    eval("sub TCA_FQ_CODEL_CE_THRESHOLD () { 7; }") unless defined(&TCA_FQ_CODEL_CE_THRESHOLD);
    eval("sub TCA_FQ_CODEL_DROP_BATCH_SIZE () { 8; }") unless defined(&TCA_FQ_CODEL_DROP_BATCH_SIZE);
    eval("sub TCA_FQ_CODEL_MEMORY_LIMIT () { 9; }") unless defined(&TCA_FQ_CODEL_MEMORY_LIMIT);
    eval("sub TCA_FQ_CODEL_CE_THRESHOLD_SELECTOR () { 10; }") unless defined(&TCA_FQ_CODEL_CE_THRESHOLD_SELECTOR);
    eval("sub TCA_FQ_CODEL_CE_THRESHOLD_MASK () { 11; }") unless defined(&TCA_FQ_CODEL_CE_THRESHOLD_MASK);
    eval("sub __TCA_FQ_CODEL_MAX () { 12; }") unless defined(&__TCA_FQ_CODEL_MAX);
    eval 'sub TCA_FQ_CODEL_MAX () {( &__TCA_FQ_CODEL_MAX - 1);}' unless defined(&TCA_FQ_CODEL_MAX);
    eval("sub TCA_FQ_CODEL_XSTATS_QDISC () { 0; }") unless defined(&TCA_FQ_CODEL_XSTATS_QDISC);
    eval("sub TCA_FQ_CODEL_XSTATS_CLASS () { 1; }") unless defined(&TCA_FQ_CODEL_XSTATS_CLASS);
    eval("sub TCA_FQ_UNSPEC () { 0; }") unless defined(&TCA_FQ_UNSPEC);
    eval("sub TCA_FQ_PLIMIT () { 1; }") unless defined(&TCA_FQ_PLIMIT);
    eval("sub TCA_FQ_FLOW_PLIMIT () { 2; }") unless defined(&TCA_FQ_FLOW_PLIMIT);
    eval("sub TCA_FQ_QUANTUM () { 3; }") unless defined(&TCA_FQ_QUANTUM);
    eval("sub TCA_FQ_INITIAL_QUANTUM () { 4; }") unless defined(&TCA_FQ_INITIAL_QUANTUM);
    eval("sub TCA_FQ_RATE_ENABLE () { 5; }") unless defined(&TCA_FQ_RATE_ENABLE);
    eval("sub TCA_FQ_FLOW_DEFAULT_RATE () { 6; }") unless defined(&TCA_FQ_FLOW_DEFAULT_RATE);
    eval("sub TCA_FQ_FLOW_MAX_RATE () { 7; }") unless defined(&TCA_FQ_FLOW_MAX_RATE);
    eval("sub TCA_FQ_BUCKETS_LOG () { 8; }") unless defined(&TCA_FQ_BUCKETS_LOG);
    eval("sub TCA_FQ_FLOW_REFILL_DELAY () { 9; }") unless defined(&TCA_FQ_FLOW_REFILL_DELAY);
    eval("sub TCA_FQ_ORPHAN_MASK () { 10; }") unless defined(&TCA_FQ_ORPHAN_MASK);
    eval("sub TCA_FQ_LOW_RATE_THRESHOLD () { 11; }") unless defined(&TCA_FQ_LOW_RATE_THRESHOLD);
    eval("sub TCA_FQ_CE_THRESHOLD () { 12; }") unless defined(&TCA_FQ_CE_THRESHOLD);
    eval("sub TCA_FQ_TIMER_SLACK () { 13; }") unless defined(&TCA_FQ_TIMER_SLACK);
    eval("sub TCA_FQ_HORIZON () { 14; }") unless defined(&TCA_FQ_HORIZON);
    eval("sub TCA_FQ_HORIZON_DROP () { 15; }") unless defined(&TCA_FQ_HORIZON_DROP);
    eval("sub __TCA_FQ_MAX () { 16; }") unless defined(&__TCA_FQ_MAX);
    eval 'sub TCA_FQ_MAX () {( &__TCA_FQ_MAX - 1);}' unless defined(&TCA_FQ_MAX);
    eval("sub TCA_HHF_UNSPEC () { 0; }") unless defined(&TCA_HHF_UNSPEC);
    eval("sub TCA_HHF_BACKLOG_LIMIT () { 1; }") unless defined(&TCA_HHF_BACKLOG_LIMIT);
    eval("sub TCA_HHF_QUANTUM () { 2; }") unless defined(&TCA_HHF_QUANTUM);
    eval("sub TCA_HHF_HH_FLOWS_LIMIT () { 3; }") unless defined(&TCA_HHF_HH_FLOWS_LIMIT);
    eval("sub TCA_HHF_RESET_TIMEOUT () { 4; }") unless defined(&TCA_HHF_RESET_TIMEOUT);
    eval("sub TCA_HHF_ADMIT_BYTES () { 5; }") unless defined(&TCA_HHF_ADMIT_BYTES);
    eval("sub TCA_HHF_EVICT_TIMEOUT () { 6; }") unless defined(&TCA_HHF_EVICT_TIMEOUT);
    eval("sub TCA_HHF_NON_HH_WEIGHT () { 7; }") unless defined(&TCA_HHF_NON_HH_WEIGHT);
    eval("sub __TCA_HHF_MAX () { 8; }") unless defined(&__TCA_HHF_MAX);
    eval 'sub TCA_HHF_MAX () {( &__TCA_HHF_MAX - 1);}' unless defined(&TCA_HHF_MAX);
    eval("sub TCA_PIE_UNSPEC () { 0; }") unless defined(&TCA_PIE_UNSPEC);
    eval("sub TCA_PIE_TARGET () { 1; }") unless defined(&TCA_PIE_TARGET);
    eval("sub TCA_PIE_LIMIT () { 2; }") unless defined(&TCA_PIE_LIMIT);
    eval("sub TCA_PIE_TUPDATE () { 3; }") unless defined(&TCA_PIE_TUPDATE);
    eval("sub TCA_PIE_ALPHA () { 4; }") unless defined(&TCA_PIE_ALPHA);
    eval("sub TCA_PIE_BETA () { 5; }") unless defined(&TCA_PIE_BETA);
    eval("sub TCA_PIE_ECN () { 6; }") unless defined(&TCA_PIE_ECN);
    eval("sub TCA_PIE_BYTEMODE () { 7; }") unless defined(&TCA_PIE_BYTEMODE);
    eval("sub TCA_PIE_DQ_RATE_ESTIMATOR () { 8; }") unless defined(&TCA_PIE_DQ_RATE_ESTIMATOR);
    eval("sub __TCA_PIE_MAX () { 9; }") unless defined(&__TCA_PIE_MAX);
    eval 'sub TCA_PIE_MAX () {( &__TCA_PIE_MAX - 1);}' unless defined(&TCA_PIE_MAX);
    eval("sub TCA_FQ_PIE_UNSPEC () { 0; }") unless defined(&TCA_FQ_PIE_UNSPEC);
    eval("sub TCA_FQ_PIE_LIMIT () { 1; }") unless defined(&TCA_FQ_PIE_LIMIT);
    eval("sub TCA_FQ_PIE_FLOWS () { 2; }") unless defined(&TCA_FQ_PIE_FLOWS);
    eval("sub TCA_FQ_PIE_TARGET () { 3; }") unless defined(&TCA_FQ_PIE_TARGET);
    eval("sub TCA_FQ_PIE_TUPDATE () { 4; }") unless defined(&TCA_FQ_PIE_TUPDATE);
    eval("sub TCA_FQ_PIE_ALPHA () { 5; }") unless defined(&TCA_FQ_PIE_ALPHA);
    eval("sub TCA_FQ_PIE_BETA () { 6; }") unless defined(&TCA_FQ_PIE_BETA);
    eval("sub TCA_FQ_PIE_QUANTUM () { 7; }") unless defined(&TCA_FQ_PIE_QUANTUM);
    eval("sub TCA_FQ_PIE_MEMORY_LIMIT () { 8; }") unless defined(&TCA_FQ_PIE_MEMORY_LIMIT);
    eval("sub TCA_FQ_PIE_ECN_PROB () { 9; }") unless defined(&TCA_FQ_PIE_ECN_PROB);
    eval("sub TCA_FQ_PIE_ECN () { 10; }") unless defined(&TCA_FQ_PIE_ECN);
    eval("sub TCA_FQ_PIE_BYTEMODE () { 11; }") unless defined(&TCA_FQ_PIE_BYTEMODE);
    eval("sub TCA_FQ_PIE_DQ_RATE_ESTIMATOR () { 12; }") unless defined(&TCA_FQ_PIE_DQ_RATE_ESTIMATOR);
    eval("sub __TCA_FQ_PIE_MAX () { 13; }") unless defined(&__TCA_FQ_PIE_MAX);
    eval 'sub TCA_FQ_PIE_MAX () {( &__TCA_FQ_PIE_MAX - 1);}' unless defined(&TCA_FQ_PIE_MAX);
    eval("sub TCA_CBS_UNSPEC () { 0; }") unless defined(&TCA_CBS_UNSPEC);
    eval("sub TCA_CBS_PARMS () { 1; }") unless defined(&TCA_CBS_PARMS);
    eval("sub __TCA_CBS_MAX () { 2; }") unless defined(&__TCA_CBS_MAX);
    eval 'sub TCA_CBS_MAX () {( &__TCA_CBS_MAX - 1);}' unless defined(&TCA_CBS_MAX);
    eval 'sub TC_ETF_DEADLINE_MODE_ON () { &_BITUL(0);}' unless defined(&TC_ETF_DEADLINE_MODE_ON);
    eval 'sub TC_ETF_OFFLOAD_ON () { &_BITUL(1);}' unless defined(&TC_ETF_OFFLOAD_ON);
    eval 'sub TC_ETF_SKIP_SOCK_CHECK () { &_BITUL(2);}' unless defined(&TC_ETF_SKIP_SOCK_CHECK);
    eval("sub TCA_ETF_UNSPEC () { 0; }") unless defined(&TCA_ETF_UNSPEC);
    eval("sub TCA_ETF_PARMS () { 1; }") unless defined(&TCA_ETF_PARMS);
    eval("sub __TCA_ETF_MAX () { 2; }") unless defined(&__TCA_ETF_MAX);
    eval 'sub TCA_ETF_MAX () {( &__TCA_ETF_MAX - 1);}' unless defined(&TCA_ETF_MAX);
    eval("sub TCA_CAKE_UNSPEC () { 0; }") unless defined(&TCA_CAKE_UNSPEC);
    eval("sub TCA_CAKE_PAD () { 1; }") unless defined(&TCA_CAKE_PAD);
    eval("sub TCA_CAKE_BASE_RATE64 () { 2; }") unless defined(&TCA_CAKE_BASE_RATE64);
    eval("sub TCA_CAKE_DIFFSERV_MODE () { 3; }") unless defined(&TCA_CAKE_DIFFSERV_MODE);
    eval("sub TCA_CAKE_ATM () { 4; }") unless defined(&TCA_CAKE_ATM);
    eval("sub TCA_CAKE_FLOW_MODE () { 5; }") unless defined(&TCA_CAKE_FLOW_MODE);
    eval("sub TCA_CAKE_OVERHEAD () { 6; }") unless defined(&TCA_CAKE_OVERHEAD);
    eval("sub TCA_CAKE_RTT () { 7; }") unless defined(&TCA_CAKE_RTT);
    eval("sub TCA_CAKE_TARGET () { 8; }") unless defined(&TCA_CAKE_TARGET);
    eval("sub TCA_CAKE_AUTORATE () { 9; }") unless defined(&TCA_CAKE_AUTORATE);
    eval("sub TCA_CAKE_MEMORY () { 10; }") unless defined(&TCA_CAKE_MEMORY);
    eval("sub TCA_CAKE_NAT () { 11; }") unless defined(&TCA_CAKE_NAT);
    eval("sub TCA_CAKE_RAW () { 12; }") unless defined(&TCA_CAKE_RAW);
    eval("sub TCA_CAKE_WASH () { 13; }") unless defined(&TCA_CAKE_WASH);
    eval("sub TCA_CAKE_MPU () { 14; }") unless defined(&TCA_CAKE_MPU);
    eval("sub TCA_CAKE_INGRESS () { 15; }") unless defined(&TCA_CAKE_INGRESS);
    eval("sub TCA_CAKE_ACK_FILTER () { 16; }") unless defined(&TCA_CAKE_ACK_FILTER);
    eval("sub TCA_CAKE_SPLIT_GSO () { 17; }") unless defined(&TCA_CAKE_SPLIT_GSO);
    eval("sub TCA_CAKE_FWMARK () { 18; }") unless defined(&TCA_CAKE_FWMARK);
    eval("sub __TCA_CAKE_MAX () { 19; }") unless defined(&__TCA_CAKE_MAX);
    eval 'sub TCA_CAKE_MAX () {( &__TCA_CAKE_MAX - 1);}' unless defined(&TCA_CAKE_MAX);
    eval("sub __TCA_CAKE_STATS_INVALID () { 0; }") unless defined(&__TCA_CAKE_STATS_INVALID);
    eval("sub TCA_CAKE_STATS_PAD () { 1; }") unless defined(&TCA_CAKE_STATS_PAD);
    eval("sub TCA_CAKE_STATS_CAPACITY_ESTIMATE64 () { 2; }") unless defined(&TCA_CAKE_STATS_CAPACITY_ESTIMATE64);
    eval("sub TCA_CAKE_STATS_MEMORY_LIMIT () { 3; }") unless defined(&TCA_CAKE_STATS_MEMORY_LIMIT);
    eval("sub TCA_CAKE_STATS_MEMORY_USED () { 4; }") unless defined(&TCA_CAKE_STATS_MEMORY_USED);
    eval("sub TCA_CAKE_STATS_AVG_NETOFF () { 5; }") unless defined(&TCA_CAKE_STATS_AVG_NETOFF);
    eval("sub TCA_CAKE_STATS_MIN_NETLEN () { 6; }") unless defined(&TCA_CAKE_STATS_MIN_NETLEN);
    eval("sub TCA_CAKE_STATS_MAX_NETLEN () { 7; }") unless defined(&TCA_CAKE_STATS_MAX_NETLEN);
    eval("sub TCA_CAKE_STATS_MIN_ADJLEN () { 8; }") unless defined(&TCA_CAKE_STATS_MIN_ADJLEN);
    eval("sub TCA_CAKE_STATS_MAX_ADJLEN () { 9; }") unless defined(&TCA_CAKE_STATS_MAX_ADJLEN);
    eval("sub TCA_CAKE_STATS_TIN_STATS () { 10; }") unless defined(&TCA_CAKE_STATS_TIN_STATS);
    eval("sub TCA_CAKE_STATS_DEFICIT () { 11; }") unless defined(&TCA_CAKE_STATS_DEFICIT);
    eval("sub TCA_CAKE_STATS_COBALT_COUNT () { 12; }") unless defined(&TCA_CAKE_STATS_COBALT_COUNT);
    eval("sub TCA_CAKE_STATS_DROPPING () { 13; }") unless defined(&TCA_CAKE_STATS_DROPPING);
    eval("sub TCA_CAKE_STATS_DROP_NEXT_US () { 14; }") unless defined(&TCA_CAKE_STATS_DROP_NEXT_US);
    eval("sub TCA_CAKE_STATS_P_DROP () { 15; }") unless defined(&TCA_CAKE_STATS_P_DROP);
    eval("sub TCA_CAKE_STATS_BLUE_TIMER_US () { 16; }") unless defined(&TCA_CAKE_STATS_BLUE_TIMER_US);
    eval("sub __TCA_CAKE_STATS_MAX () { 17; }") unless defined(&__TCA_CAKE_STATS_MAX);
    eval 'sub TCA_CAKE_STATS_MAX () {( &__TCA_CAKE_STATS_MAX - 1);}' unless defined(&TCA_CAKE_STATS_MAX);
    eval("sub __TCA_CAKE_TIN_STATS_INVALID () { 0; }") unless defined(&__TCA_CAKE_TIN_STATS_INVALID);
    eval("sub TCA_CAKE_TIN_STATS_PAD () { 1; }") unless defined(&TCA_CAKE_TIN_STATS_PAD);
    eval("sub TCA_CAKE_TIN_STATS_SENT_PACKETS () { 2; }") unless defined(&TCA_CAKE_TIN_STATS_SENT_PACKETS);
    eval("sub TCA_CAKE_TIN_STATS_SENT_BYTES64 () { 3; }") unless defined(&TCA_CAKE_TIN_STATS_SENT_BYTES64);
    eval("sub TCA_CAKE_TIN_STATS_DROPPED_PACKETS () { 4; }") unless defined(&TCA_CAKE_TIN_STATS_DROPPED_PACKETS);
    eval("sub TCA_CAKE_TIN_STATS_DROPPED_BYTES64 () { 5; }") unless defined(&TCA_CAKE_TIN_STATS_DROPPED_BYTES64);
    eval("sub TCA_CAKE_TIN_STATS_ACKS_DROPPED_PACKETS () { 6; }") unless defined(&TCA_CAKE_TIN_STATS_ACKS_DROPPED_PACKETS);
    eval("sub TCA_CAKE_TIN_STATS_ACKS_DROPPED_BYTES64 () { 7; }") unless defined(&TCA_CAKE_TIN_STATS_ACKS_DROPPED_BYTES64);
    eval("sub TCA_CAKE_TIN_STATS_ECN_MARKED_PACKETS () { 8; }") unless defined(&TCA_CAKE_TIN_STATS_ECN_MARKED_PACKETS);
    eval("sub TCA_CAKE_TIN_STATS_ECN_MARKED_BYTES64 () { 9; }") unless defined(&TCA_CAKE_TIN_STATS_ECN_MARKED_BYTES64);
    eval("sub TCA_CAKE_TIN_STATS_BACKLOG_PACKETS () { 10; }") unless defined(&TCA_CAKE_TIN_STATS_BACKLOG_PACKETS);
    eval("sub TCA_CAKE_TIN_STATS_BACKLOG_BYTES () { 11; }") unless defined(&TCA_CAKE_TIN_STATS_BACKLOG_BYTES);
    eval("sub TCA_CAKE_TIN_STATS_THRESHOLD_RATE64 () { 12; }") unless defined(&TCA_CAKE_TIN_STATS_THRESHOLD_RATE64);
    eval("sub TCA_CAKE_TIN_STATS_TARGET_US () { 13; }") unless defined(&TCA_CAKE_TIN_STATS_TARGET_US);
    eval("sub TCA_CAKE_TIN_STATS_INTERVAL_US () { 14; }") unless defined(&TCA_CAKE_TIN_STATS_INTERVAL_US);
    eval("sub TCA_CAKE_TIN_STATS_WAY_INDIRECT_HITS () { 15; }") unless defined(&TCA_CAKE_TIN_STATS_WAY_INDIRECT_HITS);
    eval("sub TCA_CAKE_TIN_STATS_WAY_MISSES () { 16; }") unless defined(&TCA_CAKE_TIN_STATS_WAY_MISSES);
    eval("sub TCA_CAKE_TIN_STATS_WAY_COLLISIONS () { 17; }") unless defined(&TCA_CAKE_TIN_STATS_WAY_COLLISIONS);
    eval("sub TCA_CAKE_TIN_STATS_PEAK_DELAY_US () { 18; }") unless defined(&TCA_CAKE_TIN_STATS_PEAK_DELAY_US);
    eval("sub TCA_CAKE_TIN_STATS_AVG_DELAY_US () { 19; }") unless defined(&TCA_CAKE_TIN_STATS_AVG_DELAY_US);
    eval("sub TCA_CAKE_TIN_STATS_BASE_DELAY_US () { 20; }") unless defined(&TCA_CAKE_TIN_STATS_BASE_DELAY_US);
    eval("sub TCA_CAKE_TIN_STATS_SPARSE_FLOWS () { 21; }") unless defined(&TCA_CAKE_TIN_STATS_SPARSE_FLOWS);
    eval("sub TCA_CAKE_TIN_STATS_BULK_FLOWS () { 22; }") unless defined(&TCA_CAKE_TIN_STATS_BULK_FLOWS);
    eval("sub TCA_CAKE_TIN_STATS_UNRESPONSIVE_FLOWS () { 23; }") unless defined(&TCA_CAKE_TIN_STATS_UNRESPONSIVE_FLOWS);
    eval("sub TCA_CAKE_TIN_STATS_MAX_SKBLEN () { 24; }") unless defined(&TCA_CAKE_TIN_STATS_MAX_SKBLEN);
    eval("sub TCA_CAKE_TIN_STATS_FLOW_QUANTUM () { 25; }") unless defined(&TCA_CAKE_TIN_STATS_FLOW_QUANTUM);
    eval("sub __TCA_CAKE_TIN_STATS_MAX () { 26; }") unless defined(&__TCA_CAKE_TIN_STATS_MAX);
    eval 'sub TCA_CAKE_TIN_STATS_MAX () {( &__TCA_CAKE_TIN_STATS_MAX - 1);}' unless defined(&TCA_CAKE_TIN_STATS_MAX);
    eval 'sub TC_CAKE_MAX_TINS () {(8);}' unless defined(&TC_CAKE_MAX_TINS);
    eval("sub CAKE_FLOW_NONE () { 0; }") unless defined(&CAKE_FLOW_NONE);
    eval("sub CAKE_FLOW_SRC_IP () { 1; }") unless defined(&CAKE_FLOW_SRC_IP);
    eval("sub CAKE_FLOW_DST_IP () { 2; }") unless defined(&CAKE_FLOW_DST_IP);
    eval("sub CAKE_FLOW_HOSTS () { 3; }") unless defined(&CAKE_FLOW_HOSTS);
    eval("sub CAKE_FLOW_FLOWS () { 4; }") unless defined(&CAKE_FLOW_FLOWS);
    eval("sub CAKE_FLOW_DUAL_SRC () { 5; }") unless defined(&CAKE_FLOW_DUAL_SRC);
    eval("sub CAKE_FLOW_DUAL_DST () { 6; }") unless defined(&CAKE_FLOW_DUAL_DST);
    eval("sub CAKE_FLOW_TRIPLE () { 7; }") unless defined(&CAKE_FLOW_TRIPLE);
    eval("sub CAKE_FLOW_MAX () { 8; }") unless defined(&CAKE_FLOW_MAX);
    eval("sub CAKE_DIFFSERV_DIFFSERV3 () { 0; }") unless defined(&CAKE_DIFFSERV_DIFFSERV3);
    eval("sub CAKE_DIFFSERV_DIFFSERV4 () { 1; }") unless defined(&CAKE_DIFFSERV_DIFFSERV4);
    eval("sub CAKE_DIFFSERV_DIFFSERV8 () { 2; }") unless defined(&CAKE_DIFFSERV_DIFFSERV8);
    eval("sub CAKE_DIFFSERV_BESTEFFORT () { 3; }") unless defined(&CAKE_DIFFSERV_BESTEFFORT);
    eval("sub CAKE_DIFFSERV_PRECEDENCE () { 4; }") unless defined(&CAKE_DIFFSERV_PRECEDENCE);
    eval("sub CAKE_DIFFSERV_MAX () { 5; }") unless defined(&CAKE_DIFFSERV_MAX);
    eval("sub CAKE_ACK_NONE () { 0; }") unless defined(&CAKE_ACK_NONE);
    eval("sub CAKE_ACK_FILTER () { 1; }") unless defined(&CAKE_ACK_FILTER);
    eval("sub CAKE_ACK_AGGRESSIVE () { 2; }") unless defined(&CAKE_ACK_AGGRESSIVE);
    eval("sub CAKE_ACK_MAX () { 3; }") unless defined(&CAKE_ACK_MAX);
    eval("sub CAKE_ATM_NONE () { 0; }") unless defined(&CAKE_ATM_NONE);
    eval("sub CAKE_ATM_ATM () { 1; }") unless defined(&CAKE_ATM_ATM);
    eval("sub CAKE_ATM_PTM () { 2; }") unless defined(&CAKE_ATM_PTM);
    eval("sub CAKE_ATM_MAX () { 3; }") unless defined(&CAKE_ATM_MAX);
    eval("sub TC_TAPRIO_CMD_SET_GATES () { 0x00; }") unless defined(&TC_TAPRIO_CMD_SET_GATES);
    eval("sub TC_TAPRIO_CMD_SET_AND_HOLD () { 0x01; }") unless defined(&TC_TAPRIO_CMD_SET_AND_HOLD);
    eval("sub TC_TAPRIO_CMD_SET_AND_RELEASE () { 0x02; }") unless defined(&TC_TAPRIO_CMD_SET_AND_RELEASE);
    eval("sub TCA_TAPRIO_SCHED_ENTRY_UNSPEC () { 0; }") unless defined(&TCA_TAPRIO_SCHED_ENTRY_UNSPEC);
    eval("sub TCA_TAPRIO_SCHED_ENTRY_INDEX () { 1; }") unless defined(&TCA_TAPRIO_SCHED_ENTRY_INDEX);
    eval("sub TCA_TAPRIO_SCHED_ENTRY_CMD () { 2; }") unless defined(&TCA_TAPRIO_SCHED_ENTRY_CMD);
    eval("sub TCA_TAPRIO_SCHED_ENTRY_GATE_MASK () { 3; }") unless defined(&TCA_TAPRIO_SCHED_ENTRY_GATE_MASK);
    eval("sub TCA_TAPRIO_SCHED_ENTRY_INTERVAL () { 4; }") unless defined(&TCA_TAPRIO_SCHED_ENTRY_INTERVAL);
    eval("sub __TCA_TAPRIO_SCHED_ENTRY_MAX () { 5; }") unless defined(&__TCA_TAPRIO_SCHED_ENTRY_MAX);
    eval 'sub TCA_TAPRIO_SCHED_ENTRY_MAX () {( &__TCA_TAPRIO_SCHED_ENTRY_MAX - 1);}' unless defined(&TCA_TAPRIO_SCHED_ENTRY_MAX);
    eval("sub TCA_TAPRIO_SCHED_UNSPEC () { 0; }") unless defined(&TCA_TAPRIO_SCHED_UNSPEC);
    eval("sub TCA_TAPRIO_SCHED_ENTRY () { 1; }") unless defined(&TCA_TAPRIO_SCHED_ENTRY);
    eval("sub __TCA_TAPRIO_SCHED_MAX () { 2; }") unless defined(&__TCA_TAPRIO_SCHED_MAX);
    eval 'sub TCA_TAPRIO_SCHED_MAX () {( &__TCA_TAPRIO_SCHED_MAX - 1);}' unless defined(&TCA_TAPRIO_SCHED_MAX);
    eval 'sub TCA_TAPRIO_ATTR_FLAG_TXTIME_ASSIST () { &_BITUL(0);}' unless defined(&TCA_TAPRIO_ATTR_FLAG_TXTIME_ASSIST);
    eval 'sub TCA_TAPRIO_ATTR_FLAG_FULL_OFFLOAD () { &_BITUL(1);}' unless defined(&TCA_TAPRIO_ATTR_FLAG_FULL_OFFLOAD);
    eval("sub TCA_TAPRIO_TC_ENTRY_UNSPEC () { 0; }") unless defined(&TCA_TAPRIO_TC_ENTRY_UNSPEC);
    eval("sub TCA_TAPRIO_TC_ENTRY_INDEX () { 1; }") unless defined(&TCA_TAPRIO_TC_ENTRY_INDEX);
    eval("sub TCA_TAPRIO_TC_ENTRY_MAX_SDU () { 2; }") unless defined(&TCA_TAPRIO_TC_ENTRY_MAX_SDU);
    eval("sub __TCA_TAPRIO_TC_ENTRY_CNT () { 3; }") unless defined(&__TCA_TAPRIO_TC_ENTRY_CNT);
    eval("sub TCA_TAPRIO_TC_ENTRY_MAX () { (__TCA_TAPRIO_TC_ENTRY_CNT-1); }") unless defined(&TCA_TAPRIO_TC_ENTRY_MAX);
    eval("sub TCA_TAPRIO_ATTR_UNSPEC () { 0; }") unless defined(&TCA_TAPRIO_ATTR_UNSPEC);
    eval("sub TCA_TAPRIO_ATTR_PRIOMAP () { 1; }") unless defined(&TCA_TAPRIO_ATTR_PRIOMAP);
    eval("sub TCA_TAPRIO_ATTR_SCHED_ENTRY_LIST () { 2; }") unless defined(&TCA_TAPRIO_ATTR_SCHED_ENTRY_LIST);
    eval("sub TCA_TAPRIO_ATTR_SCHED_BASE_TIME () { 3; }") unless defined(&TCA_TAPRIO_ATTR_SCHED_BASE_TIME);
    eval("sub TCA_TAPRIO_ATTR_SCHED_SINGLE_ENTRY () { 4; }") unless defined(&TCA_TAPRIO_ATTR_SCHED_SINGLE_ENTRY);
    eval("sub TCA_TAPRIO_ATTR_SCHED_CLOCKID () { 5; }") unless defined(&TCA_TAPRIO_ATTR_SCHED_CLOCKID);
    eval("sub TCA_TAPRIO_PAD () { 6; }") unless defined(&TCA_TAPRIO_PAD);
    eval("sub TCA_TAPRIO_ATTR_ADMIN_SCHED () { 7; }") unless defined(&TCA_TAPRIO_ATTR_ADMIN_SCHED);
    eval("sub TCA_TAPRIO_ATTR_SCHED_CYCLE_TIME () { 8; }") unless defined(&TCA_TAPRIO_ATTR_SCHED_CYCLE_TIME);
    eval("sub TCA_TAPRIO_ATTR_SCHED_CYCLE_TIME_EXTENSION () { 9; }") unless defined(&TCA_TAPRIO_ATTR_SCHED_CYCLE_TIME_EXTENSION);
    eval("sub TCA_TAPRIO_ATTR_FLAGS () { 10; }") unless defined(&TCA_TAPRIO_ATTR_FLAGS);
    eval("sub TCA_TAPRIO_ATTR_TXTIME_DELAY () { 11; }") unless defined(&TCA_TAPRIO_ATTR_TXTIME_DELAY);
    eval("sub TCA_TAPRIO_ATTR_TC_ENTRY () { 12; }") unless defined(&TCA_TAPRIO_ATTR_TC_ENTRY);
    eval("sub __TCA_TAPRIO_ATTR_MAX () { 13; }") unless defined(&__TCA_TAPRIO_ATTR_MAX);
    eval 'sub TCA_TAPRIO_ATTR_MAX () {( &__TCA_TAPRIO_ATTR_MAX - 1);}' unless defined(&TCA_TAPRIO_ATTR_MAX);
    eval 'sub TCQ_ETS_MAX_BANDS () {16;}' unless defined(&TCQ_ETS_MAX_BANDS);
    eval("sub TCA_ETS_UNSPEC () { 0; }") unless defined(&TCA_ETS_UNSPEC);
    eval("sub TCA_ETS_NBANDS () { 1; }") unless defined(&TCA_ETS_NBANDS);
    eval("sub TCA_ETS_NSTRICT () { 2; }") unless defined(&TCA_ETS_NSTRICT);
    eval("sub TCA_ETS_QUANTA () { 3; }") unless defined(&TCA_ETS_QUANTA);
    eval("sub TCA_ETS_QUANTA_BAND () { 4; }") unless defined(&TCA_ETS_QUANTA_BAND);
    eval("sub TCA_ETS_PRIOMAP () { 5; }") unless defined(&TCA_ETS_PRIOMAP);
    eval("sub TCA_ETS_PRIOMAP_BAND () { 6; }") unless defined(&TCA_ETS_PRIOMAP_BAND);
    eval("sub __TCA_ETS_MAX () { 7; }") unless defined(&__TCA_ETS_MAX);
    eval 'sub TCA_ETS_MAX () {( &__TCA_ETS_MAX - 1);}' unless defined(&TCA_ETS_MAX);
}
1;
