require '_h2ph_pre.ph';

no warnings qw(redefine misc);

unless(defined(&_SED_OPAL_H)) {
    eval 'sub _SED_OPAL_H () {1;}' unless defined(&_SED_OPAL_H);
    require 'linux/types.ph';
    eval 'sub OPAL_KEY_MAX () {256;}' unless defined(&OPAL_KEY_MAX);
    eval 'sub OPAL_MAX_LRS () {9;}' unless defined(&OPAL_MAX_LRS);
    eval("sub OPAL_MBR_ENABLE () { 0x0; }") unless defined(&OPAL_MBR_ENABLE);
    eval("sub OPAL_MBR_DISABLE () { 0x01; }") unless defined(&OPAL_MBR_DISABLE);
    eval("sub OPAL_MBR_NOT_DONE () { 0x0; }") unless defined(&OPAL_MBR_NOT_DONE);
    eval("sub OPAL_MBR_DONE () { 0x01; }") unless defined(&OPAL_MBR_DONE);
    eval("sub OPAL_ADMIN1 () { 0x0; }") unless defined(&OPAL_ADMIN1);
    eval("sub OPAL_USER1 () { 0x01; }") unless defined(&OPAL_USER1);
    eval("sub OPAL_USER2 () { 0x02; }") unless defined(&OPAL_USER2);
    eval("sub OPAL_USER3 () { 0x03; }") unless defined(&OPAL_USER3);
    eval("sub OPAL_USER4 () { 0x04; }") unless defined(&OPAL_USER4);
    eval("sub OPAL_USER5 () { 0x05; }") unless defined(&OPAL_USER5);
    eval("sub OPAL_USER6 () { 0x06; }") unless defined(&OPAL_USER6);
    eval("sub OPAL_USER7 () { 0x07; }") unless defined(&OPAL_USER7);
    eval("sub OPAL_USER8 () { 0x08; }") unless defined(&OPAL_USER8);
    eval("sub OPAL_USER9 () { 0x09; }") unless defined(&OPAL_USER9);
    eval("sub OPAL_RO () { 0x01; }") unless defined(&OPAL_RO);
    eval("sub OPAL_RW () { 0x02; }") unless defined(&OPAL_RW);
    eval("sub OPAL_LK () { 0x04; }") unless defined(&OPAL_LK);
    eval("sub OPAL_SAVE_FOR_LOCK () { 0x01; }") unless defined(&OPAL_SAVE_FOR_LOCK);
    eval("sub OPAL_READ_TABLE () { 0; }") unless defined(&OPAL_READ_TABLE);
    eval("sub OPAL_WRITE_TABLE () { 1; }") unless defined(&OPAL_WRITE_TABLE);
    eval 'sub OPAL_UID_LENGTH () {8;}' unless defined(&OPAL_UID_LENGTH);
    eval 'sub OPAL_TABLE_READ () {(1<<  &OPAL_READ_TABLE);}' unless defined(&OPAL_TABLE_READ);
    eval 'sub OPAL_TABLE_WRITE () {(1<<  &OPAL_WRITE_TABLE);}' unless defined(&OPAL_TABLE_WRITE);
    eval 'sub OPAL_FL_SUPPORTED () {0x1;}' unless defined(&OPAL_FL_SUPPORTED);
    eval 'sub OPAL_FL_LOCKING_SUPPORTED () {0x2;}' unless defined(&OPAL_FL_LOCKING_SUPPORTED);
    eval 'sub OPAL_FL_LOCKING_ENABLED () {0x4;}' unless defined(&OPAL_FL_LOCKING_ENABLED);
    eval 'sub OPAL_FL_LOCKED () {0x8;}' unless defined(&OPAL_FL_LOCKED);
    eval 'sub OPAL_FL_MBR_ENABLED () {0x10;}' unless defined(&OPAL_FL_MBR_ENABLED);
    eval 'sub OPAL_FL_MBR_DONE () {0x20;}' unless defined(&OPAL_FL_MBR_DONE);
    eval 'sub OPAL_FL_SUM_SUPPORTED () {0x40;}' unless defined(&OPAL_FL_SUM_SUPPORTED);
    eval 'sub IOC_OPAL_SAVE () { &_IOW(ord(\'p\'), 220, \'struct opal_lock_unlock\');}' unless defined(&IOC_OPAL_SAVE);
    eval 'sub IOC_OPAL_LOCK_UNLOCK () { &_IOW(ord(\'p\'), 221, \'struct opal_lock_unlock\');}' unless defined(&IOC_OPAL_LOCK_UNLOCK);
    eval 'sub IOC_OPAL_TAKE_OWNERSHIP () { &_IOW(ord(\'p\'), 222, \'struct opal_key\');}' unless defined(&IOC_OPAL_TAKE_OWNERSHIP);
    eval 'sub IOC_OPAL_ACTIVATE_LSP () { &_IOW(ord(\'p\'), 223, \'struct opal_lr_act\');}' unless defined(&IOC_OPAL_ACTIVATE_LSP);
    eval 'sub IOC_OPAL_SET_PW () { &_IOW(ord(\'p\'), 224, \'struct opal_new_pw\');}' unless defined(&IOC_OPAL_SET_PW);
    eval 'sub IOC_OPAL_ACTIVATE_USR () { &_IOW(ord(\'p\'), 225, \'struct opal_session_info\');}' unless defined(&IOC_OPAL_ACTIVATE_USR);
    eval 'sub IOC_OPAL_REVERT_TPR () { &_IOW(ord(\'p\'), 226, \'struct opal_key\');}' unless defined(&IOC_OPAL_REVERT_TPR);
    eval 'sub IOC_OPAL_LR_SETUP () { &_IOW(ord(\'p\'), 227, \'struct opal_user_lr_setup\');}' unless defined(&IOC_OPAL_LR_SETUP);
    eval 'sub IOC_OPAL_ADD_USR_TO_LR () { &_IOW(ord(\'p\'), 228, \'struct opal_lock_unlock\');}' unless defined(&IOC_OPAL_ADD_USR_TO_LR);
    eval 'sub IOC_OPAL_ENABLE_DISABLE_MBR () { &_IOW(ord(\'p\'), 229, \'struct opal_mbr_data\');}' unless defined(&IOC_OPAL_ENABLE_DISABLE_MBR);
    eval 'sub IOC_OPAL_ERASE_LR () { &_IOW(ord(\'p\'), 230, \'struct opal_session_info\');}' unless defined(&IOC_OPAL_ERASE_LR);
    eval 'sub IOC_OPAL_SECURE_ERASE_LR () { &_IOW(ord(\'p\'), 231, \'struct opal_session_info\');}' unless defined(&IOC_OPAL_SECURE_ERASE_LR);
    eval 'sub IOC_OPAL_PSID_REVERT_TPR () { &_IOW(ord(\'p\'), 232, \'struct opal_key\');}' unless defined(&IOC_OPAL_PSID_REVERT_TPR);
    eval 'sub IOC_OPAL_MBR_DONE () { &_IOW(ord(\'p\'), 233, \'struct opal_mbr_done\');}' unless defined(&IOC_OPAL_MBR_DONE);
    eval 'sub IOC_OPAL_WRITE_SHADOW_MBR () { &_IOW(ord(\'p\'), 234, \'struct opal_shadow_mbr\');}' unless defined(&IOC_OPAL_WRITE_SHADOW_MBR);
    eval 'sub IOC_OPAL_GENERIC_TABLE_RW () { &_IOW(ord(\'p\'), 235, \'struct opal_read_write_table\');}' unless defined(&IOC_OPAL_GENERIC_TABLE_RW);
    eval 'sub IOC_OPAL_GET_STATUS () { &_IOR(ord(\'p\'), 236, \'struct opal_status\');}' unless defined(&IOC_OPAL_GET_STATUS);
}
1;
