require '_h2ph_pre.ph';

no warnings qw(redefine misc);

unless(defined(&USER_BLK_DRV_CMD_INC_H)) {
    eval 'sub USER_BLK_DRV_CMD_INC_H () {1;}' unless defined(&USER_BLK_DRV_CMD_INC_H);
    require 'linux/types.ph';
    eval 'sub UBLK_CMD_GET_QUEUE_AFFINITY () {0x1;}' unless defined(&UBLK_CMD_GET_QUEUE_AFFINITY);
    eval 'sub UBLK_CMD_GET_DEV_INFO () {0x2;}' unless defined(&UBLK_CMD_GET_DEV_INFO);
    eval 'sub UBLK_CMD_ADD_DEV () {0x4;}' unless defined(&UBLK_CMD_ADD_DEV);
    eval 'sub UBLK_CMD_DEL_DEV () {0x5;}' unless defined(&UBLK_CMD_DEL_DEV);
    eval 'sub UBLK_CMD_START_DEV () {0x6;}' unless defined(&UBLK_CMD_START_DEV);
    eval 'sub UBLK_CMD_STOP_DEV () {0x7;}' unless defined(&UBLK_CMD_STOP_DEV);
    eval 'sub UBLK_CMD_SET_PARAMS () {0x8;}' unless defined(&UBLK_CMD_SET_PARAMS);
    eval 'sub UBLK_CMD_GET_PARAMS () {0x9;}' unless defined(&UBLK_CMD_GET_PARAMS);
    eval 'sub UBLK_CMD_START_USER_RECOVERY () {0x10;}' unless defined(&UBLK_CMD_START_USER_RECOVERY);
    eval 'sub UBLK_CMD_END_USER_RECOVERY () {0x11;}' unless defined(&UBLK_CMD_END_USER_RECOVERY);
    eval 'sub UBLK_CMD_GET_DEV_INFO2 () {0x12;}' unless defined(&UBLK_CMD_GET_DEV_INFO2);
    eval 'sub UBLK_IO_FETCH_REQ () {0x20;}' unless defined(&UBLK_IO_FETCH_REQ);
    eval 'sub UBLK_IO_COMMIT_AND_FETCH_REQ () {0x21;}' unless defined(&UBLK_IO_COMMIT_AND_FETCH_REQ);
    eval 'sub UBLK_IO_NEED_GET_DATA () {0x22;}' unless defined(&UBLK_IO_NEED_GET_DATA);
    eval 'sub UBLK_IO_RES_OK () {0;}' unless defined(&UBLK_IO_RES_OK);
    eval 'sub UBLK_IO_RES_NEED_GET_DATA () {1;}' unless defined(&UBLK_IO_RES_NEED_GET_DATA);
    eval 'sub UBLK_IO_RES_ABORT () {(- &ENODEV);}' unless defined(&UBLK_IO_RES_ABORT);
    eval 'sub UBLKSRV_CMD_BUF_OFFSET () {0;}' unless defined(&UBLKSRV_CMD_BUF_OFFSET);
    eval 'sub UBLKSRV_IO_BUF_OFFSET () {0x80000000;}' unless defined(&UBLKSRV_IO_BUF_OFFSET);
    eval 'sub UBLK_MAX_QUEUE_DEPTH () {4096;}' unless defined(&UBLK_MAX_QUEUE_DEPTH);
    eval 'sub UBLK_F_SUPPORT_ZERO_COPY () {(1 << 0);}' unless defined(&UBLK_F_SUPPORT_ZERO_COPY);
    eval 'sub UBLK_F_URING_CMD_COMP_IN_TASK () {(1 << 1);}' unless defined(&UBLK_F_URING_CMD_COMP_IN_TASK);
    eval 'sub UBLK_F_NEED_GET_DATA () {(1 << 2);}' unless defined(&UBLK_F_NEED_GET_DATA);
    eval 'sub UBLK_F_USER_RECOVERY () {(1 << 3);}' unless defined(&UBLK_F_USER_RECOVERY);
    eval 'sub UBLK_F_USER_RECOVERY_REISSUE () {(1 << 4);}' unless defined(&UBLK_F_USER_RECOVERY_REISSUE);
    eval 'sub UBLK_F_UNPRIVILEGED_DEV () {(1 << 5);}' unless defined(&UBLK_F_UNPRIVILEGED_DEV);
    eval 'sub UBLK_S_DEV_DEAD () {0;}' unless defined(&UBLK_S_DEV_DEAD);
    eval 'sub UBLK_S_DEV_LIVE () {1;}' unless defined(&UBLK_S_DEV_LIVE);
    eval 'sub UBLK_S_DEV_QUIESCED () {2;}' unless defined(&UBLK_S_DEV_QUIESCED);
    eval 'sub UBLK_IO_OP_READ () {0;}' unless defined(&UBLK_IO_OP_READ);
    eval 'sub UBLK_IO_OP_WRITE () {1;}' unless defined(&UBLK_IO_OP_WRITE);
    eval 'sub UBLK_IO_OP_FLUSH () {2;}' unless defined(&UBLK_IO_OP_FLUSH);
    eval 'sub UBLK_IO_OP_DISCARD () {3;}' unless defined(&UBLK_IO_OP_DISCARD);
    eval 'sub UBLK_IO_OP_WRITE_SAME () {4;}' unless defined(&UBLK_IO_OP_WRITE_SAME);
    eval 'sub UBLK_IO_OP_WRITE_ZEROES () {5;}' unless defined(&UBLK_IO_OP_WRITE_ZEROES);
    eval 'sub UBLK_IO_F_FAILFAST_DEV () {(1 << 8);}' unless defined(&UBLK_IO_F_FAILFAST_DEV);
    eval 'sub UBLK_IO_F_FAILFAST_TRANSPORT () {(1 << 9);}' unless defined(&UBLK_IO_F_FAILFAST_TRANSPORT);
    eval 'sub UBLK_IO_F_FAILFAST_DRIVER () {(1 << 10);}' unless defined(&UBLK_IO_F_FAILFAST_DRIVER);
    eval 'sub UBLK_IO_F_META () {(1 << 11);}' unless defined(&UBLK_IO_F_META);
    eval 'sub UBLK_IO_F_FUA () {(1 << 13);}' unless defined(&UBLK_IO_F_FUA);
    eval 'sub UBLK_IO_F_NOUNMAP () {(1 << 15);}' unless defined(&UBLK_IO_F_NOUNMAP);
    eval 'sub UBLK_IO_F_SWAP () {(1 << 16);}' unless defined(&UBLK_IO_F_SWAP);
    eval 'sub ublksrv_get_op {
        my($iod) = @_;
	    eval q({  ($iod->{op_flags}) & 0xff; });
    }' unless defined(&ublksrv_get_op);
    eval 'sub ublksrv_get_flags {
        my($iod) = @_;
	    eval q({  ($iod->{op_flags}) >> 8; });
    }' unless defined(&ublksrv_get_flags);
    eval 'sub UBLK_ATTR_READ_ONLY () {(1<< 0);}' unless defined(&UBLK_ATTR_READ_ONLY);
    eval 'sub UBLK_ATTR_ROTATIONAL () {(1<< 1);}' unless defined(&UBLK_ATTR_ROTATIONAL);
    eval 'sub UBLK_ATTR_VOLATILE_CACHE () {(1<< 2);}' unless defined(&UBLK_ATTR_VOLATILE_CACHE);
    eval 'sub UBLK_ATTR_FUA () {(1<< 3);}' unless defined(&UBLK_ATTR_FUA);
    eval 'sub UBLK_PARAM_TYPE_BASIC () {(1<< 0);}' unless defined(&UBLK_PARAM_TYPE_BASIC);
    eval 'sub UBLK_PARAM_TYPE_DISCARD () {(1<< 1);}' unless defined(&UBLK_PARAM_TYPE_DISCARD);
    eval 'sub UBLK_PARAM_TYPE_DEVT () {(1<< 2);}' unless defined(&UBLK_PARAM_TYPE_DEVT);
}
1;
