require '_h2ph_pre.ph';

no warnings qw(redefine misc);

unless(defined(&__LINUX_VIDEODEV2_H)) {
    eval 'sub __LINUX_VIDEODEV2_H () {1;}' unless defined(&__LINUX_VIDEODEV2_H);
    require 'sys/time.ph';
    require 'linux/ioctl.ph';
    require 'linux/types.ph';
    require 'linux/v4l2-common.ph';
    require 'linux/v4l2-controls.ph';
    eval 'sub VIDEO_MAX_FRAME () {32;}' unless defined(&VIDEO_MAX_FRAME);
    eval 'sub VIDEO_MAX_PLANES () {8;}' unless defined(&VIDEO_MAX_PLANES);
    eval 'sub v4l2_fourcc {
        my($a, $b, $c, $d) = @_;
	    eval q((( &__u32)($a) | (( &__u32)($b) << 8) | (( &__u32)($c) << 16) | (( &__u32)($d) << 24)));
    }' unless defined(&v4l2_fourcc);
    eval 'sub v4l2_fourcc_be {
        my($a, $b, $c, $d) = @_;
	    eval q(( &v4l2_fourcc($a, $b, $c, $d) | (1 << 31)));
    }' unless defined(&v4l2_fourcc_be);
    eval("sub V4L2_FIELD_ANY () { 0; }") unless defined(&V4L2_FIELD_ANY);
    eval("sub V4L2_FIELD_NONE () { 1; }") unless defined(&V4L2_FIELD_NONE);
    eval("sub V4L2_FIELD_TOP () { 2; }") unless defined(&V4L2_FIELD_TOP);
    eval("sub V4L2_FIELD_BOTTOM () { 3; }") unless defined(&V4L2_FIELD_BOTTOM);
    eval("sub V4L2_FIELD_INTERLACED () { 4; }") unless defined(&V4L2_FIELD_INTERLACED);
    eval("sub V4L2_FIELD_SEQ_TB () { 5; }") unless defined(&V4L2_FIELD_SEQ_TB);
    eval("sub V4L2_FIELD_SEQ_BT () { 6; }") unless defined(&V4L2_FIELD_SEQ_BT);
    eval("sub V4L2_FIELD_ALTERNATE () { 7; }") unless defined(&V4L2_FIELD_ALTERNATE);
    eval("sub V4L2_FIELD_INTERLACED_TB () { 8; }") unless defined(&V4L2_FIELD_INTERLACED_TB);
    eval("sub V4L2_FIELD_INTERLACED_BT () { 9; }") unless defined(&V4L2_FIELD_INTERLACED_BT);
    eval 'sub V4L2_FIELD_HAS_TOP {
        my($field) = @_;
	    eval q((($field) ==  &V4L2_FIELD_TOP || ($field) ==  &V4L2_FIELD_INTERLACED || ($field) ==  &V4L2_FIELD_INTERLACED_TB || ($field) ==  &V4L2_FIELD_INTERLACED_BT || ($field) ==  &V4L2_FIELD_SEQ_TB || ($field) ==  &V4L2_FIELD_SEQ_BT));
    }' unless defined(&V4L2_FIELD_HAS_TOP);
    eval 'sub V4L2_FIELD_HAS_BOTTOM {
        my($field) = @_;
	    eval q((($field) ==  &V4L2_FIELD_BOTTOM || ($field) ==  &V4L2_FIELD_INTERLACED || ($field) ==  &V4L2_FIELD_INTERLACED_TB || ($field) ==  &V4L2_FIELD_INTERLACED_BT || ($field) ==  &V4L2_FIELD_SEQ_TB || ($field) ==  &V4L2_FIELD_SEQ_BT));
    }' unless defined(&V4L2_FIELD_HAS_BOTTOM);
    eval 'sub V4L2_FIELD_HAS_BOTH {
        my($field) = @_;
	    eval q((($field) ==  &V4L2_FIELD_INTERLACED || ($field) ==  &V4L2_FIELD_INTERLACED_TB || ($field) ==  &V4L2_FIELD_INTERLACED_BT || ($field) ==  &V4L2_FIELD_SEQ_TB || ($field) ==  &V4L2_FIELD_SEQ_BT));
    }' unless defined(&V4L2_FIELD_HAS_BOTH);
    eval 'sub V4L2_FIELD_HAS_T_OR_B {
        my($field) = @_;
	    eval q((($field) ==  &V4L2_FIELD_BOTTOM || ($field) ==  &V4L2_FIELD_TOP || ($field) ==  &V4L2_FIELD_ALTERNATE));
    }' unless defined(&V4L2_FIELD_HAS_T_OR_B);
    eval 'sub V4L2_FIELD_IS_INTERLACED {
        my($field) = @_;
	    eval q((($field) ==  &V4L2_FIELD_INTERLACED || ($field) ==  &V4L2_FIELD_INTERLACED_TB || ($field) ==  &V4L2_FIELD_INTERLACED_BT));
    }' unless defined(&V4L2_FIELD_IS_INTERLACED);
    eval 'sub V4L2_FIELD_IS_SEQUENTIAL {
        my($field) = @_;
	    eval q((($field) ==  &V4L2_FIELD_SEQ_TB || ($field) ==  &V4L2_FIELD_SEQ_BT));
    }' unless defined(&V4L2_FIELD_IS_SEQUENTIAL);
    eval("sub V4L2_BUF_TYPE_VIDEO_CAPTURE () { 1; }") unless defined(&V4L2_BUF_TYPE_VIDEO_CAPTURE);
    eval("sub V4L2_BUF_TYPE_VIDEO_OUTPUT () { 2; }") unless defined(&V4L2_BUF_TYPE_VIDEO_OUTPUT);
    eval("sub V4L2_BUF_TYPE_VIDEO_OVERLAY () { 3; }") unless defined(&V4L2_BUF_TYPE_VIDEO_OVERLAY);
    eval("sub V4L2_BUF_TYPE_VBI_CAPTURE () { 4; }") unless defined(&V4L2_BUF_TYPE_VBI_CAPTURE);
    eval("sub V4L2_BUF_TYPE_VBI_OUTPUT () { 5; }") unless defined(&V4L2_BUF_TYPE_VBI_OUTPUT);
    eval("sub V4L2_BUF_TYPE_SLICED_VBI_CAPTURE () { 6; }") unless defined(&V4L2_BUF_TYPE_SLICED_VBI_CAPTURE);
    eval("sub V4L2_BUF_TYPE_SLICED_VBI_OUTPUT () { 7; }") unless defined(&V4L2_BUF_TYPE_SLICED_VBI_OUTPUT);
    eval("sub V4L2_BUF_TYPE_VIDEO_OUTPUT_OVERLAY () { 8; }") unless defined(&V4L2_BUF_TYPE_VIDEO_OUTPUT_OVERLAY);
    eval("sub V4L2_BUF_TYPE_VIDEO_CAPTURE_MPLANE () { 9; }") unless defined(&V4L2_BUF_TYPE_VIDEO_CAPTURE_MPLANE);
    eval("sub V4L2_BUF_TYPE_VIDEO_OUTPUT_MPLANE () { 10; }") unless defined(&V4L2_BUF_TYPE_VIDEO_OUTPUT_MPLANE);
    eval("sub V4L2_BUF_TYPE_SDR_CAPTURE () { 11; }") unless defined(&V4L2_BUF_TYPE_SDR_CAPTURE);
    eval("sub V4L2_BUF_TYPE_SDR_OUTPUT () { 12; }") unless defined(&V4L2_BUF_TYPE_SDR_OUTPUT);
    eval("sub V4L2_BUF_TYPE_META_CAPTURE () { 13; }") unless defined(&V4L2_BUF_TYPE_META_CAPTURE);
    eval("sub V4L2_BUF_TYPE_META_OUTPUT () { 14; }") unless defined(&V4L2_BUF_TYPE_META_OUTPUT);
    eval("sub V4L2_BUF_TYPE_PRIVATE () { 0x80; }") unless defined(&V4L2_BUF_TYPE_PRIVATE);
    eval 'sub V4L2_TYPE_IS_MULTIPLANAR {
        my($type) = @_;
	    eval q((($type) ==  &V4L2_BUF_TYPE_VIDEO_CAPTURE_MPLANE || ($type) ==  &V4L2_BUF_TYPE_VIDEO_OUTPUT_MPLANE));
    }' unless defined(&V4L2_TYPE_IS_MULTIPLANAR);
    eval 'sub V4L2_TYPE_IS_OUTPUT {
        my($type) = @_;
	    eval q((($type) ==  &V4L2_BUF_TYPE_VIDEO_OUTPUT || ($type) ==  &V4L2_BUF_TYPE_VIDEO_OUTPUT_MPLANE || ($type) ==  &V4L2_BUF_TYPE_VIDEO_OVERLAY || ($type) ==  &V4L2_BUF_TYPE_VIDEO_OUTPUT_OVERLAY || ($type) ==  &V4L2_BUF_TYPE_VBI_OUTPUT || ($type) ==  &V4L2_BUF_TYPE_SLICED_VBI_OUTPUT || ($type) ==  &V4L2_BUF_TYPE_SDR_OUTPUT || ($type) ==  &V4L2_BUF_TYPE_META_OUTPUT));
    }' unless defined(&V4L2_TYPE_IS_OUTPUT);
    eval 'sub V4L2_TYPE_IS_CAPTURE {
        my($type) = @_;
	    eval q((! &V4L2_TYPE_IS_OUTPUT($type)));
    }' unless defined(&V4L2_TYPE_IS_CAPTURE);
    eval("sub V4L2_TUNER_RADIO () { 1; }") unless defined(&V4L2_TUNER_RADIO);
    eval("sub V4L2_TUNER_ANALOG_TV () { 2; }") unless defined(&V4L2_TUNER_ANALOG_TV);
    eval("sub V4L2_TUNER_DIGITAL_TV () { 3; }") unless defined(&V4L2_TUNER_DIGITAL_TV);
    eval("sub V4L2_TUNER_SDR () { 4; }") unless defined(&V4L2_TUNER_SDR);
    eval("sub V4L2_TUNER_RF () { 5; }") unless defined(&V4L2_TUNER_RF);
    eval 'sub V4L2_TUNER_ADC () { &V4L2_TUNER_SDR;}' unless defined(&V4L2_TUNER_ADC);
    eval("sub V4L2_MEMORY_MMAP () { 1; }") unless defined(&V4L2_MEMORY_MMAP);
    eval("sub V4L2_MEMORY_USERPTR () { 2; }") unless defined(&V4L2_MEMORY_USERPTR);
    eval("sub V4L2_MEMORY_OVERLAY () { 3; }") unless defined(&V4L2_MEMORY_OVERLAY);
    eval("sub V4L2_MEMORY_DMABUF () { 4; }") unless defined(&V4L2_MEMORY_DMABUF);
    eval("sub V4L2_COLORSPACE_DEFAULT () { 0; }") unless defined(&V4L2_COLORSPACE_DEFAULT);
    eval("sub V4L2_COLORSPACE_SMPTE170M () { 1; }") unless defined(&V4L2_COLORSPACE_SMPTE170M);
    eval("sub V4L2_COLORSPACE_SMPTE240M () { 2; }") unless defined(&V4L2_COLORSPACE_SMPTE240M);
    eval("sub V4L2_COLORSPACE_REC709 () { 3; }") unless defined(&V4L2_COLORSPACE_REC709);
    eval("sub V4L2_COLORSPACE_BT878 () { 4; }") unless defined(&V4L2_COLORSPACE_BT878);
    eval("sub V4L2_COLORSPACE_470_SYSTEM_M () { 5; }") unless defined(&V4L2_COLORSPACE_470_SYSTEM_M);
    eval("sub V4L2_COLORSPACE_470_SYSTEM_BG () { 6; }") unless defined(&V4L2_COLORSPACE_470_SYSTEM_BG);
    eval("sub V4L2_COLORSPACE_JPEG () { 7; }") unless defined(&V4L2_COLORSPACE_JPEG);
    eval("sub V4L2_COLORSPACE_SRGB () { 8; }") unless defined(&V4L2_COLORSPACE_SRGB);
    eval("sub V4L2_COLORSPACE_OPRGB () { 9; }") unless defined(&V4L2_COLORSPACE_OPRGB);
    eval("sub V4L2_COLORSPACE_BT2020 () { 10; }") unless defined(&V4L2_COLORSPACE_BT2020);
    eval("sub V4L2_COLORSPACE_RAW () { 11; }") unless defined(&V4L2_COLORSPACE_RAW);
    eval("sub V4L2_COLORSPACE_DCI_P3 () { 12; }") unless defined(&V4L2_COLORSPACE_DCI_P3);
    eval 'sub V4L2_MAP_COLORSPACE_DEFAULT {
        my($is_sdtv, $is_hdtv) = @_;
	    eval q((($is_sdtv) ?  &V4L2_COLORSPACE_SMPTE170M : (($is_hdtv) ?  &V4L2_COLORSPACE_REC709 :  &V4L2_COLORSPACE_SRGB)));
    }' unless defined(&V4L2_MAP_COLORSPACE_DEFAULT);
    eval("sub V4L2_XFER_FUNC_DEFAULT () { 0; }") unless defined(&V4L2_XFER_FUNC_DEFAULT);
    eval("sub V4L2_XFER_FUNC_709 () { 1; }") unless defined(&V4L2_XFER_FUNC_709);
    eval("sub V4L2_XFER_FUNC_SRGB () { 2; }") unless defined(&V4L2_XFER_FUNC_SRGB);
    eval("sub V4L2_XFER_FUNC_OPRGB () { 3; }") unless defined(&V4L2_XFER_FUNC_OPRGB);
    eval("sub V4L2_XFER_FUNC_SMPTE240M () { 4; }") unless defined(&V4L2_XFER_FUNC_SMPTE240M);
    eval("sub V4L2_XFER_FUNC_NONE () { 5; }") unless defined(&V4L2_XFER_FUNC_NONE);
    eval("sub V4L2_XFER_FUNC_DCI_P3 () { 6; }") unless defined(&V4L2_XFER_FUNC_DCI_P3);
    eval("sub V4L2_XFER_FUNC_SMPTE2084 () { 7; }") unless defined(&V4L2_XFER_FUNC_SMPTE2084);
    eval 'sub V4L2_MAP_XFER_FUNC_DEFAULT {
        my($colsp) = @_;
	    eval q((($colsp) ==  &V4L2_COLORSPACE_OPRGB ?  &V4L2_XFER_FUNC_OPRGB : (($colsp) ==  &V4L2_COLORSPACE_SMPTE240M ?  &V4L2_XFER_FUNC_SMPTE240M : (($colsp) ==  &V4L2_COLORSPACE_DCI_P3 ?  &V4L2_XFER_FUNC_DCI_P3 : (($colsp) ==  &V4L2_COLORSPACE_RAW ?  &V4L2_XFER_FUNC_NONE : (($colsp) ==  &V4L2_COLORSPACE_SRGB || ($colsp) ==  &V4L2_COLORSPACE_JPEG ?  &V4L2_XFER_FUNC_SRGB :  &V4L2_XFER_FUNC_709))))));
    }' unless defined(&V4L2_MAP_XFER_FUNC_DEFAULT);
    eval("sub V4L2_YCBCR_ENC_DEFAULT () { 0; }") unless defined(&V4L2_YCBCR_ENC_DEFAULT);
    eval("sub V4L2_YCBCR_ENC_601 () { 1; }") unless defined(&V4L2_YCBCR_ENC_601);
    eval("sub V4L2_YCBCR_ENC_709 () { 2; }") unless defined(&V4L2_YCBCR_ENC_709);
    eval("sub V4L2_YCBCR_ENC_XV601 () { 3; }") unless defined(&V4L2_YCBCR_ENC_XV601);
    eval("sub V4L2_YCBCR_ENC_XV709 () { 4; }") unless defined(&V4L2_YCBCR_ENC_XV709);
    eval("sub V4L2_YCBCR_ENC_SYCC () { 5; }") unless defined(&V4L2_YCBCR_ENC_SYCC);
    eval("sub V4L2_YCBCR_ENC_BT2020 () { 6; }") unless defined(&V4L2_YCBCR_ENC_BT2020);
    eval("sub V4L2_YCBCR_ENC_BT2020_CONST_LUM () { 7; }") unless defined(&V4L2_YCBCR_ENC_BT2020_CONST_LUM);
    eval("sub V4L2_YCBCR_ENC_SMPTE240M () { 8; }") unless defined(&V4L2_YCBCR_ENC_SMPTE240M);
    eval("sub V4L2_HSV_ENC_180 () { 128; }") unless defined(&V4L2_HSV_ENC_180);
    eval("sub V4L2_HSV_ENC_256 () { 129; }") unless defined(&V4L2_HSV_ENC_256);
    eval 'sub V4L2_MAP_YCBCR_ENC_DEFAULT {
        my($colsp) = @_;
	    eval q(((($colsp) ==  &V4L2_COLORSPACE_REC709 || ($colsp) ==  &V4L2_COLORSPACE_DCI_P3) ?  &V4L2_YCBCR_ENC_709 : (($colsp) ==  &V4L2_COLORSPACE_BT2020 ?  &V4L2_YCBCR_ENC_BT2020 : (($colsp) ==  &V4L2_COLORSPACE_SMPTE240M ?  &V4L2_YCBCR_ENC_SMPTE240M :  &V4L2_YCBCR_ENC_601))));
    }' unless defined(&V4L2_MAP_YCBCR_ENC_DEFAULT);
    eval("sub V4L2_QUANTIZATION_DEFAULT () { 0; }") unless defined(&V4L2_QUANTIZATION_DEFAULT);
    eval("sub V4L2_QUANTIZATION_FULL_RANGE () { 1; }") unless defined(&V4L2_QUANTIZATION_FULL_RANGE);
    eval("sub V4L2_QUANTIZATION_LIM_RANGE () { 2; }") unless defined(&V4L2_QUANTIZATION_LIM_RANGE);
    eval 'sub V4L2_MAP_QUANTIZATION_DEFAULT {
        my($is_rgb_or_hsv, $colsp, $ycbcr_enc) = @_;
	    eval q(((($is_rgb_or_hsv) || ($colsp) ==  &V4L2_COLORSPACE_JPEG) ?  &V4L2_QUANTIZATION_FULL_RANGE :  &V4L2_QUANTIZATION_LIM_RANGE));
    }' unless defined(&V4L2_MAP_QUANTIZATION_DEFAULT);
    eval 'sub V4L2_COLORSPACE_ADOBERGB () { &V4L2_COLORSPACE_OPRGB;}' unless defined(&V4L2_COLORSPACE_ADOBERGB);
    eval 'sub V4L2_XFER_FUNC_ADOBERGB () { &V4L2_XFER_FUNC_OPRGB;}' unless defined(&V4L2_XFER_FUNC_ADOBERGB);
    eval("sub V4L2_PRIORITY_UNSET () { 0; }") unless defined(&V4L2_PRIORITY_UNSET);
    eval("sub V4L2_PRIORITY_BACKGROUND () { 1; }") unless defined(&V4L2_PRIORITY_BACKGROUND);
    eval("sub V4L2_PRIORITY_INTERACTIVE () { 2; }") unless defined(&V4L2_PRIORITY_INTERACTIVE);
    eval("sub V4L2_PRIORITY_RECORD () { 3; }") unless defined(&V4L2_PRIORITY_RECORD);
    eval("sub V4L2_PRIORITY_DEFAULT () { V4L2_PRIORITY_INTERACTIVE; }") unless defined(&V4L2_PRIORITY_DEFAULT);
    eval 'sub V4L2_CAP_VIDEO_CAPTURE () {0x1;}' unless defined(&V4L2_CAP_VIDEO_CAPTURE);
    eval 'sub V4L2_CAP_VIDEO_OUTPUT () {0x2;}' unless defined(&V4L2_CAP_VIDEO_OUTPUT);
    eval 'sub V4L2_CAP_VIDEO_OVERLAY () {0x4;}' unless defined(&V4L2_CAP_VIDEO_OVERLAY);
    eval 'sub V4L2_CAP_VBI_CAPTURE () {0x10;}' unless defined(&V4L2_CAP_VBI_CAPTURE);
    eval 'sub V4L2_CAP_VBI_OUTPUT () {0x20;}' unless defined(&V4L2_CAP_VBI_OUTPUT);
    eval 'sub V4L2_CAP_SLICED_VBI_CAPTURE () {0x40;}' unless defined(&V4L2_CAP_SLICED_VBI_CAPTURE);
    eval 'sub V4L2_CAP_SLICED_VBI_OUTPUT () {0x80;}' unless defined(&V4L2_CAP_SLICED_VBI_OUTPUT);
    eval 'sub V4L2_CAP_RDS_CAPTURE () {0x100;}' unless defined(&V4L2_CAP_RDS_CAPTURE);
    eval 'sub V4L2_CAP_VIDEO_OUTPUT_OVERLAY () {0x200;}' unless defined(&V4L2_CAP_VIDEO_OUTPUT_OVERLAY);
    eval 'sub V4L2_CAP_HW_FREQ_SEEK () {0x400;}' unless defined(&V4L2_CAP_HW_FREQ_SEEK);
    eval 'sub V4L2_CAP_RDS_OUTPUT () {0x800;}' unless defined(&V4L2_CAP_RDS_OUTPUT);
    eval 'sub V4L2_CAP_VIDEO_CAPTURE_MPLANE () {0x1000;}' unless defined(&V4L2_CAP_VIDEO_CAPTURE_MPLANE);
    eval 'sub V4L2_CAP_VIDEO_OUTPUT_MPLANE () {0x2000;}' unless defined(&V4L2_CAP_VIDEO_OUTPUT_MPLANE);
    eval 'sub V4L2_CAP_VIDEO_M2M_MPLANE () {0x4000;}' unless defined(&V4L2_CAP_VIDEO_M2M_MPLANE);
    eval 'sub V4L2_CAP_VIDEO_M2M () {0x8000;}' unless defined(&V4L2_CAP_VIDEO_M2M);
    eval 'sub V4L2_CAP_TUNER () {0x10000;}' unless defined(&V4L2_CAP_TUNER);
    eval 'sub V4L2_CAP_AUDIO () {0x20000;}' unless defined(&V4L2_CAP_AUDIO);
    eval 'sub V4L2_CAP_RADIO () {0x40000;}' unless defined(&V4L2_CAP_RADIO);
    eval 'sub V4L2_CAP_MODULATOR () {0x80000;}' unless defined(&V4L2_CAP_MODULATOR);
    eval 'sub V4L2_CAP_SDR_CAPTURE () {0x100000;}' unless defined(&V4L2_CAP_SDR_CAPTURE);
    eval 'sub V4L2_CAP_EXT_PIX_FORMAT () {0x200000;}' unless defined(&V4L2_CAP_EXT_PIX_FORMAT);
    eval 'sub V4L2_CAP_SDR_OUTPUT () {0x400000;}' unless defined(&V4L2_CAP_SDR_OUTPUT);
    eval 'sub V4L2_CAP_META_CAPTURE () {0x800000;}' unless defined(&V4L2_CAP_META_CAPTURE);
    eval 'sub V4L2_CAP_READWRITE () {0x1000000;}' unless defined(&V4L2_CAP_READWRITE);
    eval 'sub V4L2_CAP_STREAMING () {0x4000000;}' unless defined(&V4L2_CAP_STREAMING);
    eval 'sub V4L2_CAP_META_OUTPUT () {0x8000000;}' unless defined(&V4L2_CAP_META_OUTPUT);
    eval 'sub V4L2_CAP_TOUCH () {0x10000000;}' unless defined(&V4L2_CAP_TOUCH);
    eval 'sub V4L2_CAP_IO_MC () {0x20000000;}' unless defined(&V4L2_CAP_IO_MC);
    eval 'sub V4L2_CAP_DEVICE_CAPS () {0x80000000;}' unless defined(&V4L2_CAP_DEVICE_CAPS);
    eval 'sub V4L2_PIX_FMT_RGB332 () { &v4l2_fourcc(ord(\'R\', \'G\', \'B\', \'1\'));}' unless defined(&V4L2_PIX_FMT_RGB332);
    eval 'sub V4L2_PIX_FMT_RGB444 () { &v4l2_fourcc(ord(\'R\', \'4\', \'4\', \'4\'));}' unless defined(&V4L2_PIX_FMT_RGB444);
    eval 'sub V4L2_PIX_FMT_ARGB444 () { &v4l2_fourcc(ord(\'A\', \'R\', \'1\', \'2\'));}' unless defined(&V4L2_PIX_FMT_ARGB444);
    eval 'sub V4L2_PIX_FMT_XRGB444 () { &v4l2_fourcc(ord(\'X\', \'R\', \'1\', \'2\'));}' unless defined(&V4L2_PIX_FMT_XRGB444);
    eval 'sub V4L2_PIX_FMT_RGBA444 () { &v4l2_fourcc(ord(\'R\', \'A\', \'1\', \'2\'));}' unless defined(&V4L2_PIX_FMT_RGBA444);
    eval 'sub V4L2_PIX_FMT_RGBX444 () { &v4l2_fourcc(ord(\'R\', \'X\', \'1\', \'2\'));}' unless defined(&V4L2_PIX_FMT_RGBX444);
    eval 'sub V4L2_PIX_FMT_ABGR444 () { &v4l2_fourcc(ord(\'A\', \'B\', \'1\', \'2\'));}' unless defined(&V4L2_PIX_FMT_ABGR444);
    eval 'sub V4L2_PIX_FMT_XBGR444 () { &v4l2_fourcc(ord(\'X\', \'B\', \'1\', \'2\'));}' unless defined(&V4L2_PIX_FMT_XBGR444);
    eval 'sub V4L2_PIX_FMT_BGRA444 () { &v4l2_fourcc(ord(\'G\', \'A\', \'1\', \'2\'));}' unless defined(&V4L2_PIX_FMT_BGRA444);
    eval 'sub V4L2_PIX_FMT_BGRX444 () { &v4l2_fourcc(ord(\'B\', \'X\', \'1\', \'2\'));}' unless defined(&V4L2_PIX_FMT_BGRX444);
    eval 'sub V4L2_PIX_FMT_RGB555 () { &v4l2_fourcc(ord(\'R\', \'G\', \'B\', \'O\'));}' unless defined(&V4L2_PIX_FMT_RGB555);
    eval 'sub V4L2_PIX_FMT_ARGB555 () { &v4l2_fourcc(ord(\'A\', \'R\', \'1\', \'5\'));}' unless defined(&V4L2_PIX_FMT_ARGB555);
    eval 'sub V4L2_PIX_FMT_XRGB555 () { &v4l2_fourcc(ord(\'X\', \'R\', \'1\', \'5\'));}' unless defined(&V4L2_PIX_FMT_XRGB555);
    eval 'sub V4L2_PIX_FMT_RGBA555 () { &v4l2_fourcc(ord(\'R\', \'A\', \'1\', \'5\'));}' unless defined(&V4L2_PIX_FMT_RGBA555);
    eval 'sub V4L2_PIX_FMT_RGBX555 () { &v4l2_fourcc(ord(\'R\', \'X\', \'1\', \'5\'));}' unless defined(&V4L2_PIX_FMT_RGBX555);
    eval 'sub V4L2_PIX_FMT_ABGR555 () { &v4l2_fourcc(ord(\'A\', \'B\', \'1\', \'5\'));}' unless defined(&V4L2_PIX_FMT_ABGR555);
    eval 'sub V4L2_PIX_FMT_XBGR555 () { &v4l2_fourcc(ord(\'X\', \'B\', \'1\', \'5\'));}' unless defined(&V4L2_PIX_FMT_XBGR555);
    eval 'sub V4L2_PIX_FMT_BGRA555 () { &v4l2_fourcc(ord(\'B\', \'A\', \'1\', \'5\'));}' unless defined(&V4L2_PIX_FMT_BGRA555);
    eval 'sub V4L2_PIX_FMT_BGRX555 () { &v4l2_fourcc(ord(\'B\', \'X\', \'1\', \'5\'));}' unless defined(&V4L2_PIX_FMT_BGRX555);
    eval 'sub V4L2_PIX_FMT_RGB565 () { &v4l2_fourcc(ord(\'R\', \'G\', \'B\', \'P\'));}' unless defined(&V4L2_PIX_FMT_RGB565);
    eval 'sub V4L2_PIX_FMT_RGB555X () { &v4l2_fourcc(ord(\'R\', \'G\', \'B\', \'Q\'));}' unless defined(&V4L2_PIX_FMT_RGB555X);
    eval 'sub V4L2_PIX_FMT_ARGB555X () { &v4l2_fourcc_be(ord(\'A\', \'R\', \'1\', \'5\'));}' unless defined(&V4L2_PIX_FMT_ARGB555X);
    eval 'sub V4L2_PIX_FMT_XRGB555X () { &v4l2_fourcc_be(ord(\'X\', \'R\', \'1\', \'5\'));}' unless defined(&V4L2_PIX_FMT_XRGB555X);
    eval 'sub V4L2_PIX_FMT_RGB565X () { &v4l2_fourcc(ord(\'R\', \'G\', \'B\', \'R\'));}' unless defined(&V4L2_PIX_FMT_RGB565X);
    eval 'sub V4L2_PIX_FMT_BGR666 () { &v4l2_fourcc(ord(\'B\', \'G\', \'R\', \'H\'));}' unless defined(&V4L2_PIX_FMT_BGR666);
    eval 'sub V4L2_PIX_FMT_BGR24 () { &v4l2_fourcc(ord(\'B\', \'G\', \'R\', \'3\'));}' unless defined(&V4L2_PIX_FMT_BGR24);
    eval 'sub V4L2_PIX_FMT_RGB24 () { &v4l2_fourcc(ord(\'R\', \'G\', \'B\', \'3\'));}' unless defined(&V4L2_PIX_FMT_RGB24);
    eval 'sub V4L2_PIX_FMT_BGR32 () { &v4l2_fourcc(ord(\'B\', \'G\', \'R\', \'4\'));}' unless defined(&V4L2_PIX_FMT_BGR32);
    eval 'sub V4L2_PIX_FMT_ABGR32 () { &v4l2_fourcc(ord(\'A\', \'R\', \'2\', \'4\'));}' unless defined(&V4L2_PIX_FMT_ABGR32);
    eval 'sub V4L2_PIX_FMT_XBGR32 () { &v4l2_fourcc(ord(\'X\', \'R\', \'2\', \'4\'));}' unless defined(&V4L2_PIX_FMT_XBGR32);
    eval 'sub V4L2_PIX_FMT_BGRA32 () { &v4l2_fourcc(ord(\'R\', \'A\', \'2\', \'4\'));}' unless defined(&V4L2_PIX_FMT_BGRA32);
    eval 'sub V4L2_PIX_FMT_BGRX32 () { &v4l2_fourcc(ord(\'R\', \'X\', \'2\', \'4\'));}' unless defined(&V4L2_PIX_FMT_BGRX32);
    eval 'sub V4L2_PIX_FMT_RGB32 () { &v4l2_fourcc(ord(\'R\', \'G\', \'B\', \'4\'));}' unless defined(&V4L2_PIX_FMT_RGB32);
    eval 'sub V4L2_PIX_FMT_RGBA32 () { &v4l2_fourcc(ord(\'A\', \'B\', \'2\', \'4\'));}' unless defined(&V4L2_PIX_FMT_RGBA32);
    eval 'sub V4L2_PIX_FMT_RGBX32 () { &v4l2_fourcc(ord(\'X\', \'B\', \'2\', \'4\'));}' unless defined(&V4L2_PIX_FMT_RGBX32);
    eval 'sub V4L2_PIX_FMT_ARGB32 () { &v4l2_fourcc(ord(\'B\', \'A\', \'2\', \'4\'));}' unless defined(&V4L2_PIX_FMT_ARGB32);
    eval 'sub V4L2_PIX_FMT_XRGB32 () { &v4l2_fourcc(ord(\'B\', \'X\', \'2\', \'4\'));}' unless defined(&V4L2_PIX_FMT_XRGB32);
    eval 'sub V4L2_PIX_FMT_RGBX1010102 () { &v4l2_fourcc(ord(\'R\', \'X\', \'3\', \'0\'));}' unless defined(&V4L2_PIX_FMT_RGBX1010102);
    eval 'sub V4L2_PIX_FMT_RGBA1010102 () { &v4l2_fourcc(ord(\'R\', \'A\', \'3\', \'0\'));}' unless defined(&V4L2_PIX_FMT_RGBA1010102);
    eval 'sub V4L2_PIX_FMT_ARGB2101010 () { &v4l2_fourcc(ord(\'A\', \'R\', \'3\', \'0\'));}' unless defined(&V4L2_PIX_FMT_ARGB2101010);
    eval 'sub V4L2_PIX_FMT_GREY () { &v4l2_fourcc(ord(\'G\', \'R\', \'E\', \'Y\'));}' unless defined(&V4L2_PIX_FMT_GREY);
    eval 'sub V4L2_PIX_FMT_Y4 () { &v4l2_fourcc(ord(\'Y\', \'0\', \'4\', \' \'));}' unless defined(&V4L2_PIX_FMT_Y4);
    eval 'sub V4L2_PIX_FMT_Y6 () { &v4l2_fourcc(ord(\'Y\', \'0\', \'6\', \' \'));}' unless defined(&V4L2_PIX_FMT_Y6);
    eval 'sub V4L2_PIX_FMT_Y10 () { &v4l2_fourcc(ord(\'Y\', \'1\', \'0\', \' \'));}' unless defined(&V4L2_PIX_FMT_Y10);
    eval 'sub V4L2_PIX_FMT_Y12 () { &v4l2_fourcc(ord(\'Y\', \'1\', \'2\', \' \'));}' unless defined(&V4L2_PIX_FMT_Y12);
    eval 'sub V4L2_PIX_FMT_Y14 () { &v4l2_fourcc(ord(\'Y\', \'1\', \'4\', \' \'));}' unless defined(&V4L2_PIX_FMT_Y14);
    eval 'sub V4L2_PIX_FMT_Y16 () { &v4l2_fourcc(ord(\'Y\', \'1\', \'6\', \' \'));}' unless defined(&V4L2_PIX_FMT_Y16);
    eval 'sub V4L2_PIX_FMT_Y16_BE () { &v4l2_fourcc_be(ord(\'Y\', \'1\', \'6\', \' \'));}' unless defined(&V4L2_PIX_FMT_Y16_BE);
    eval 'sub V4L2_PIX_FMT_Y10BPACK () { &v4l2_fourcc(ord(\'Y\', \'1\', \'0\', \'B\'));}' unless defined(&V4L2_PIX_FMT_Y10BPACK);
    eval 'sub V4L2_PIX_FMT_Y10P () { &v4l2_fourcc(ord(\'Y\', \'1\', \'0\', \'P\'));}' unless defined(&V4L2_PIX_FMT_Y10P);
    eval 'sub V4L2_PIX_FMT_IPU3_Y10 () { &v4l2_fourcc(ord(\'i\', \'p\', \'3\', \'y\'));}' unless defined(&V4L2_PIX_FMT_IPU3_Y10);
    eval 'sub V4L2_PIX_FMT_PAL8 () { &v4l2_fourcc(ord(\'P\', \'A\', \'L\', \'8\'));}' unless defined(&V4L2_PIX_FMT_PAL8);
    eval 'sub V4L2_PIX_FMT_UV8 () { &v4l2_fourcc(ord(\'U\', \'V\', \'8\', \' \'));}' unless defined(&V4L2_PIX_FMT_UV8);
    eval 'sub V4L2_PIX_FMT_YUYV () { &v4l2_fourcc(ord(\'Y\', \'U\', \'Y\', \'V\'));}' unless defined(&V4L2_PIX_FMT_YUYV);
    eval 'sub V4L2_PIX_FMT_YYUV () { &v4l2_fourcc(ord(\'Y\', \'Y\', \'U\', \'V\'));}' unless defined(&V4L2_PIX_FMT_YYUV);
    eval 'sub V4L2_PIX_FMT_YVYU () { &v4l2_fourcc(ord(\'Y\', \'V\', \'Y\', \'U\'));}' unless defined(&V4L2_PIX_FMT_YVYU);
    eval 'sub V4L2_PIX_FMT_UYVY () { &v4l2_fourcc(ord(\'U\', \'Y\', \'V\', \'Y\'));}' unless defined(&V4L2_PIX_FMT_UYVY);
    eval 'sub V4L2_PIX_FMT_VYUY () { &v4l2_fourcc(ord(\'V\', \'Y\', \'U\', \'Y\'));}' unless defined(&V4L2_PIX_FMT_VYUY);
    eval 'sub V4L2_PIX_FMT_Y41P () { &v4l2_fourcc(ord(\'Y\', \'4\', \'1\', \'P\'));}' unless defined(&V4L2_PIX_FMT_Y41P);
    eval 'sub V4L2_PIX_FMT_YUV444 () { &v4l2_fourcc(ord(\'Y\', \'4\', \'4\', \'4\'));}' unless defined(&V4L2_PIX_FMT_YUV444);
    eval 'sub V4L2_PIX_FMT_YUV555 () { &v4l2_fourcc(ord(\'Y\', \'U\', \'V\', \'O\'));}' unless defined(&V4L2_PIX_FMT_YUV555);
    eval 'sub V4L2_PIX_FMT_YUV565 () { &v4l2_fourcc(ord(\'Y\', \'U\', \'V\', \'P\'));}' unless defined(&V4L2_PIX_FMT_YUV565);
    eval 'sub V4L2_PIX_FMT_YUV24 () { &v4l2_fourcc(ord(\'Y\', \'U\', \'V\', \'3\'));}' unless defined(&V4L2_PIX_FMT_YUV24);
    eval 'sub V4L2_PIX_FMT_YUV32 () { &v4l2_fourcc(ord(\'Y\', \'U\', \'V\', \'4\'));}' unless defined(&V4L2_PIX_FMT_YUV32);
    eval 'sub V4L2_PIX_FMT_AYUV32 () { &v4l2_fourcc(ord(\'A\', \'Y\', \'U\', \'V\'));}' unless defined(&V4L2_PIX_FMT_AYUV32);
    eval 'sub V4L2_PIX_FMT_XYUV32 () { &v4l2_fourcc(ord(\'X\', \'Y\', \'U\', \'V\'));}' unless defined(&V4L2_PIX_FMT_XYUV32);
    eval 'sub V4L2_PIX_FMT_VUYA32 () { &v4l2_fourcc(ord(\'V\', \'U\', \'Y\', \'A\'));}' unless defined(&V4L2_PIX_FMT_VUYA32);
    eval 'sub V4L2_PIX_FMT_VUYX32 () { &v4l2_fourcc(ord(\'V\', \'U\', \'Y\', \'X\'));}' unless defined(&V4L2_PIX_FMT_VUYX32);
    eval 'sub V4L2_PIX_FMT_YUVA32 () { &v4l2_fourcc(ord(\'Y\', \'U\', \'V\', \'A\'));}' unless defined(&V4L2_PIX_FMT_YUVA32);
    eval 'sub V4L2_PIX_FMT_YUVX32 () { &v4l2_fourcc(ord(\'Y\', \'U\', \'V\', \'X\'));}' unless defined(&V4L2_PIX_FMT_YUVX32);
    eval 'sub V4L2_PIX_FMT_M420 () { &v4l2_fourcc(ord(\'M\', \'4\', \'2\', \'0\'));}' unless defined(&V4L2_PIX_FMT_M420);
    eval 'sub V4L2_PIX_FMT_Y210 () { &v4l2_fourcc(ord(\'Y\', \'2\', \'1\', \'0\'));}' unless defined(&V4L2_PIX_FMT_Y210);
    eval 'sub V4L2_PIX_FMT_Y212 () { &v4l2_fourcc(ord(\'Y\', \'2\', \'1\', \'2\'));}' unless defined(&V4L2_PIX_FMT_Y212);
    eval 'sub V4L2_PIX_FMT_Y216 () { &v4l2_fourcc(ord(\'Y\', \'2\', \'1\', \'6\'));}' unless defined(&V4L2_PIX_FMT_Y216);
    eval 'sub V4L2_PIX_FMT_NV12 () { &v4l2_fourcc(ord(\'N\', \'V\', \'1\', \'2\'));}' unless defined(&V4L2_PIX_FMT_NV12);
    eval 'sub V4L2_PIX_FMT_NV21 () { &v4l2_fourcc(ord(\'N\', \'V\', \'2\', \'1\'));}' unless defined(&V4L2_PIX_FMT_NV21);
    eval 'sub V4L2_PIX_FMT_NV16 () { &v4l2_fourcc(ord(\'N\', \'V\', \'1\', \'6\'));}' unless defined(&V4L2_PIX_FMT_NV16);
    eval 'sub V4L2_PIX_FMT_NV61 () { &v4l2_fourcc(ord(\'N\', \'V\', \'6\', \'1\'));}' unless defined(&V4L2_PIX_FMT_NV61);
    eval 'sub V4L2_PIX_FMT_NV24 () { &v4l2_fourcc(ord(\'N\', \'V\', \'2\', \'4\'));}' unless defined(&V4L2_PIX_FMT_NV24);
    eval 'sub V4L2_PIX_FMT_NV42 () { &v4l2_fourcc(ord(\'N\', \'V\', \'4\', \'2\'));}' unless defined(&V4L2_PIX_FMT_NV42);
    eval 'sub V4L2_PIX_FMT_P010 () { &v4l2_fourcc(ord(\'P\', \'0\', \'1\', \'0\'));}' unless defined(&V4L2_PIX_FMT_P010);
    eval 'sub V4L2_PIX_FMT_NV12M () { &v4l2_fourcc(ord(\'N\', \'M\', \'1\', \'2\'));}' unless defined(&V4L2_PIX_FMT_NV12M);
    eval 'sub V4L2_PIX_FMT_NV21M () { &v4l2_fourcc(ord(\'N\', \'M\', \'2\', \'1\'));}' unless defined(&V4L2_PIX_FMT_NV21M);
    eval 'sub V4L2_PIX_FMT_NV16M () { &v4l2_fourcc(ord(\'N\', \'M\', \'1\', \'6\'));}' unless defined(&V4L2_PIX_FMT_NV16M);
    eval 'sub V4L2_PIX_FMT_NV61M () { &v4l2_fourcc(ord(\'N\', \'M\', \'6\', \'1\'));}' unless defined(&V4L2_PIX_FMT_NV61M);
    eval 'sub V4L2_PIX_FMT_YUV410 () { &v4l2_fourcc(ord(\'Y\', \'U\', \'V\', \'9\'));}' unless defined(&V4L2_PIX_FMT_YUV410);
    eval 'sub V4L2_PIX_FMT_YVU410 () { &v4l2_fourcc(ord(\'Y\', \'V\', \'U\', \'9\'));}' unless defined(&V4L2_PIX_FMT_YVU410);
    eval 'sub V4L2_PIX_FMT_YUV411P () { &v4l2_fourcc(ord(\'4\', \'1\', \'1\', \'P\'));}' unless defined(&V4L2_PIX_FMT_YUV411P);
    eval 'sub V4L2_PIX_FMT_YUV420 () { &v4l2_fourcc(ord(\'Y\', \'U\', \'1\', \'2\'));}' unless defined(&V4L2_PIX_FMT_YUV420);
    eval 'sub V4L2_PIX_FMT_YVU420 () { &v4l2_fourcc(ord(\'Y\', \'V\', \'1\', \'2\'));}' unless defined(&V4L2_PIX_FMT_YVU420);
    eval 'sub V4L2_PIX_FMT_YUV422P () { &v4l2_fourcc(ord(\'4\', \'2\', \'2\', \'P\'));}' unless defined(&V4L2_PIX_FMT_YUV422P);
    eval 'sub V4L2_PIX_FMT_YUV420M () { &v4l2_fourcc(ord(\'Y\', \'M\', \'1\', \'2\'));}' unless defined(&V4L2_PIX_FMT_YUV420M);
    eval 'sub V4L2_PIX_FMT_YVU420M () { &v4l2_fourcc(ord(\'Y\', \'M\', \'2\', \'1\'));}' unless defined(&V4L2_PIX_FMT_YVU420M);
    eval 'sub V4L2_PIX_FMT_YUV422M () { &v4l2_fourcc(ord(\'Y\', \'M\', \'1\', \'6\'));}' unless defined(&V4L2_PIX_FMT_YUV422M);
    eval 'sub V4L2_PIX_FMT_YVU422M () { &v4l2_fourcc(ord(\'Y\', \'M\', \'6\', \'1\'));}' unless defined(&V4L2_PIX_FMT_YVU422M);
    eval 'sub V4L2_PIX_FMT_YUV444M () { &v4l2_fourcc(ord(\'Y\', \'M\', \'2\', \'4\'));}' unless defined(&V4L2_PIX_FMT_YUV444M);
    eval 'sub V4L2_PIX_FMT_YVU444M () { &v4l2_fourcc(ord(\'Y\', \'M\', \'4\', \'2\'));}' unless defined(&V4L2_PIX_FMT_YVU444M);
    eval 'sub V4L2_PIX_FMT_NV12_4L4 () { &v4l2_fourcc(ord(\'V\', \'T\', \'1\', \'2\'));}' unless defined(&V4L2_PIX_FMT_NV12_4L4);
    eval 'sub V4L2_PIX_FMT_NV12_16L16 () { &v4l2_fourcc(ord(\'H\', \'M\', \'1\', \'2\'));}' unless defined(&V4L2_PIX_FMT_NV12_16L16);
    eval 'sub V4L2_PIX_FMT_NV12_32L32 () { &v4l2_fourcc(ord(\'S\', \'T\', \'1\', \'2\'));}' unless defined(&V4L2_PIX_FMT_NV12_32L32);
    eval 'sub V4L2_PIX_FMT_P010_4L4 () { &v4l2_fourcc(ord(\'T\', \'0\', \'1\', \'0\'));}' unless defined(&V4L2_PIX_FMT_P010_4L4);
    eval 'sub V4L2_PIX_FMT_NV12_8L128 () { &v4l2_fourcc(ord(\'A\', \'T\', \'1\', \'2\'));}' unless defined(&V4L2_PIX_FMT_NV12_8L128);
    eval 'sub V4L2_PIX_FMT_NV12_10BE_8L128 () { &v4l2_fourcc_be(ord(\'A\', \'X\', \'1\', \'2\'));}' unless defined(&V4L2_PIX_FMT_NV12_10BE_8L128);
    eval 'sub V4L2_PIX_FMT_NV12MT () { &v4l2_fourcc(ord(\'T\', \'M\', \'1\', \'2\'));}' unless defined(&V4L2_PIX_FMT_NV12MT);
    eval 'sub V4L2_PIX_FMT_NV12MT_16X16 () { &v4l2_fourcc(ord(\'V\', \'M\', \'1\', \'2\'));}' unless defined(&V4L2_PIX_FMT_NV12MT_16X16);
    eval 'sub V4L2_PIX_FMT_NV12M_8L128 () { &v4l2_fourcc(ord(\'N\', \'A\', \'1\', \'2\'));}' unless defined(&V4L2_PIX_FMT_NV12M_8L128);
    eval 'sub V4L2_PIX_FMT_NV12M_10BE_8L128 () { &v4l2_fourcc_be(ord(\'N\', \'T\', \'1\', \'2\'));}' unless defined(&V4L2_PIX_FMT_NV12M_10BE_8L128);
    eval 'sub V4L2_PIX_FMT_SBGGR8 () { &v4l2_fourcc(ord(\'B\', \'A\', \'8\', \'1\'));}' unless defined(&V4L2_PIX_FMT_SBGGR8);
    eval 'sub V4L2_PIX_FMT_SGBRG8 () { &v4l2_fourcc(ord(\'G\', \'B\', \'R\', \'G\'));}' unless defined(&V4L2_PIX_FMT_SGBRG8);
    eval 'sub V4L2_PIX_FMT_SGRBG8 () { &v4l2_fourcc(ord(\'G\', \'R\', \'B\', \'G\'));}' unless defined(&V4L2_PIX_FMT_SGRBG8);
    eval 'sub V4L2_PIX_FMT_SRGGB8 () { &v4l2_fourcc(ord(\'R\', \'G\', \'G\', \'B\'));}' unless defined(&V4L2_PIX_FMT_SRGGB8);
    eval 'sub V4L2_PIX_FMT_SBGGR10 () { &v4l2_fourcc(ord(\'B\', \'G\', \'1\', \'0\'));}' unless defined(&V4L2_PIX_FMT_SBGGR10);
    eval 'sub V4L2_PIX_FMT_SGBRG10 () { &v4l2_fourcc(ord(\'G\', \'B\', \'1\', \'0\'));}' unless defined(&V4L2_PIX_FMT_SGBRG10);
    eval 'sub V4L2_PIX_FMT_SGRBG10 () { &v4l2_fourcc(ord(\'B\', \'A\', \'1\', \'0\'));}' unless defined(&V4L2_PIX_FMT_SGRBG10);
    eval 'sub V4L2_PIX_FMT_SRGGB10 () { &v4l2_fourcc(ord(\'R\', \'G\', \'1\', \'0\'));}' unless defined(&V4L2_PIX_FMT_SRGGB10);
    eval 'sub V4L2_PIX_FMT_SBGGR10P () { &v4l2_fourcc(ord(\'p\', \'B\', \'A\', \'A\'));}' unless defined(&V4L2_PIX_FMT_SBGGR10P);
    eval 'sub V4L2_PIX_FMT_SGBRG10P () { &v4l2_fourcc(ord(\'p\', \'G\', \'A\', \'A\'));}' unless defined(&V4L2_PIX_FMT_SGBRG10P);
    eval 'sub V4L2_PIX_FMT_SGRBG10P () { &v4l2_fourcc(ord(\'p\', \'g\', \'A\', \'A\'));}' unless defined(&V4L2_PIX_FMT_SGRBG10P);
    eval 'sub V4L2_PIX_FMT_SRGGB10P () { &v4l2_fourcc(ord(\'p\', \'R\', \'A\', \'A\'));}' unless defined(&V4L2_PIX_FMT_SRGGB10P);
    eval 'sub V4L2_PIX_FMT_SBGGR10ALAW8 () { &v4l2_fourcc(ord(\'a\', \'B\', \'A\', \'8\'));}' unless defined(&V4L2_PIX_FMT_SBGGR10ALAW8);
    eval 'sub V4L2_PIX_FMT_SGBRG10ALAW8 () { &v4l2_fourcc(ord(\'a\', \'G\', \'A\', \'8\'));}' unless defined(&V4L2_PIX_FMT_SGBRG10ALAW8);
    eval 'sub V4L2_PIX_FMT_SGRBG10ALAW8 () { &v4l2_fourcc(ord(\'a\', \'g\', \'A\', \'8\'));}' unless defined(&V4L2_PIX_FMT_SGRBG10ALAW8);
    eval 'sub V4L2_PIX_FMT_SRGGB10ALAW8 () { &v4l2_fourcc(ord(\'a\', \'R\', \'A\', \'8\'));}' unless defined(&V4L2_PIX_FMT_SRGGB10ALAW8);
    eval 'sub V4L2_PIX_FMT_SBGGR10DPCM8 () { &v4l2_fourcc(ord(\'b\', \'B\', \'A\', \'8\'));}' unless defined(&V4L2_PIX_FMT_SBGGR10DPCM8);
    eval 'sub V4L2_PIX_FMT_SGBRG10DPCM8 () { &v4l2_fourcc(ord(\'b\', \'G\', \'A\', \'8\'));}' unless defined(&V4L2_PIX_FMT_SGBRG10DPCM8);
    eval 'sub V4L2_PIX_FMT_SGRBG10DPCM8 () { &v4l2_fourcc(ord(\'B\', \'D\', \'1\', \'0\'));}' unless defined(&V4L2_PIX_FMT_SGRBG10DPCM8);
    eval 'sub V4L2_PIX_FMT_SRGGB10DPCM8 () { &v4l2_fourcc(ord(\'b\', \'R\', \'A\', \'8\'));}' unless defined(&V4L2_PIX_FMT_SRGGB10DPCM8);
    eval 'sub V4L2_PIX_FMT_SBGGR12 () { &v4l2_fourcc(ord(\'B\', \'G\', \'1\', \'2\'));}' unless defined(&V4L2_PIX_FMT_SBGGR12);
    eval 'sub V4L2_PIX_FMT_SGBRG12 () { &v4l2_fourcc(ord(\'G\', \'B\', \'1\', \'2\'));}' unless defined(&V4L2_PIX_FMT_SGBRG12);
    eval 'sub V4L2_PIX_FMT_SGRBG12 () { &v4l2_fourcc(ord(\'B\', \'A\', \'1\', \'2\'));}' unless defined(&V4L2_PIX_FMT_SGRBG12);
    eval 'sub V4L2_PIX_FMT_SRGGB12 () { &v4l2_fourcc(ord(\'R\', \'G\', \'1\', \'2\'));}' unless defined(&V4L2_PIX_FMT_SRGGB12);
    eval 'sub V4L2_PIX_FMT_SBGGR12P () { &v4l2_fourcc(ord(\'p\', \'B\', \'C\', \'C\'));}' unless defined(&V4L2_PIX_FMT_SBGGR12P);
    eval 'sub V4L2_PIX_FMT_SGBRG12P () { &v4l2_fourcc(ord(\'p\', \'G\', \'C\', \'C\'));}' unless defined(&V4L2_PIX_FMT_SGBRG12P);
    eval 'sub V4L2_PIX_FMT_SGRBG12P () { &v4l2_fourcc(ord(\'p\', \'g\', \'C\', \'C\'));}' unless defined(&V4L2_PIX_FMT_SGRBG12P);
    eval 'sub V4L2_PIX_FMT_SRGGB12P () { &v4l2_fourcc(ord(\'p\', \'R\', \'C\', \'C\'));}' unless defined(&V4L2_PIX_FMT_SRGGB12P);
    eval 'sub V4L2_PIX_FMT_SBGGR14 () { &v4l2_fourcc(ord(\'B\', \'G\', \'1\', \'4\'));}' unless defined(&V4L2_PIX_FMT_SBGGR14);
    eval 'sub V4L2_PIX_FMT_SGBRG14 () { &v4l2_fourcc(ord(\'G\', \'B\', \'1\', \'4\'));}' unless defined(&V4L2_PIX_FMT_SGBRG14);
    eval 'sub V4L2_PIX_FMT_SGRBG14 () { &v4l2_fourcc(ord(\'G\', \'R\', \'1\', \'4\'));}' unless defined(&V4L2_PIX_FMT_SGRBG14);
    eval 'sub V4L2_PIX_FMT_SRGGB14 () { &v4l2_fourcc(ord(\'R\', \'G\', \'1\', \'4\'));}' unless defined(&V4L2_PIX_FMT_SRGGB14);
    eval 'sub V4L2_PIX_FMT_SBGGR14P () { &v4l2_fourcc(ord(\'p\', \'B\', \'E\', \'E\'));}' unless defined(&V4L2_PIX_FMT_SBGGR14P);
    eval 'sub V4L2_PIX_FMT_SGBRG14P () { &v4l2_fourcc(ord(\'p\', \'G\', \'E\', \'E\'));}' unless defined(&V4L2_PIX_FMT_SGBRG14P);
    eval 'sub V4L2_PIX_FMT_SGRBG14P () { &v4l2_fourcc(ord(\'p\', \'g\', \'E\', \'E\'));}' unless defined(&V4L2_PIX_FMT_SGRBG14P);
    eval 'sub V4L2_PIX_FMT_SRGGB14P () { &v4l2_fourcc(ord(\'p\', \'R\', \'E\', \'E\'));}' unless defined(&V4L2_PIX_FMT_SRGGB14P);
    eval 'sub V4L2_PIX_FMT_SBGGR16 () { &v4l2_fourcc(ord(\'B\', \'Y\', \'R\', \'2\'));}' unless defined(&V4L2_PIX_FMT_SBGGR16);
    eval 'sub V4L2_PIX_FMT_SGBRG16 () { &v4l2_fourcc(ord(\'G\', \'B\', \'1\', \'6\'));}' unless defined(&V4L2_PIX_FMT_SGBRG16);
    eval 'sub V4L2_PIX_FMT_SGRBG16 () { &v4l2_fourcc(ord(\'G\', \'R\', \'1\', \'6\'));}' unless defined(&V4L2_PIX_FMT_SGRBG16);
    eval 'sub V4L2_PIX_FMT_SRGGB16 () { &v4l2_fourcc(ord(\'R\', \'G\', \'1\', \'6\'));}' unless defined(&V4L2_PIX_FMT_SRGGB16);
    eval 'sub V4L2_PIX_FMT_HSV24 () { &v4l2_fourcc(ord(\'H\', \'S\', \'V\', \'3\'));}' unless defined(&V4L2_PIX_FMT_HSV24);
    eval 'sub V4L2_PIX_FMT_HSV32 () { &v4l2_fourcc(ord(\'H\', \'S\', \'V\', \'4\'));}' unless defined(&V4L2_PIX_FMT_HSV32);
    eval 'sub V4L2_PIX_FMT_MJPEG () { &v4l2_fourcc(ord(\'M\', \'J\', \'P\', \'G\'));}' unless defined(&V4L2_PIX_FMT_MJPEG);
    eval 'sub V4L2_PIX_FMT_JPEG () { &v4l2_fourcc(ord(\'J\', \'P\', \'E\', \'G\'));}' unless defined(&V4L2_PIX_FMT_JPEG);
    eval 'sub V4L2_PIX_FMT_DV () { &v4l2_fourcc(ord(\'d\', \'v\', \'s\', \'d\'));}' unless defined(&V4L2_PIX_FMT_DV);
    eval 'sub V4L2_PIX_FMT_MPEG () { &v4l2_fourcc(ord(\'M\', \'P\', \'E\', \'G\'));}' unless defined(&V4L2_PIX_FMT_MPEG);
    eval 'sub V4L2_PIX_FMT_H264 () { &v4l2_fourcc(ord(\'H\', \'2\', \'6\', \'4\'));}' unless defined(&V4L2_PIX_FMT_H264);
    eval 'sub V4L2_PIX_FMT_H264_NO_SC () { &v4l2_fourcc(ord(\'A\', \'V\', \'C\', \'1\'));}' unless defined(&V4L2_PIX_FMT_H264_NO_SC);
    eval 'sub V4L2_PIX_FMT_H264_MVC () { &v4l2_fourcc(ord(\'M\', \'2\', \'6\', \'4\'));}' unless defined(&V4L2_PIX_FMT_H264_MVC);
    eval 'sub V4L2_PIX_FMT_H263 () { &v4l2_fourcc(ord(\'H\', \'2\', \'6\', \'3\'));}' unless defined(&V4L2_PIX_FMT_H263);
    eval 'sub V4L2_PIX_FMT_MPEG1 () { &v4l2_fourcc(ord(\'M\', \'P\', \'G\', \'1\'));}' unless defined(&V4L2_PIX_FMT_MPEG1);
    eval 'sub V4L2_PIX_FMT_MPEG2 () { &v4l2_fourcc(ord(\'M\', \'P\', \'G\', \'2\'));}' unless defined(&V4L2_PIX_FMT_MPEG2);
    eval 'sub V4L2_PIX_FMT_MPEG2_SLICE () { &v4l2_fourcc(ord(\'M\', \'G\', \'2\', \'S\'));}' unless defined(&V4L2_PIX_FMT_MPEG2_SLICE);
    eval 'sub V4L2_PIX_FMT_MPEG4 () { &v4l2_fourcc(ord(\'M\', \'P\', \'G\', \'4\'));}' unless defined(&V4L2_PIX_FMT_MPEG4);
    eval 'sub V4L2_PIX_FMT_XVID () { &v4l2_fourcc(ord(\'X\', \'V\', \'I\', \'D\'));}' unless defined(&V4L2_PIX_FMT_XVID);
    eval 'sub V4L2_PIX_FMT_VC1_ANNEX_G () { &v4l2_fourcc(ord(\'V\', \'C\', \'1\', \'G\'));}' unless defined(&V4L2_PIX_FMT_VC1_ANNEX_G);
    eval 'sub V4L2_PIX_FMT_VC1_ANNEX_L () { &v4l2_fourcc(ord(\'V\', \'C\', \'1\', \'L\'));}' unless defined(&V4L2_PIX_FMT_VC1_ANNEX_L);
    eval 'sub V4L2_PIX_FMT_VP8 () { &v4l2_fourcc(ord(\'V\', \'P\', \'8\', \'0\'));}' unless defined(&V4L2_PIX_FMT_VP8);
    eval 'sub V4L2_PIX_FMT_VP8_FRAME () { &v4l2_fourcc(ord(\'V\', \'P\', \'8\', \'F\'));}' unless defined(&V4L2_PIX_FMT_VP8_FRAME);
    eval 'sub V4L2_PIX_FMT_VP9 () { &v4l2_fourcc(ord(\'V\', \'P\', \'9\', \'0\'));}' unless defined(&V4L2_PIX_FMT_VP9);
    eval 'sub V4L2_PIX_FMT_VP9_FRAME () { &v4l2_fourcc(ord(\'V\', \'P\', \'9\', \'F\'));}' unless defined(&V4L2_PIX_FMT_VP9_FRAME);
    eval 'sub V4L2_PIX_FMT_HEVC () { &v4l2_fourcc(ord(\'H\', \'E\', \'V\', \'C\'));}' unless defined(&V4L2_PIX_FMT_HEVC);
    eval 'sub V4L2_PIX_FMT_FWHT () { &v4l2_fourcc(ord(\'F\', \'W\', \'H\', \'T\'));}' unless defined(&V4L2_PIX_FMT_FWHT);
    eval 'sub V4L2_PIX_FMT_FWHT_STATELESS () { &v4l2_fourcc(ord(\'S\', \'F\', \'W\', \'H\'));}' unless defined(&V4L2_PIX_FMT_FWHT_STATELESS);
    eval 'sub V4L2_PIX_FMT_H264_SLICE () { &v4l2_fourcc(ord(\'S\', \'2\', \'6\', \'4\'));}' unless defined(&V4L2_PIX_FMT_H264_SLICE);
    eval 'sub V4L2_PIX_FMT_HEVC_SLICE () { &v4l2_fourcc(ord(\'S\', \'2\', \'6\', \'5\'));}' unless defined(&V4L2_PIX_FMT_HEVC_SLICE);
    eval 'sub V4L2_PIX_FMT_CPIA1 () { &v4l2_fourcc(ord(\'C\', \'P\', \'I\', \'A\'));}' unless defined(&V4L2_PIX_FMT_CPIA1);
    eval 'sub V4L2_PIX_FMT_WNVA () { &v4l2_fourcc(ord(\'W\', \'N\', \'V\', \'A\'));}' unless defined(&V4L2_PIX_FMT_WNVA);
    eval 'sub V4L2_PIX_FMT_SN9C10X () { &v4l2_fourcc(ord(\'S\', \'9\', \'1\', \'0\'));}' unless defined(&V4L2_PIX_FMT_SN9C10X);
    eval 'sub V4L2_PIX_FMT_SN9C20X_I420 () { &v4l2_fourcc(ord(\'S\', \'9\', \'2\', \'0\'));}' unless defined(&V4L2_PIX_FMT_SN9C20X_I420);
    eval 'sub V4L2_PIX_FMT_PWC1 () { &v4l2_fourcc(ord(\'P\', \'W\', \'C\', \'1\'));}' unless defined(&V4L2_PIX_FMT_PWC1);
    eval 'sub V4L2_PIX_FMT_PWC2 () { &v4l2_fourcc(ord(\'P\', \'W\', \'C\', \'2\'));}' unless defined(&V4L2_PIX_FMT_PWC2);
    eval 'sub V4L2_PIX_FMT_ET61X251 () { &v4l2_fourcc(ord(\'E\', \'6\', \'2\', \'5\'));}' unless defined(&V4L2_PIX_FMT_ET61X251);
    eval 'sub V4L2_PIX_FMT_SPCA501 () { &v4l2_fourcc(ord(\'S\', \'5\', \'0\', \'1\'));}' unless defined(&V4L2_PIX_FMT_SPCA501);
    eval 'sub V4L2_PIX_FMT_SPCA505 () { &v4l2_fourcc(ord(\'S\', \'5\', \'0\', \'5\'));}' unless defined(&V4L2_PIX_FMT_SPCA505);
    eval 'sub V4L2_PIX_FMT_SPCA508 () { &v4l2_fourcc(ord(\'S\', \'5\', \'0\', \'8\'));}' unless defined(&V4L2_PIX_FMT_SPCA508);
    eval 'sub V4L2_PIX_FMT_SPCA561 () { &v4l2_fourcc(ord(\'S\', \'5\', \'6\', \'1\'));}' unless defined(&V4L2_PIX_FMT_SPCA561);
    eval 'sub V4L2_PIX_FMT_PAC207 () { &v4l2_fourcc(ord(\'P\', \'2\', \'0\', \'7\'));}' unless defined(&V4L2_PIX_FMT_PAC207);
    eval 'sub V4L2_PIX_FMT_MR97310A () { &v4l2_fourcc(ord(\'M\', \'3\', \'1\', \'0\'));}' unless defined(&V4L2_PIX_FMT_MR97310A);
    eval 'sub V4L2_PIX_FMT_JL2005BCD () { &v4l2_fourcc(ord(\'J\', \'L\', \'2\', \'0\'));}' unless defined(&V4L2_PIX_FMT_JL2005BCD);
    eval 'sub V4L2_PIX_FMT_SN9C2028 () { &v4l2_fourcc(ord(\'S\', \'O\', \'N\', \'X\'));}' unless defined(&V4L2_PIX_FMT_SN9C2028);
    eval 'sub V4L2_PIX_FMT_SQ905C () { &v4l2_fourcc(ord(\'9\', \'0\', \'5\', \'C\'));}' unless defined(&V4L2_PIX_FMT_SQ905C);
    eval 'sub V4L2_PIX_FMT_PJPG () { &v4l2_fourcc(ord(\'P\', \'J\', \'P\', \'G\'));}' unless defined(&V4L2_PIX_FMT_PJPG);
    eval 'sub V4L2_PIX_FMT_OV511 () { &v4l2_fourcc(ord(\'O\', \'5\', \'1\', \'1\'));}' unless defined(&V4L2_PIX_FMT_OV511);
    eval 'sub V4L2_PIX_FMT_OV518 () { &v4l2_fourcc(ord(\'O\', \'5\', \'1\', \'8\'));}' unless defined(&V4L2_PIX_FMT_OV518);
    eval 'sub V4L2_PIX_FMT_STV0680 () { &v4l2_fourcc(ord(\'S\', \'6\', \'8\', \'0\'));}' unless defined(&V4L2_PIX_FMT_STV0680);
    eval 'sub V4L2_PIX_FMT_TM6000 () { &v4l2_fourcc(ord(\'T\', \'M\', \'6\', \'0\'));}' unless defined(&V4L2_PIX_FMT_TM6000);
    eval 'sub V4L2_PIX_FMT_CIT_YYVYUY () { &v4l2_fourcc(ord(\'C\', \'I\', \'T\', \'V\'));}' unless defined(&V4L2_PIX_FMT_CIT_YYVYUY);
    eval 'sub V4L2_PIX_FMT_KONICA420 () { &v4l2_fourcc(ord(\'K\', \'O\', \'N\', \'I\'));}' unless defined(&V4L2_PIX_FMT_KONICA420);
    eval 'sub V4L2_PIX_FMT_JPGL () { &v4l2_fourcc(ord(\'J\', \'P\', \'G\', \'L\'));}' unless defined(&V4L2_PIX_FMT_JPGL);
    eval 'sub V4L2_PIX_FMT_SE401 () { &v4l2_fourcc(ord(\'S\', \'4\', \'0\', \'1\'));}' unless defined(&V4L2_PIX_FMT_SE401);
    eval 'sub V4L2_PIX_FMT_S5C_UYVY_JPG () { &v4l2_fourcc(ord(\'S\', \'5\', \'C\', \'I\'));}' unless defined(&V4L2_PIX_FMT_S5C_UYVY_JPG);
    eval 'sub V4L2_PIX_FMT_Y8I () { &v4l2_fourcc(ord(\'Y\', \'8\', \'I\', \' \'));}' unless defined(&V4L2_PIX_FMT_Y8I);
    eval 'sub V4L2_PIX_FMT_Y12I () { &v4l2_fourcc(ord(\'Y\', \'1\', \'2\', \'I\'));}' unless defined(&V4L2_PIX_FMT_Y12I);
    eval 'sub V4L2_PIX_FMT_Z16 () { &v4l2_fourcc(ord(\'Z\', \'1\', \'6\', \' \'));}' unless defined(&V4L2_PIX_FMT_Z16);
    eval 'sub V4L2_PIX_FMT_MT21C () { &v4l2_fourcc(ord(\'M\', \'T\', \'2\', \'1\'));}' unless defined(&V4L2_PIX_FMT_MT21C);
    eval 'sub V4L2_PIX_FMT_MM21 () { &v4l2_fourcc(ord(\'M\', \'M\', \'2\', \'1\'));}' unless defined(&V4L2_PIX_FMT_MM21);
    eval 'sub V4L2_PIX_FMT_INZI () { &v4l2_fourcc(ord(\'I\', \'N\', \'Z\', \'I\'));}' unless defined(&V4L2_PIX_FMT_INZI);
    eval 'sub V4L2_PIX_FMT_CNF4 () { &v4l2_fourcc(ord(\'C\', \'N\', \'F\', \'4\'));}' unless defined(&V4L2_PIX_FMT_CNF4);
    eval 'sub V4L2_PIX_FMT_HI240 () { &v4l2_fourcc(ord(\'H\', \'I\', \'2\', \'4\'));}' unless defined(&V4L2_PIX_FMT_HI240);
    eval 'sub V4L2_PIX_FMT_QC08C () { &v4l2_fourcc(ord(\'Q\', \'0\', \'8\', \'C\'));}' unless defined(&V4L2_PIX_FMT_QC08C);
    eval 'sub V4L2_PIX_FMT_QC10C () { &v4l2_fourcc(ord(\'Q\', \'1\', \'0\', \'C\'));}' unless defined(&V4L2_PIX_FMT_QC10C);
    eval 'sub V4L2_PIX_FMT_AJPG () { &v4l2_fourcc(ord(\'A\', \'J\', \'P\', \'G\'));}' unless defined(&V4L2_PIX_FMT_AJPG);
    eval 'sub V4L2_PIX_FMT_IPU3_SBGGR10 () { &v4l2_fourcc(ord(\'i\', \'p\', \'3\', \'b\'));}' unless defined(&V4L2_PIX_FMT_IPU3_SBGGR10);
    eval 'sub V4L2_PIX_FMT_IPU3_SGBRG10 () { &v4l2_fourcc(ord(\'i\', \'p\', \'3\', \'g\'));}' unless defined(&V4L2_PIX_FMT_IPU3_SGBRG10);
    eval 'sub V4L2_PIX_FMT_IPU3_SGRBG10 () { &v4l2_fourcc(ord(\'i\', \'p\', \'3\', \'G\'));}' unless defined(&V4L2_PIX_FMT_IPU3_SGRBG10);
    eval 'sub V4L2_PIX_FMT_IPU3_SRGGB10 () { &v4l2_fourcc(ord(\'i\', \'p\', \'3\', \'r\'));}' unless defined(&V4L2_PIX_FMT_IPU3_SRGGB10);
    eval 'sub V4L2_SDR_FMT_CU8 () { &v4l2_fourcc(ord(\'C\', \'U\', \'0\', \'8\'));}' unless defined(&V4L2_SDR_FMT_CU8);
    eval 'sub V4L2_SDR_FMT_CU16LE () { &v4l2_fourcc(ord(\'C\', \'U\', \'1\', \'6\'));}' unless defined(&V4L2_SDR_FMT_CU16LE);
    eval 'sub V4L2_SDR_FMT_CS8 () { &v4l2_fourcc(ord(\'C\', \'S\', \'0\', \'8\'));}' unless defined(&V4L2_SDR_FMT_CS8);
    eval 'sub V4L2_SDR_FMT_CS14LE () { &v4l2_fourcc(ord(\'C\', \'S\', \'1\', \'4\'));}' unless defined(&V4L2_SDR_FMT_CS14LE);
    eval 'sub V4L2_SDR_FMT_RU12LE () { &v4l2_fourcc(ord(\'R\', \'U\', \'1\', \'2\'));}' unless defined(&V4L2_SDR_FMT_RU12LE);
    eval 'sub V4L2_SDR_FMT_PCU16BE () { &v4l2_fourcc(ord(\'P\', \'C\', \'1\', \'6\'));}' unless defined(&V4L2_SDR_FMT_PCU16BE);
    eval 'sub V4L2_SDR_FMT_PCU18BE () { &v4l2_fourcc(ord(\'P\', \'C\', \'1\', \'8\'));}' unless defined(&V4L2_SDR_FMT_PCU18BE);
    eval 'sub V4L2_SDR_FMT_PCU20BE () { &v4l2_fourcc(ord(\'P\', \'C\', \'2\', \'0\'));}' unless defined(&V4L2_SDR_FMT_PCU20BE);
    eval 'sub V4L2_TCH_FMT_DELTA_TD16 () { &v4l2_fourcc(ord(\'T\', \'D\', \'1\', \'6\'));}' unless defined(&V4L2_TCH_FMT_DELTA_TD16);
    eval 'sub V4L2_TCH_FMT_DELTA_TD08 () { &v4l2_fourcc(ord(\'T\', \'D\', \'0\', \'8\'));}' unless defined(&V4L2_TCH_FMT_DELTA_TD08);
    eval 'sub V4L2_TCH_FMT_TU16 () { &v4l2_fourcc(ord(\'T\', \'U\', \'1\', \'6\'));}' unless defined(&V4L2_TCH_FMT_TU16);
    eval 'sub V4L2_TCH_FMT_TU08 () { &v4l2_fourcc(ord(\'T\', \'U\', \'0\', \'8\'));}' unless defined(&V4L2_TCH_FMT_TU08);
    eval 'sub V4L2_META_FMT_VSP1_HGO () { &v4l2_fourcc(ord(\'V\', \'S\', \'P\', \'H\'));}' unless defined(&V4L2_META_FMT_VSP1_HGO);
    eval 'sub V4L2_META_FMT_VSP1_HGT () { &v4l2_fourcc(ord(\'V\', \'S\', \'P\', \'T\'));}' unless defined(&V4L2_META_FMT_VSP1_HGT);
    eval 'sub V4L2_META_FMT_UVC () { &v4l2_fourcc(ord(\'U\', \'V\', \'C\', \'H\'));}' unless defined(&V4L2_META_FMT_UVC);
    eval 'sub V4L2_META_FMT_D4XX () { &v4l2_fourcc(ord(\'D\', \'4\', \'X\', \'X\'));}' unless defined(&V4L2_META_FMT_D4XX);
    eval 'sub V4L2_META_FMT_VIVID () { &v4l2_fourcc(ord(\'V\', \'I\', \'V\', \'D\'));}' unless defined(&V4L2_META_FMT_VIVID);
    eval 'sub V4L2_META_FMT_RK_ISP1_PARAMS () { &v4l2_fourcc(ord(\'R\', \'K\', \'1\', \'P\'));}' unless defined(&V4L2_META_FMT_RK_ISP1_PARAMS);
    eval 'sub V4L2_META_FMT_RK_ISP1_STAT_3A () { &v4l2_fourcc(ord(\'R\', \'K\', \'1\', \'S\'));}' unless defined(&V4L2_META_FMT_RK_ISP1_STAT_3A);
    eval 'sub V4L2_PIX_FMT_PRIV_MAGIC () {0xfeedcafe;}' unless defined(&V4L2_PIX_FMT_PRIV_MAGIC);
    eval 'sub V4L2_PIX_FMT_FLAG_PREMUL_ALPHA () {0x1;}' unless defined(&V4L2_PIX_FMT_FLAG_PREMUL_ALPHA);
    eval 'sub V4L2_PIX_FMT_FLAG_SET_CSC () {0x2;}' unless defined(&V4L2_PIX_FMT_FLAG_SET_CSC);
    eval 'sub V4L2_FMT_FLAG_COMPRESSED () {0x1;}' unless defined(&V4L2_FMT_FLAG_COMPRESSED);
    eval 'sub V4L2_FMT_FLAG_EMULATED () {0x2;}' unless defined(&V4L2_FMT_FLAG_EMULATED);
    eval 'sub V4L2_FMT_FLAG_CONTINUOUS_BYTESTREAM () {0x4;}' unless defined(&V4L2_FMT_FLAG_CONTINUOUS_BYTESTREAM);
    eval 'sub V4L2_FMT_FLAG_DYN_RESOLUTION () {0x8;}' unless defined(&V4L2_FMT_FLAG_DYN_RESOLUTION);
    eval 'sub V4L2_FMT_FLAG_ENC_CAP_FRAME_INTERVAL () {0x10;}' unless defined(&V4L2_FMT_FLAG_ENC_CAP_FRAME_INTERVAL);
    eval 'sub V4L2_FMT_FLAG_CSC_COLORSPACE () {0x20;}' unless defined(&V4L2_FMT_FLAG_CSC_COLORSPACE);
    eval 'sub V4L2_FMT_FLAG_CSC_XFER_FUNC () {0x40;}' unless defined(&V4L2_FMT_FLAG_CSC_XFER_FUNC);
    eval 'sub V4L2_FMT_FLAG_CSC_YCBCR_ENC () {0x80;}' unless defined(&V4L2_FMT_FLAG_CSC_YCBCR_ENC);
    eval 'sub V4L2_FMT_FLAG_CSC_HSV_ENC () { &V4L2_FMT_FLAG_CSC_YCBCR_ENC;}' unless defined(&V4L2_FMT_FLAG_CSC_HSV_ENC);
    eval 'sub V4L2_FMT_FLAG_CSC_QUANTIZATION () {0x100;}' unless defined(&V4L2_FMT_FLAG_CSC_QUANTIZATION);
    eval("sub V4L2_FRMSIZE_TYPE_DISCRETE () { 1; }") unless defined(&V4L2_FRMSIZE_TYPE_DISCRETE);
    eval("sub V4L2_FRMSIZE_TYPE_CONTINUOUS () { 2; }") unless defined(&V4L2_FRMSIZE_TYPE_CONTINUOUS);
    eval("sub V4L2_FRMSIZE_TYPE_STEPWISE () { 3; }") unless defined(&V4L2_FRMSIZE_TYPE_STEPWISE);
    eval("sub V4L2_FRMIVAL_TYPE_DISCRETE () { 1; }") unless defined(&V4L2_FRMIVAL_TYPE_DISCRETE);
    eval("sub V4L2_FRMIVAL_TYPE_CONTINUOUS () { 2; }") unless defined(&V4L2_FRMIVAL_TYPE_CONTINUOUS);
    eval("sub V4L2_FRMIVAL_TYPE_STEPWISE () { 3; }") unless defined(&V4L2_FRMIVAL_TYPE_STEPWISE);
    eval 'sub V4L2_TC_TYPE_24FPS () {1;}' unless defined(&V4L2_TC_TYPE_24FPS);
    eval 'sub V4L2_TC_TYPE_25FPS () {2;}' unless defined(&V4L2_TC_TYPE_25FPS);
    eval 'sub V4L2_TC_TYPE_30FPS () {3;}' unless defined(&V4L2_TC_TYPE_30FPS);
    eval 'sub V4L2_TC_TYPE_50FPS () {4;}' unless defined(&V4L2_TC_TYPE_50FPS);
    eval 'sub V4L2_TC_TYPE_60FPS () {5;}' unless defined(&V4L2_TC_TYPE_60FPS);
    eval 'sub V4L2_TC_FLAG_DROPFRAME () {0x1;}' unless defined(&V4L2_TC_FLAG_DROPFRAME);
    eval 'sub V4L2_TC_FLAG_COLORFRAME () {0x2;}' unless defined(&V4L2_TC_FLAG_COLORFRAME);
    eval 'sub V4L2_TC_USERBITS_field () {0xc;}' unless defined(&V4L2_TC_USERBITS_field);
    eval 'sub V4L2_TC_USERBITS_USERDEFINED () {0x;}' unless defined(&V4L2_TC_USERBITS_USERDEFINED);
    eval 'sub V4L2_TC_USERBITS_8BITCHARS () {0x8;}' unless defined(&V4L2_TC_USERBITS_8BITCHARS);
    eval 'sub V4L2_JPEG_MARKER_DHT () {(1<<3);}' unless defined(&V4L2_JPEG_MARKER_DHT);
    eval 'sub V4L2_JPEG_MARKER_DQT () {(1<<4);}' unless defined(&V4L2_JPEG_MARKER_DQT);
    eval 'sub V4L2_JPEG_MARKER_DRI () {(1<<5);}' unless defined(&V4L2_JPEG_MARKER_DRI);
    eval 'sub V4L2_JPEG_MARKER_COM () {(1<<6);}' unless defined(&V4L2_JPEG_MARKER_COM);
    eval 'sub V4L2_JPEG_MARKER_APP () {(1<<7);}' unless defined(&V4L2_JPEG_MARKER_APP);
    eval 'sub V4L2_MEMORY_FLAG_NON_COHERENT () {(1<< 0);}' unless defined(&V4L2_MEMORY_FLAG_NON_COHERENT);
    eval 'sub V4L2_BUF_CAP_SUPPORTS_MMAP () {(1<< 0);}' unless defined(&V4L2_BUF_CAP_SUPPORTS_MMAP);
    eval 'sub V4L2_BUF_CAP_SUPPORTS_USERPTR () {(1<< 1);}' unless defined(&V4L2_BUF_CAP_SUPPORTS_USERPTR);
    eval 'sub V4L2_BUF_CAP_SUPPORTS_DMABUF () {(1<< 2);}' unless defined(&V4L2_BUF_CAP_SUPPORTS_DMABUF);
    eval 'sub V4L2_BUF_CAP_SUPPORTS_REQUESTS () {(1<< 3);}' unless defined(&V4L2_BUF_CAP_SUPPORTS_REQUESTS);
    eval 'sub V4L2_BUF_CAP_SUPPORTS_ORPHANED_BUFS () {(1<< 4);}' unless defined(&V4L2_BUF_CAP_SUPPORTS_ORPHANED_BUFS);
    eval 'sub V4L2_BUF_CAP_SUPPORTS_M2M_HOLD_CAPTURE_BUF () {(1<< 5);}' unless defined(&V4L2_BUF_CAP_SUPPORTS_M2M_HOLD_CAPTURE_BUF);
    eval 'sub V4L2_BUF_CAP_SUPPORTS_MMAP_CACHE_HINTS () {(1<< 6);}' unless defined(&V4L2_BUF_CAP_SUPPORTS_MMAP_CACHE_HINTS);
    eval 'sub V4L2_BUF_FLAG_MAPPED () {0x1;}' unless defined(&V4L2_BUF_FLAG_MAPPED);
    eval 'sub V4L2_BUF_FLAG_QUEUED () {0x2;}' unless defined(&V4L2_BUF_FLAG_QUEUED);
    eval 'sub V4L2_BUF_FLAG_DONE () {0x4;}' unless defined(&V4L2_BUF_FLAG_DONE);
    eval 'sub V4L2_BUF_FLAG_KEYFRAME () {0x8;}' unless defined(&V4L2_BUF_FLAG_KEYFRAME);
    eval 'sub V4L2_BUF_FLAG_PFRAME () {0x10;}' unless defined(&V4L2_BUF_FLAG_PFRAME);
    eval 'sub V4L2_BUF_FLAG_BFRAME () {0x20;}' unless defined(&V4L2_BUF_FLAG_BFRAME);
    eval 'sub V4L2_BUF_FLAG_ERROR () {0x40;}' unless defined(&V4L2_BUF_FLAG_ERROR);
    eval 'sub V4L2_BUF_FLAG_IN_REQUEST () {0x80;}' unless defined(&V4L2_BUF_FLAG_IN_REQUEST);
    eval 'sub V4L2_BUF_FLAG_TIMECODE () {0x100;}' unless defined(&V4L2_BUF_FLAG_TIMECODE);
    eval 'sub V4L2_BUF_FLAG_M2M_HOLD_CAPTURE_BUF () {0x200;}' unless defined(&V4L2_BUF_FLAG_M2M_HOLD_CAPTURE_BUF);
    eval 'sub V4L2_BUF_FLAG_PREPARED () {0x400;}' unless defined(&V4L2_BUF_FLAG_PREPARED);
    eval 'sub V4L2_BUF_FLAG_NO_CACHE_INVALIDATE () {0x800;}' unless defined(&V4L2_BUF_FLAG_NO_CACHE_INVALIDATE);
    eval 'sub V4L2_BUF_FLAG_NO_CACHE_CLEAN () {0x1000;}' unless defined(&V4L2_BUF_FLAG_NO_CACHE_CLEAN);
    eval 'sub V4L2_BUF_FLAG_TIMESTAMP_MASK () {0xe000;}' unless defined(&V4L2_BUF_FLAG_TIMESTAMP_MASK);
    eval 'sub V4L2_BUF_FLAG_TIMESTAMP_UNKNOWN () {0x;}' unless defined(&V4L2_BUF_FLAG_TIMESTAMP_UNKNOWN);
    eval 'sub V4L2_BUF_FLAG_TIMESTAMP_MONOTONIC () {0x2000;}' unless defined(&V4L2_BUF_FLAG_TIMESTAMP_MONOTONIC);
    eval 'sub V4L2_BUF_FLAG_TIMESTAMP_COPY () {0x4000;}' unless defined(&V4L2_BUF_FLAG_TIMESTAMP_COPY);
    eval 'sub V4L2_BUF_FLAG_TSTAMP_SRC_MASK () {0x70000;}' unless defined(&V4L2_BUF_FLAG_TSTAMP_SRC_MASK);
    eval 'sub V4L2_BUF_FLAG_TSTAMP_SRC_EOF () {0x;}' unless defined(&V4L2_BUF_FLAG_TSTAMP_SRC_EOF);
    eval 'sub V4L2_BUF_FLAG_TSTAMP_SRC_SOE () {0x10000;}' unless defined(&V4L2_BUF_FLAG_TSTAMP_SRC_SOE);
    eval 'sub V4L2_BUF_FLAG_LAST () {0x100000;}' unless defined(&V4L2_BUF_FLAG_LAST);
    eval 'sub V4L2_BUF_FLAG_REQUEST_FD () {0x800000;}' unless defined(&V4L2_BUF_FLAG_REQUEST_FD);
    eval 'sub V4L2_FBUF_CAP_EXTERNOVERLAY () {0x1;}' unless defined(&V4L2_FBUF_CAP_EXTERNOVERLAY);
    eval 'sub V4L2_FBUF_CAP_CHROMAKEY () {0x2;}' unless defined(&V4L2_FBUF_CAP_CHROMAKEY);
    eval 'sub V4L2_FBUF_CAP_LIST_CLIPPING () {0x4;}' unless defined(&V4L2_FBUF_CAP_LIST_CLIPPING);
    eval 'sub V4L2_FBUF_CAP_BITMAP_CLIPPING () {0x8;}' unless defined(&V4L2_FBUF_CAP_BITMAP_CLIPPING);
    eval 'sub V4L2_FBUF_CAP_LOCAL_ALPHA () {0x10;}' unless defined(&V4L2_FBUF_CAP_LOCAL_ALPHA);
    eval 'sub V4L2_FBUF_CAP_GLOBAL_ALPHA () {0x20;}' unless defined(&V4L2_FBUF_CAP_GLOBAL_ALPHA);
    eval 'sub V4L2_FBUF_CAP_LOCAL_INV_ALPHA () {0x40;}' unless defined(&V4L2_FBUF_CAP_LOCAL_INV_ALPHA);
    eval 'sub V4L2_FBUF_CAP_SRC_CHROMAKEY () {0x80;}' unless defined(&V4L2_FBUF_CAP_SRC_CHROMAKEY);
    eval 'sub V4L2_FBUF_FLAG_PRIMARY () {0x1;}' unless defined(&V4L2_FBUF_FLAG_PRIMARY);
    eval 'sub V4L2_FBUF_FLAG_OVERLAY () {0x2;}' unless defined(&V4L2_FBUF_FLAG_OVERLAY);
    eval 'sub V4L2_FBUF_FLAG_CHROMAKEY () {0x4;}' unless defined(&V4L2_FBUF_FLAG_CHROMAKEY);
    eval 'sub V4L2_FBUF_FLAG_LOCAL_ALPHA () {0x8;}' unless defined(&V4L2_FBUF_FLAG_LOCAL_ALPHA);
    eval 'sub V4L2_FBUF_FLAG_GLOBAL_ALPHA () {0x10;}' unless defined(&V4L2_FBUF_FLAG_GLOBAL_ALPHA);
    eval 'sub V4L2_FBUF_FLAG_LOCAL_INV_ALPHA () {0x20;}' unless defined(&V4L2_FBUF_FLAG_LOCAL_INV_ALPHA);
    eval 'sub V4L2_FBUF_FLAG_SRC_CHROMAKEY () {0x40;}' unless defined(&V4L2_FBUF_FLAG_SRC_CHROMAKEY);
    eval 'sub V4L2_MODE_HIGHQUALITY () {0x1;}' unless defined(&V4L2_MODE_HIGHQUALITY);
    eval 'sub V4L2_CAP_TIMEPERFRAME () {0x1000;}' unless defined(&V4L2_CAP_TIMEPERFRAME);
    eval 'sub V4L2_STD_PAL_B () {(( &v4l2_std_id)0x1);}' unless defined(&V4L2_STD_PAL_B);
    eval 'sub V4L2_STD_PAL_B1 () {(( &v4l2_std_id)0x2);}' unless defined(&V4L2_STD_PAL_B1);
    eval 'sub V4L2_STD_PAL_G () {(( &v4l2_std_id)0x4);}' unless defined(&V4L2_STD_PAL_G);
    eval 'sub V4L2_STD_PAL_H () {(( &v4l2_std_id)0x8);}' unless defined(&V4L2_STD_PAL_H);
    eval 'sub V4L2_STD_PAL_I () {(( &v4l2_std_id)0x10);}' unless defined(&V4L2_STD_PAL_I);
    eval 'sub V4L2_STD_PAL_D () {(( &v4l2_std_id)0x20);}' unless defined(&V4L2_STD_PAL_D);
    eval 'sub V4L2_STD_PAL_D1 () {(( &v4l2_std_id)0x40);}' unless defined(&V4L2_STD_PAL_D1);
    eval 'sub V4L2_STD_PAL_K () {(( &v4l2_std_id)0x80);}' unless defined(&V4L2_STD_PAL_K);
    eval 'sub V4L2_STD_PAL_M () {(( &v4l2_std_id)0x100);}' unless defined(&V4L2_STD_PAL_M);
    eval 'sub V4L2_STD_PAL_N () {(( &v4l2_std_id)0x200);}' unless defined(&V4L2_STD_PAL_N);
    eval 'sub V4L2_STD_PAL_Nc () {(( &v4l2_std_id)0x400);}' unless defined(&V4L2_STD_PAL_Nc);
    eval 'sub V4L2_STD_PAL_60 () {(( &v4l2_std_id)0x800);}' unless defined(&V4L2_STD_PAL_60);
    eval 'sub V4L2_STD_NTSC_M () {(( &v4l2_std_id)0x1000);}' unless defined(&V4L2_STD_NTSC_M);
    eval 'sub V4L2_STD_NTSC_M_JP () {(( &v4l2_std_id)0x2000);}' unless defined(&V4L2_STD_NTSC_M_JP);
    eval 'sub V4L2_STD_NTSC_443 () {(( &v4l2_std_id)0x4000);}' unless defined(&V4L2_STD_NTSC_443);
    eval 'sub V4L2_STD_NTSC_M_KR () {(( &v4l2_std_id)0x8000);}' unless defined(&V4L2_STD_NTSC_M_KR);
    eval 'sub V4L2_STD_SECAM_B () {(( &v4l2_std_id)0x10000);}' unless defined(&V4L2_STD_SECAM_B);
    eval 'sub V4L2_STD_SECAM_D () {(( &v4l2_std_id)0x20000);}' unless defined(&V4L2_STD_SECAM_D);
    eval 'sub V4L2_STD_SECAM_G () {(( &v4l2_std_id)0x40000);}' unless defined(&V4L2_STD_SECAM_G);
    eval 'sub V4L2_STD_SECAM_H () {(( &v4l2_std_id)0x80000);}' unless defined(&V4L2_STD_SECAM_H);
    eval 'sub V4L2_STD_SECAM_K () {(( &v4l2_std_id)0x100000);}' unless defined(&V4L2_STD_SECAM_K);
    eval 'sub V4L2_STD_SECAM_K1 () {(( &v4l2_std_id)0x200000);}' unless defined(&V4L2_STD_SECAM_K1);
    eval 'sub V4L2_STD_SECAM_L () {(( &v4l2_std_id)0x400000);}' unless defined(&V4L2_STD_SECAM_L);
    eval 'sub V4L2_STD_SECAM_LC () {(( &v4l2_std_id)0x800000);}' unless defined(&V4L2_STD_SECAM_LC);
    eval 'sub V4L2_STD_ATSC_8_VSB () {(( &v4l2_std_id)0x1000000);}' unless defined(&V4L2_STD_ATSC_8_VSB);
    eval 'sub V4L2_STD_ATSC_16_VSB () {(( &v4l2_std_id)0x2000000);}' unless defined(&V4L2_STD_ATSC_16_VSB);
    eval 'sub V4L2_STD_NTSC () {( &V4L2_STD_NTSC_M |  &V4L2_STD_NTSC_M_JP |  &V4L2_STD_NTSC_M_KR);}' unless defined(&V4L2_STD_NTSC);
    eval 'sub V4L2_STD_SECAM_DK () {( &V4L2_STD_SECAM_D |  &V4L2_STD_SECAM_K |  &V4L2_STD_SECAM_K1);}' unless defined(&V4L2_STD_SECAM_DK);
    eval 'sub V4L2_STD_SECAM () {( &V4L2_STD_SECAM_B |  &V4L2_STD_SECAM_G |  &V4L2_STD_SECAM_H |  &V4L2_STD_SECAM_DK |  &V4L2_STD_SECAM_L |  &V4L2_STD_SECAM_LC);}' unless defined(&V4L2_STD_SECAM);
    eval 'sub V4L2_STD_PAL_BG () {( &V4L2_STD_PAL_B |  &V4L2_STD_PAL_B1 |  &V4L2_STD_PAL_G);}' unless defined(&V4L2_STD_PAL_BG);
    eval 'sub V4L2_STD_PAL_DK () {( &V4L2_STD_PAL_D |  &V4L2_STD_PAL_D1 |  &V4L2_STD_PAL_K);}' unless defined(&V4L2_STD_PAL_DK);
    eval 'sub V4L2_STD_PAL () {( &V4L2_STD_PAL_BG |  &V4L2_STD_PAL_DK |  &V4L2_STD_PAL_H |  &V4L2_STD_PAL_I);}' unless defined(&V4L2_STD_PAL);
    eval 'sub V4L2_STD_B () {( &V4L2_STD_PAL_B |  &V4L2_STD_PAL_B1 |  &V4L2_STD_SECAM_B);}' unless defined(&V4L2_STD_B);
    eval 'sub V4L2_STD_G () {( &V4L2_STD_PAL_G |  &V4L2_STD_SECAM_G);}' unless defined(&V4L2_STD_G);
    eval 'sub V4L2_STD_H () {( &V4L2_STD_PAL_H |  &V4L2_STD_SECAM_H);}' unless defined(&V4L2_STD_H);
    eval 'sub V4L2_STD_L () {( &V4L2_STD_SECAM_L |  &V4L2_STD_SECAM_LC);}' unless defined(&V4L2_STD_L);
    eval 'sub V4L2_STD_GH () {( &V4L2_STD_G |  &V4L2_STD_H);}' unless defined(&V4L2_STD_GH);
    eval 'sub V4L2_STD_DK () {( &V4L2_STD_PAL_DK |  &V4L2_STD_SECAM_DK);}' unless defined(&V4L2_STD_DK);
    eval 'sub V4L2_STD_BG () {( &V4L2_STD_B |  &V4L2_STD_G);}' unless defined(&V4L2_STD_BG);
    eval 'sub V4L2_STD_MN () {( &V4L2_STD_PAL_M |  &V4L2_STD_PAL_N |  &V4L2_STD_PAL_Nc |  &V4L2_STD_NTSC);}' unless defined(&V4L2_STD_MN);
    eval 'sub V4L2_STD_MTS () {( &V4L2_STD_NTSC_M |  &V4L2_STD_PAL_M |  &V4L2_STD_PAL_N |  &V4L2_STD_PAL_Nc);}' unless defined(&V4L2_STD_MTS);
    eval 'sub V4L2_STD_525_60 () {( &V4L2_STD_PAL_M |  &V4L2_STD_PAL_60 |  &V4L2_STD_NTSC |  &V4L2_STD_NTSC_443);}' unless defined(&V4L2_STD_525_60);
    eval 'sub V4L2_STD_625_50 () {( &V4L2_STD_PAL |  &V4L2_STD_PAL_N |  &V4L2_STD_PAL_Nc |  &V4L2_STD_SECAM);}' unless defined(&V4L2_STD_625_50);
    eval 'sub V4L2_STD_ATSC () {( &V4L2_STD_ATSC_8_VSB |  &V4L2_STD_ATSC_16_VSB);}' unless defined(&V4L2_STD_ATSC);
    eval 'sub V4L2_STD_UNKNOWN () {0;}' unless defined(&V4L2_STD_UNKNOWN);
    eval 'sub V4L2_STD_ALL () {( &V4L2_STD_525_60 |  &V4L2_STD_625_50);}' unless defined(&V4L2_STD_ALL);
    eval 'sub V4L2_DV_PROGRESSIVE () {0;}' unless defined(&V4L2_DV_PROGRESSIVE);
    eval 'sub V4L2_DV_INTERLACED () {1;}' unless defined(&V4L2_DV_INTERLACED);
    eval 'sub V4L2_DV_VSYNC_POS_POL () {0x1;}' unless defined(&V4L2_DV_VSYNC_POS_POL);
    eval 'sub V4L2_DV_HSYNC_POS_POL () {0x2;}' unless defined(&V4L2_DV_HSYNC_POS_POL);
    eval 'sub V4L2_DV_BT_STD_CEA861 () {(1<< 0);}' unless defined(&V4L2_DV_BT_STD_CEA861);
    eval 'sub V4L2_DV_BT_STD_DMT () {(1<< 1);}' unless defined(&V4L2_DV_BT_STD_DMT);
    eval 'sub V4L2_DV_BT_STD_CVT () {(1<< 2);}' unless defined(&V4L2_DV_BT_STD_CVT);
    eval 'sub V4L2_DV_BT_STD_GTF () {(1<< 3);}' unless defined(&V4L2_DV_BT_STD_GTF);
    eval 'sub V4L2_DV_BT_STD_SDI () {(1<< 4);}' unless defined(&V4L2_DV_BT_STD_SDI);
    eval 'sub V4L2_DV_FL_REDUCED_BLANKING () {(1<< 0);}' unless defined(&V4L2_DV_FL_REDUCED_BLANKING);
    eval 'sub V4L2_DV_FL_CAN_REDUCE_FPS () {(1<< 1);}' unless defined(&V4L2_DV_FL_CAN_REDUCE_FPS);
    eval 'sub V4L2_DV_FL_REDUCED_FPS () {(1<< 2);}' unless defined(&V4L2_DV_FL_REDUCED_FPS);
    eval 'sub V4L2_DV_FL_HALF_LINE () {(1<< 3);}' unless defined(&V4L2_DV_FL_HALF_LINE);
    eval 'sub V4L2_DV_FL_IS_CE_VIDEO () {(1<< 4);}' unless defined(&V4L2_DV_FL_IS_CE_VIDEO);
    eval 'sub V4L2_DV_FL_FIRST_FIELD_EXTRA_LINE () {(1<< 5);}' unless defined(&V4L2_DV_FL_FIRST_FIELD_EXTRA_LINE);
    eval 'sub V4L2_DV_FL_HAS_PICTURE_ASPECT () {(1<< 6);}' unless defined(&V4L2_DV_FL_HAS_PICTURE_ASPECT);
    eval 'sub V4L2_DV_FL_HAS_CEA861_VIC () {(1<< 7);}' unless defined(&V4L2_DV_FL_HAS_CEA861_VIC);
    eval 'sub V4L2_DV_FL_HAS_HDMI_VIC () {(1<< 8);}' unless defined(&V4L2_DV_FL_HAS_HDMI_VIC);
    eval 'sub V4L2_DV_FL_CAN_DETECT_REDUCED_FPS () {(1<< 9);}' unless defined(&V4L2_DV_FL_CAN_DETECT_REDUCED_FPS);
    eval 'sub V4L2_DV_BT_BLANKING_WIDTH {
        my($bt) = @_;
	    eval q((($bt)-> &hfrontporch + ($bt)-> &hsync + ($bt)-> &hbackporch));
    }' unless defined(&V4L2_DV_BT_BLANKING_WIDTH);
    eval 'sub V4L2_DV_BT_FRAME_WIDTH {
        my($bt) = @_;
	    eval q((($bt)-> &width +  &V4L2_DV_BT_BLANKING_WIDTH($bt)));
    }' unless defined(&V4L2_DV_BT_FRAME_WIDTH);
    eval 'sub V4L2_DV_BT_BLANKING_HEIGHT {
        my($bt) = @_;
	    eval q((($bt)-> &vfrontporch + ($bt)-> &vsync + ($bt)-> &vbackporch + (($bt)-> &interlaced ? (($bt)-> &il_vfrontporch + ($bt)-> &il_vsync + ($bt)-> &il_vbackporch) : 0)));
    }' unless defined(&V4L2_DV_BT_BLANKING_HEIGHT);
    eval 'sub V4L2_DV_BT_FRAME_HEIGHT {
        my($bt) = @_;
	    eval q((($bt)-> &height +  &V4L2_DV_BT_BLANKING_HEIGHT($bt)));
    }' unless defined(&V4L2_DV_BT_FRAME_HEIGHT);
    eval 'sub V4L2_DV_BT_656_1120 () {0;}' unless defined(&V4L2_DV_BT_656_1120);
    eval 'sub V4L2_DV_BT_CAP_INTERLACED () {(1<< 0);}' unless defined(&V4L2_DV_BT_CAP_INTERLACED);
    eval 'sub V4L2_DV_BT_CAP_PROGRESSIVE () {(1<< 1);}' unless defined(&V4L2_DV_BT_CAP_PROGRESSIVE);
    eval 'sub V4L2_DV_BT_CAP_REDUCED_BLANKING () {(1<< 2);}' unless defined(&V4L2_DV_BT_CAP_REDUCED_BLANKING);
    eval 'sub V4L2_DV_BT_CAP_CUSTOM () {(1<< 3);}' unless defined(&V4L2_DV_BT_CAP_CUSTOM);
    eval 'sub V4L2_INPUT_TYPE_TUNER () {1;}' unless defined(&V4L2_INPUT_TYPE_TUNER);
    eval 'sub V4L2_INPUT_TYPE_CAMERA () {2;}' unless defined(&V4L2_INPUT_TYPE_CAMERA);
    eval 'sub V4L2_INPUT_TYPE_TOUCH () {3;}' unless defined(&V4L2_INPUT_TYPE_TOUCH);
    eval 'sub V4L2_IN_ST_NO_POWER () {0x1;}' unless defined(&V4L2_IN_ST_NO_POWER);
    eval 'sub V4L2_IN_ST_NO_SIGNAL () {0x2;}' unless defined(&V4L2_IN_ST_NO_SIGNAL);
    eval 'sub V4L2_IN_ST_NO_COLOR () {0x4;}' unless defined(&V4L2_IN_ST_NO_COLOR);
    eval 'sub V4L2_IN_ST_HFLIP () {0x10;}' unless defined(&V4L2_IN_ST_HFLIP);
    eval 'sub V4L2_IN_ST_VFLIP () {0x20;}' unless defined(&V4L2_IN_ST_VFLIP);
    eval 'sub V4L2_IN_ST_NO_H_LOCK () {0x100;}' unless defined(&V4L2_IN_ST_NO_H_LOCK);
    eval 'sub V4L2_IN_ST_COLOR_KILL () {0x200;}' unless defined(&V4L2_IN_ST_COLOR_KILL);
    eval 'sub V4L2_IN_ST_NO_V_LOCK () {0x400;}' unless defined(&V4L2_IN_ST_NO_V_LOCK);
    eval 'sub V4L2_IN_ST_NO_STD_LOCK () {0x800;}' unless defined(&V4L2_IN_ST_NO_STD_LOCK);
    eval 'sub V4L2_IN_ST_NO_SYNC () {0x10000;}' unless defined(&V4L2_IN_ST_NO_SYNC);
    eval 'sub V4L2_IN_ST_NO_EQU () {0x20000;}' unless defined(&V4L2_IN_ST_NO_EQU);
    eval 'sub V4L2_IN_ST_NO_CARRIER () {0x40000;}' unless defined(&V4L2_IN_ST_NO_CARRIER);
    eval 'sub V4L2_IN_ST_MACROVISION () {0x1000000;}' unless defined(&V4L2_IN_ST_MACROVISION);
    eval 'sub V4L2_IN_ST_NO_ACCESS () {0x2000000;}' unless defined(&V4L2_IN_ST_NO_ACCESS);
    eval 'sub V4L2_IN_ST_VTR () {0x4000000;}' unless defined(&V4L2_IN_ST_VTR);
    eval 'sub V4L2_IN_CAP_DV_TIMINGS () {0x2;}' unless defined(&V4L2_IN_CAP_DV_TIMINGS);
    eval 'sub V4L2_IN_CAP_CUSTOM_TIMINGS () { &V4L2_IN_CAP_DV_TIMINGS;}' unless defined(&V4L2_IN_CAP_CUSTOM_TIMINGS);
    eval 'sub V4L2_IN_CAP_STD () {0x4;}' unless defined(&V4L2_IN_CAP_STD);
    eval 'sub V4L2_IN_CAP_NATIVE_SIZE () {0x8;}' unless defined(&V4L2_IN_CAP_NATIVE_SIZE);
    eval 'sub V4L2_OUTPUT_TYPE_MODULATOR () {1;}' unless defined(&V4L2_OUTPUT_TYPE_MODULATOR);
    eval 'sub V4L2_OUTPUT_TYPE_ANALOG () {2;}' unless defined(&V4L2_OUTPUT_TYPE_ANALOG);
    eval 'sub V4L2_OUTPUT_TYPE_ANALOGVGAOVERLAY () {3;}' unless defined(&V4L2_OUTPUT_TYPE_ANALOGVGAOVERLAY);
    eval 'sub V4L2_OUT_CAP_DV_TIMINGS () {0x2;}' unless defined(&V4L2_OUT_CAP_DV_TIMINGS);
    eval 'sub V4L2_OUT_CAP_CUSTOM_TIMINGS () { &V4L2_OUT_CAP_DV_TIMINGS;}' unless defined(&V4L2_OUT_CAP_CUSTOM_TIMINGS);
    eval 'sub V4L2_OUT_CAP_STD () {0x4;}' unless defined(&V4L2_OUT_CAP_STD);
    eval 'sub V4L2_OUT_CAP_NATIVE_SIZE () {0x8;}' unless defined(&V4L2_OUT_CAP_NATIVE_SIZE);
    eval 'sub V4L2_CTRL_ID_MASK () {(0xfffffff);}' unless defined(&V4L2_CTRL_ID_MASK);
    eval 'sub V4L2_CTRL_ID2CLASS {
        my($id) = @_;
	    eval q((($id) & 0xfff0000));
    }' unless defined(&V4L2_CTRL_ID2CLASS);
    eval 'sub V4L2_CTRL_ID2WHICH {
        my($id) = @_;
	    eval q((($id) & 0xfff0000));
    }' unless defined(&V4L2_CTRL_ID2WHICH);
    eval 'sub V4L2_CTRL_DRIVER_PRIV {
        my($id) = @_;
	    eval q(((($id) & 0xffff) >= 0x1000));
    }' unless defined(&V4L2_CTRL_DRIVER_PRIV);
    eval 'sub V4L2_CTRL_MAX_DIMS () {(4);}' unless defined(&V4L2_CTRL_MAX_DIMS);
    eval 'sub V4L2_CTRL_WHICH_CUR_VAL () {0;}' unless defined(&V4L2_CTRL_WHICH_CUR_VAL);
    eval 'sub V4L2_CTRL_WHICH_DEF_VAL () {0xf000000;}' unless defined(&V4L2_CTRL_WHICH_DEF_VAL);
    eval 'sub V4L2_CTRL_WHICH_REQUEST_VAL () {0xf010000;}' unless defined(&V4L2_CTRL_WHICH_REQUEST_VAL);
    eval("sub V4L2_CTRL_TYPE_INTEGER () { 1; }") unless defined(&V4L2_CTRL_TYPE_INTEGER);
    eval("sub V4L2_CTRL_TYPE_BOOLEAN () { 2; }") unless defined(&V4L2_CTRL_TYPE_BOOLEAN);
    eval("sub V4L2_CTRL_TYPE_MENU () { 3; }") unless defined(&V4L2_CTRL_TYPE_MENU);
    eval("sub V4L2_CTRL_TYPE_BUTTON () { 4; }") unless defined(&V4L2_CTRL_TYPE_BUTTON);
    eval("sub V4L2_CTRL_TYPE_INTEGER64 () { 5; }") unless defined(&V4L2_CTRL_TYPE_INTEGER64);
    eval("sub V4L2_CTRL_TYPE_CTRL_CLASS () { 6; }") unless defined(&V4L2_CTRL_TYPE_CTRL_CLASS);
    eval("sub V4L2_CTRL_TYPE_STRING () { 7; }") unless defined(&V4L2_CTRL_TYPE_STRING);
    eval("sub V4L2_CTRL_TYPE_BITMASK () { 8; }") unless defined(&V4L2_CTRL_TYPE_BITMASK);
    eval("sub V4L2_CTRL_TYPE_INTEGER_MENU () { 9; }") unless defined(&V4L2_CTRL_TYPE_INTEGER_MENU);
    eval("sub V4L2_CTRL_COMPOUND_TYPES () { 0x0100; }") unless defined(&V4L2_CTRL_COMPOUND_TYPES);
    eval("sub V4L2_CTRL_TYPE_U8 () { 0x0100; }") unless defined(&V4L2_CTRL_TYPE_U8);
    eval("sub V4L2_CTRL_TYPE_U16 () { 0x0101; }") unless defined(&V4L2_CTRL_TYPE_U16);
    eval("sub V4L2_CTRL_TYPE_U32 () { 0x0102; }") unless defined(&V4L2_CTRL_TYPE_U32);
    eval("sub V4L2_CTRL_TYPE_AREA () { 0x0106; }") unless defined(&V4L2_CTRL_TYPE_AREA);
    eval("sub V4L2_CTRL_TYPE_HDR10_CLL_INFO () { 0x0110; }") unless defined(&V4L2_CTRL_TYPE_HDR10_CLL_INFO);
    eval("sub V4L2_CTRL_TYPE_HDR10_MASTERING_DISPLAY () { 0x0111; }") unless defined(&V4L2_CTRL_TYPE_HDR10_MASTERING_DISPLAY);
    eval("sub V4L2_CTRL_TYPE_H264_SPS () { 0x0200; }") unless defined(&V4L2_CTRL_TYPE_H264_SPS);
    eval("sub V4L2_CTRL_TYPE_H264_PPS () { 0x0201; }") unless defined(&V4L2_CTRL_TYPE_H264_PPS);
    eval("sub V4L2_CTRL_TYPE_H264_SCALING_MATRIX () { 0x0202; }") unless defined(&V4L2_CTRL_TYPE_H264_SCALING_MATRIX);
    eval("sub V4L2_CTRL_TYPE_H264_SLICE_PARAMS () { 0x0203; }") unless defined(&V4L2_CTRL_TYPE_H264_SLICE_PARAMS);
    eval("sub V4L2_CTRL_TYPE_H264_DECODE_PARAMS () { 0x0204; }") unless defined(&V4L2_CTRL_TYPE_H264_DECODE_PARAMS);
    eval("sub V4L2_CTRL_TYPE_H264_PRED_WEIGHTS () { 0x0205; }") unless defined(&V4L2_CTRL_TYPE_H264_PRED_WEIGHTS);
    eval("sub V4L2_CTRL_TYPE_FWHT_PARAMS () { 0x0220; }") unless defined(&V4L2_CTRL_TYPE_FWHT_PARAMS);
    eval("sub V4L2_CTRL_TYPE_VP8_FRAME () { 0x0240; }") unless defined(&V4L2_CTRL_TYPE_VP8_FRAME);
    eval("sub V4L2_CTRL_TYPE_MPEG2_QUANTISATION () { 0x0250; }") unless defined(&V4L2_CTRL_TYPE_MPEG2_QUANTISATION);
    eval("sub V4L2_CTRL_TYPE_MPEG2_SEQUENCE () { 0x0251; }") unless defined(&V4L2_CTRL_TYPE_MPEG2_SEQUENCE);
    eval("sub V4L2_CTRL_TYPE_MPEG2_PICTURE () { 0x0252; }") unless defined(&V4L2_CTRL_TYPE_MPEG2_PICTURE);
    eval("sub V4L2_CTRL_TYPE_VP9_COMPRESSED_HDR () { 0x0260; }") unless defined(&V4L2_CTRL_TYPE_VP9_COMPRESSED_HDR);
    eval("sub V4L2_CTRL_TYPE_VP9_FRAME () { 0x0261; }") unless defined(&V4L2_CTRL_TYPE_VP9_FRAME);
    eval("sub V4L2_CTRL_TYPE_HEVC_SPS () { 0x0270; }") unless defined(&V4L2_CTRL_TYPE_HEVC_SPS);
    eval("sub V4L2_CTRL_TYPE_HEVC_PPS () { 0x0271; }") unless defined(&V4L2_CTRL_TYPE_HEVC_PPS);
    eval("sub V4L2_CTRL_TYPE_HEVC_SLICE_PARAMS () { 0x0272; }") unless defined(&V4L2_CTRL_TYPE_HEVC_SLICE_PARAMS);
    eval("sub V4L2_CTRL_TYPE_HEVC_SCALING_MATRIX () { 0x0273; }") unless defined(&V4L2_CTRL_TYPE_HEVC_SCALING_MATRIX);
    eval("sub V4L2_CTRL_TYPE_HEVC_DECODE_PARAMS () { 0x0274; }") unless defined(&V4L2_CTRL_TYPE_HEVC_DECODE_PARAMS);
    eval 'sub V4L2_CTRL_FLAG_DISABLED () {0x1;}' unless defined(&V4L2_CTRL_FLAG_DISABLED);
    eval 'sub V4L2_CTRL_FLAG_GRABBED () {0x2;}' unless defined(&V4L2_CTRL_FLAG_GRABBED);
    eval 'sub V4L2_CTRL_FLAG_READ_ONLY () {0x4;}' unless defined(&V4L2_CTRL_FLAG_READ_ONLY);
    eval 'sub V4L2_CTRL_FLAG_UPDATE () {0x8;}' unless defined(&V4L2_CTRL_FLAG_UPDATE);
    eval 'sub V4L2_CTRL_FLAG_INACTIVE () {0x10;}' unless defined(&V4L2_CTRL_FLAG_INACTIVE);
    eval 'sub V4L2_CTRL_FLAG_SLIDER () {0x20;}' unless defined(&V4L2_CTRL_FLAG_SLIDER);
    eval 'sub V4L2_CTRL_FLAG_WRITE_ONLY () {0x40;}' unless defined(&V4L2_CTRL_FLAG_WRITE_ONLY);
    eval 'sub V4L2_CTRL_FLAG_VOLATILE () {0x80;}' unless defined(&V4L2_CTRL_FLAG_VOLATILE);
    eval 'sub V4L2_CTRL_FLAG_HAS_PAYLOAD () {0x100;}' unless defined(&V4L2_CTRL_FLAG_HAS_PAYLOAD);
    eval 'sub V4L2_CTRL_FLAG_EXECUTE_ON_WRITE () {0x200;}' unless defined(&V4L2_CTRL_FLAG_EXECUTE_ON_WRITE);
    eval 'sub V4L2_CTRL_FLAG_MODIFY_LAYOUT () {0x400;}' unless defined(&V4L2_CTRL_FLAG_MODIFY_LAYOUT);
    eval 'sub V4L2_CTRL_FLAG_DYNAMIC_ARRAY () {0x800;}' unless defined(&V4L2_CTRL_FLAG_DYNAMIC_ARRAY);
    eval 'sub V4L2_CTRL_FLAG_NEXT_CTRL () {0x80000000;}' unless defined(&V4L2_CTRL_FLAG_NEXT_CTRL);
    eval 'sub V4L2_CTRL_FLAG_NEXT_COMPOUND () {0x40000000;}' unless defined(&V4L2_CTRL_FLAG_NEXT_COMPOUND);
    eval 'sub V4L2_CID_MAX_CTRLS () {1024;}' unless defined(&V4L2_CID_MAX_CTRLS);
    eval 'sub V4L2_CID_PRIVATE_BASE () {0x8000000;}' unless defined(&V4L2_CID_PRIVATE_BASE);
    eval 'sub V4L2_TUNER_CAP_LOW () {0x1;}' unless defined(&V4L2_TUNER_CAP_LOW);
    eval 'sub V4L2_TUNER_CAP_NORM () {0x2;}' unless defined(&V4L2_TUNER_CAP_NORM);
    eval 'sub V4L2_TUNER_CAP_HWSEEK_BOUNDED () {0x4;}' unless defined(&V4L2_TUNER_CAP_HWSEEK_BOUNDED);
    eval 'sub V4L2_TUNER_CAP_HWSEEK_WRAP () {0x8;}' unless defined(&V4L2_TUNER_CAP_HWSEEK_WRAP);
    eval 'sub V4L2_TUNER_CAP_STEREO () {0x10;}' unless defined(&V4L2_TUNER_CAP_STEREO);
    eval 'sub V4L2_TUNER_CAP_LANG2 () {0x20;}' unless defined(&V4L2_TUNER_CAP_LANG2);
    eval 'sub V4L2_TUNER_CAP_SAP () {0x20;}' unless defined(&V4L2_TUNER_CAP_SAP);
    eval 'sub V4L2_TUNER_CAP_LANG1 () {0x40;}' unless defined(&V4L2_TUNER_CAP_LANG1);
    eval 'sub V4L2_TUNER_CAP_RDS () {0x80;}' unless defined(&V4L2_TUNER_CAP_RDS);
    eval 'sub V4L2_TUNER_CAP_RDS_BLOCK_IO () {0x100;}' unless defined(&V4L2_TUNER_CAP_RDS_BLOCK_IO);
    eval 'sub V4L2_TUNER_CAP_RDS_CONTROLS () {0x200;}' unless defined(&V4L2_TUNER_CAP_RDS_CONTROLS);
    eval 'sub V4L2_TUNER_CAP_FREQ_BANDS () {0x400;}' unless defined(&V4L2_TUNER_CAP_FREQ_BANDS);
    eval 'sub V4L2_TUNER_CAP_HWSEEK_PROG_LIM () {0x800;}' unless defined(&V4L2_TUNER_CAP_HWSEEK_PROG_LIM);
    eval 'sub V4L2_TUNER_CAP_1HZ () {0x1000;}' unless defined(&V4L2_TUNER_CAP_1HZ);
    eval 'sub V4L2_TUNER_SUB_MONO () {0x1;}' unless defined(&V4L2_TUNER_SUB_MONO);
    eval 'sub V4L2_TUNER_SUB_STEREO () {0x2;}' unless defined(&V4L2_TUNER_SUB_STEREO);
    eval 'sub V4L2_TUNER_SUB_LANG2 () {0x4;}' unless defined(&V4L2_TUNER_SUB_LANG2);
    eval 'sub V4L2_TUNER_SUB_SAP () {0x4;}' unless defined(&V4L2_TUNER_SUB_SAP);
    eval 'sub V4L2_TUNER_SUB_LANG1 () {0x8;}' unless defined(&V4L2_TUNER_SUB_LANG1);
    eval 'sub V4L2_TUNER_SUB_RDS () {0x10;}' unless defined(&V4L2_TUNER_SUB_RDS);
    eval 'sub V4L2_TUNER_MODE_MONO () {0x;}' unless defined(&V4L2_TUNER_MODE_MONO);
    eval 'sub V4L2_TUNER_MODE_STEREO () {0x1;}' unless defined(&V4L2_TUNER_MODE_STEREO);
    eval 'sub V4L2_TUNER_MODE_LANG2 () {0x2;}' unless defined(&V4L2_TUNER_MODE_LANG2);
    eval 'sub V4L2_TUNER_MODE_SAP () {0x2;}' unless defined(&V4L2_TUNER_MODE_SAP);
    eval 'sub V4L2_TUNER_MODE_LANG1 () {0x3;}' unless defined(&V4L2_TUNER_MODE_LANG1);
    eval 'sub V4L2_TUNER_MODE_LANG1_LANG2 () {0x4;}' unless defined(&V4L2_TUNER_MODE_LANG1_LANG2);
    eval 'sub V4L2_BAND_MODULATION_VSB () {(1<< 1);}' unless defined(&V4L2_BAND_MODULATION_VSB);
    eval 'sub V4L2_BAND_MODULATION_FM () {(1<< 2);}' unless defined(&V4L2_BAND_MODULATION_FM);
    eval 'sub V4L2_BAND_MODULATION_AM () {(1<< 3);}' unless defined(&V4L2_BAND_MODULATION_AM);
    eval 'sub V4L2_RDS_BLOCK_MSK () {0x7;}' unless defined(&V4L2_RDS_BLOCK_MSK);
    eval 'sub V4L2_RDS_BLOCK_A () {0;}' unless defined(&V4L2_RDS_BLOCK_A);
    eval 'sub V4L2_RDS_BLOCK_B () {1;}' unless defined(&V4L2_RDS_BLOCK_B);
    eval 'sub V4L2_RDS_BLOCK_C () {2;}' unless defined(&V4L2_RDS_BLOCK_C);
    eval 'sub V4L2_RDS_BLOCK_D () {3;}' unless defined(&V4L2_RDS_BLOCK_D);
    eval 'sub V4L2_RDS_BLOCK_C_ALT () {4;}' unless defined(&V4L2_RDS_BLOCK_C_ALT);
    eval 'sub V4L2_RDS_BLOCK_INVALID () {7;}' unless defined(&V4L2_RDS_BLOCK_INVALID);
    eval 'sub V4L2_RDS_BLOCK_CORRECTED () {0x40;}' unless defined(&V4L2_RDS_BLOCK_CORRECTED);
    eval 'sub V4L2_RDS_BLOCK_ERROR () {0x80;}' unless defined(&V4L2_RDS_BLOCK_ERROR);
    eval 'sub V4L2_AUDCAP_STEREO () {0x1;}' unless defined(&V4L2_AUDCAP_STEREO);
    eval 'sub V4L2_AUDCAP_AVL () {0x2;}' unless defined(&V4L2_AUDCAP_AVL);
    eval 'sub V4L2_AUDMODE_AVL () {0x1;}' unless defined(&V4L2_AUDMODE_AVL);
    if(1) {
	eval 'sub V4L2_ENC_IDX_FRAME_I () {(0);}' unless defined(&V4L2_ENC_IDX_FRAME_I);
	eval 'sub V4L2_ENC_IDX_FRAME_P () {(1);}' unless defined(&V4L2_ENC_IDX_FRAME_P);
	eval 'sub V4L2_ENC_IDX_FRAME_B () {(2);}' unless defined(&V4L2_ENC_IDX_FRAME_B);
	eval 'sub V4L2_ENC_IDX_FRAME_MASK () {(0xf);}' unless defined(&V4L2_ENC_IDX_FRAME_MASK);
	eval 'sub V4L2_ENC_IDX_ENTRIES () {(64);}' unless defined(&V4L2_ENC_IDX_ENTRIES);
	eval 'sub V4L2_ENC_CMD_START () {(0);}' unless defined(&V4L2_ENC_CMD_START);
	eval 'sub V4L2_ENC_CMD_STOP () {(1);}' unless defined(&V4L2_ENC_CMD_STOP);
	eval 'sub V4L2_ENC_CMD_PAUSE () {(2);}' unless defined(&V4L2_ENC_CMD_PAUSE);
	eval 'sub V4L2_ENC_CMD_RESUME () {(3);}' unless defined(&V4L2_ENC_CMD_RESUME);
	eval 'sub V4L2_ENC_CMD_STOP_AT_GOP_END () {(1<< 0);}' unless defined(&V4L2_ENC_CMD_STOP_AT_GOP_END);
	eval 'sub V4L2_DEC_CMD_START () {(0);}' unless defined(&V4L2_DEC_CMD_START);
	eval 'sub V4L2_DEC_CMD_STOP () {(1);}' unless defined(&V4L2_DEC_CMD_STOP);
	eval 'sub V4L2_DEC_CMD_PAUSE () {(2);}' unless defined(&V4L2_DEC_CMD_PAUSE);
	eval 'sub V4L2_DEC_CMD_RESUME () {(3);}' unless defined(&V4L2_DEC_CMD_RESUME);
	eval 'sub V4L2_DEC_CMD_FLUSH () {(4);}' unless defined(&V4L2_DEC_CMD_FLUSH);
	eval 'sub V4L2_DEC_CMD_START_MUTE_AUDIO () {(1<< 0);}' unless defined(&V4L2_DEC_CMD_START_MUTE_AUDIO);
	eval 'sub V4L2_DEC_CMD_PAUSE_TO_BLACK () {(1<< 0);}' unless defined(&V4L2_DEC_CMD_PAUSE_TO_BLACK);
	eval 'sub V4L2_DEC_CMD_STOP_TO_BLACK () {(1<< 0);}' unless defined(&V4L2_DEC_CMD_STOP_TO_BLACK);
	eval 'sub V4L2_DEC_CMD_STOP_IMMEDIATELY () {(1<< 1);}' unless defined(&V4L2_DEC_CMD_STOP_IMMEDIATELY);
	eval 'sub V4L2_DEC_START_FMT_NONE () {(0);}' unless defined(&V4L2_DEC_START_FMT_NONE);
	eval 'sub V4L2_DEC_START_FMT_GOP () {(1);}' unless defined(&V4L2_DEC_START_FMT_GOP);
    }
    eval 'sub V4L2_VBI_UNSYNC () {(1<< 0);}' unless defined(&V4L2_VBI_UNSYNC);
    eval 'sub V4L2_VBI_INTERLACED () {(1<< 1);}' unless defined(&V4L2_VBI_INTERLACED);
    eval 'sub V4L2_VBI_ITU_525_F1_START () {(1);}' unless defined(&V4L2_VBI_ITU_525_F1_START);
    eval 'sub V4L2_VBI_ITU_525_F2_START () {(264);}' unless defined(&V4L2_VBI_ITU_525_F2_START);
    eval 'sub V4L2_VBI_ITU_625_F1_START () {(1);}' unless defined(&V4L2_VBI_ITU_625_F1_START);
    eval 'sub V4L2_VBI_ITU_625_F2_START () {(314);}' unless defined(&V4L2_VBI_ITU_625_F2_START);
    eval 'sub V4L2_SLICED_TELETEXT_B () {(0x1);}' unless defined(&V4L2_SLICED_TELETEXT_B);
    eval 'sub V4L2_SLICED_VPS () {(0x400);}' unless defined(&V4L2_SLICED_VPS);
    eval 'sub V4L2_SLICED_CAPTION_525 () {(0x1000);}' unless defined(&V4L2_SLICED_CAPTION_525);
    eval 'sub V4L2_SLICED_WSS_625 () {(0x4000);}' unless defined(&V4L2_SLICED_WSS_625);
    eval 'sub V4L2_SLICED_VBI_525 () {( &V4L2_SLICED_CAPTION_525);}' unless defined(&V4L2_SLICED_VBI_525);
    eval 'sub V4L2_SLICED_VBI_625 () {( &V4L2_SLICED_TELETEXT_B |  &V4L2_SLICED_VPS |  &V4L2_SLICED_WSS_625);}' unless defined(&V4L2_SLICED_VBI_625);
    eval 'sub V4L2_MPEG_VBI_IVTV_TELETEXT_B () {(1);}' unless defined(&V4L2_MPEG_VBI_IVTV_TELETEXT_B);
    eval 'sub V4L2_MPEG_VBI_IVTV_CAPTION_525 () {(4);}' unless defined(&V4L2_MPEG_VBI_IVTV_CAPTION_525);
    eval 'sub V4L2_MPEG_VBI_IVTV_WSS_625 () {(5);}' unless defined(&V4L2_MPEG_VBI_IVTV_WSS_625);
    eval 'sub V4L2_MPEG_VBI_IVTV_VPS () {(7);}' unless defined(&V4L2_MPEG_VBI_IVTV_VPS);
    eval 'sub V4L2_MPEG_VBI_IVTV_MAGIC0 () {"itv0";}' unless defined(&V4L2_MPEG_VBI_IVTV_MAGIC0);
    eval 'sub V4L2_MPEG_VBI_IVTV_MAGIC1 () {"ITV0";}' unless defined(&V4L2_MPEG_VBI_IVTV_MAGIC1);
    eval 'sub V4L2_EVENT_ALL () {0;}' unless defined(&V4L2_EVENT_ALL);
    eval 'sub V4L2_EVENT_VSYNC () {1;}' unless defined(&V4L2_EVENT_VSYNC);
    eval 'sub V4L2_EVENT_EOS () {2;}' unless defined(&V4L2_EVENT_EOS);
    eval 'sub V4L2_EVENT_CTRL () {3;}' unless defined(&V4L2_EVENT_CTRL);
    eval 'sub V4L2_EVENT_FRAME_SYNC () {4;}' unless defined(&V4L2_EVENT_FRAME_SYNC);
    eval 'sub V4L2_EVENT_SOURCE_CHANGE () {5;}' unless defined(&V4L2_EVENT_SOURCE_CHANGE);
    eval 'sub V4L2_EVENT_MOTION_DET () {6;}' unless defined(&V4L2_EVENT_MOTION_DET);
    eval 'sub V4L2_EVENT_PRIVATE_START () {0x8000000;}' unless defined(&V4L2_EVENT_PRIVATE_START);
    eval 'sub V4L2_EVENT_CTRL_CH_VALUE () {(1<< 0);}' unless defined(&V4L2_EVENT_CTRL_CH_VALUE);
    eval 'sub V4L2_EVENT_CTRL_CH_FLAGS () {(1<< 1);}' unless defined(&V4L2_EVENT_CTRL_CH_FLAGS);
    eval 'sub V4L2_EVENT_CTRL_CH_RANGE () {(1<< 2);}' unless defined(&V4L2_EVENT_CTRL_CH_RANGE);
    eval 'sub V4L2_EVENT_CTRL_CH_DIMENSIONS () {(1<< 3);}' unless defined(&V4L2_EVENT_CTRL_CH_DIMENSIONS);
    eval 'sub V4L2_EVENT_SRC_CH_RESOLUTION () {(1<< 0);}' unless defined(&V4L2_EVENT_SRC_CH_RESOLUTION);
    eval 'sub V4L2_EVENT_MD_FL_HAVE_FRAME_SEQ () {(1<< 0);}' unless defined(&V4L2_EVENT_MD_FL_HAVE_FRAME_SEQ);
    eval 'sub V4L2_EVENT_SUB_FL_SEND_INITIAL () {(1<< 0);}' unless defined(&V4L2_EVENT_SUB_FL_SEND_INITIAL);
    eval 'sub V4L2_EVENT_SUB_FL_ALLOW_FEEDBACK () {(1<< 1);}' unless defined(&V4L2_EVENT_SUB_FL_ALLOW_FEEDBACK);
    eval 'sub V4L2_CHIP_MATCH_BRIDGE () {0;}' unless defined(&V4L2_CHIP_MATCH_BRIDGE);
    eval 'sub V4L2_CHIP_MATCH_SUBDEV () {4;}' unless defined(&V4L2_CHIP_MATCH_SUBDEV);
    eval 'sub V4L2_CHIP_MATCH_HOST () { &V4L2_CHIP_MATCH_BRIDGE;}' unless defined(&V4L2_CHIP_MATCH_HOST);
    eval 'sub V4L2_CHIP_MATCH_I2C_DRIVER () {1;}' unless defined(&V4L2_CHIP_MATCH_I2C_DRIVER);
    eval 'sub V4L2_CHIP_MATCH_I2C_ADDR () {2;}' unless defined(&V4L2_CHIP_MATCH_I2C_ADDR);
    eval 'sub V4L2_CHIP_MATCH_AC97 () {3;}' unless defined(&V4L2_CHIP_MATCH_AC97);
    eval 'sub V4L2_CHIP_FL_READABLE () {(1<< 0);}' unless defined(&V4L2_CHIP_FL_READABLE);
    eval 'sub V4L2_CHIP_FL_WRITABLE () {(1<< 1);}' unless defined(&V4L2_CHIP_FL_WRITABLE);
    eval 'sub VIDIOC_QUERYCAP () { &_IOR(ord(\'V\'), 0, \'struct v4l2_capability\');}' unless defined(&VIDIOC_QUERYCAP);
    eval 'sub VIDIOC_ENUM_FMT () { &_IOWR(ord(\'V\'), 2, \'struct v4l2_fmtdesc\');}' unless defined(&VIDIOC_ENUM_FMT);
    eval 'sub VIDIOC_G_FMT () { &_IOWR(ord(\'V\'), 4, \'struct v4l2_format\');}' unless defined(&VIDIOC_G_FMT);
    eval 'sub VIDIOC_S_FMT () { &_IOWR(ord(\'V\'), 5, \'struct v4l2_format\');}' unless defined(&VIDIOC_S_FMT);
    eval 'sub VIDIOC_REQBUFS () { &_IOWR(ord(\'V\'), 8, \'struct v4l2_requestbuffers\');}' unless defined(&VIDIOC_REQBUFS);
    eval 'sub VIDIOC_QUERYBUF () { &_IOWR(ord(\'V\'), 9, \'struct v4l2_buffer\');}' unless defined(&VIDIOC_QUERYBUF);
    eval 'sub VIDIOC_G_FBUF () { &_IOR(ord(\'V\'), 10, \'struct v4l2_framebuffer\');}' unless defined(&VIDIOC_G_FBUF);
    eval 'sub VIDIOC_S_FBUF () { &_IOW(ord(\'V\'), 11, \'struct v4l2_framebuffer\');}' unless defined(&VIDIOC_S_FBUF);
    eval 'sub VIDIOC_OVERLAY () { &_IOW(ord(\'V\'), 14, \'int\');}' unless defined(&VIDIOC_OVERLAY);
    eval 'sub VIDIOC_QBUF () { &_IOWR(ord(\'V\'), 15, \'struct v4l2_buffer\');}' unless defined(&VIDIOC_QBUF);
    eval 'sub VIDIOC_EXPBUF () { &_IOWR(ord(\'V\'), 16, \'struct v4l2_exportbuffer\');}' unless defined(&VIDIOC_EXPBUF);
    eval 'sub VIDIOC_DQBUF () { &_IOWR(ord(\'V\'), 17, \'struct v4l2_buffer\');}' unless defined(&VIDIOC_DQBUF);
    eval 'sub VIDIOC_STREAMON () { &_IOW(ord(\'V\'), 18, \'int\');}' unless defined(&VIDIOC_STREAMON);
    eval 'sub VIDIOC_STREAMOFF () { &_IOW(ord(\'V\'), 19, \'int\');}' unless defined(&VIDIOC_STREAMOFF);
    eval 'sub VIDIOC_G_PARM () { &_IOWR(ord(\'V\'), 21, \'struct v4l2_streamparm\');}' unless defined(&VIDIOC_G_PARM);
    eval 'sub VIDIOC_S_PARM () { &_IOWR(ord(\'V\'), 22, \'struct v4l2_streamparm\');}' unless defined(&VIDIOC_S_PARM);
    eval 'sub VIDIOC_G_STD () { &_IOR(ord(\'V\'), 23,  &v4l2_std_id);}' unless defined(&VIDIOC_G_STD);
    eval 'sub VIDIOC_S_STD () { &_IOW(ord(\'V\'), 24,  &v4l2_std_id);}' unless defined(&VIDIOC_S_STD);
    eval 'sub VIDIOC_ENUMSTD () { &_IOWR(ord(\'V\'), 25, \'struct v4l2_standard\');}' unless defined(&VIDIOC_ENUMSTD);
    eval 'sub VIDIOC_ENUMINPUT () { &_IOWR(ord(\'V\'), 26, \'struct v4l2_input\');}' unless defined(&VIDIOC_ENUMINPUT);
    eval 'sub VIDIOC_G_CTRL () { &_IOWR(ord(\'V\'), 27, \'struct v4l2_control\');}' unless defined(&VIDIOC_G_CTRL);
    eval 'sub VIDIOC_S_CTRL () { &_IOWR(ord(\'V\'), 28, \'struct v4l2_control\');}' unless defined(&VIDIOC_S_CTRL);
    eval 'sub VIDIOC_G_TUNER () { &_IOWR(ord(\'V\'), 29, \'struct v4l2_tuner\');}' unless defined(&VIDIOC_G_TUNER);
    eval 'sub VIDIOC_S_TUNER () { &_IOW(ord(\'V\'), 30, \'struct v4l2_tuner\');}' unless defined(&VIDIOC_S_TUNER);
    eval 'sub VIDIOC_G_AUDIO () { &_IOR(ord(\'V\'), 33, \'struct v4l2_audio\');}' unless defined(&VIDIOC_G_AUDIO);
    eval 'sub VIDIOC_S_AUDIO () { &_IOW(ord(\'V\'), 34, \'struct v4l2_audio\');}' unless defined(&VIDIOC_S_AUDIO);
    eval 'sub VIDIOC_QUERYCTRL () { &_IOWR(ord(\'V\'), 36, \'struct v4l2_queryctrl\');}' unless defined(&VIDIOC_QUERYCTRL);
    eval 'sub VIDIOC_QUERYMENU () { &_IOWR(ord(\'V\'), 37, \'struct v4l2_querymenu\');}' unless defined(&VIDIOC_QUERYMENU);
    eval 'sub VIDIOC_G_INPUT () { &_IOR(ord(\'V\'), 38, \'int\');}' unless defined(&VIDIOC_G_INPUT);
    eval 'sub VIDIOC_S_INPUT () { &_IOWR(ord(\'V\'), 39, \'int\');}' unless defined(&VIDIOC_S_INPUT);
    eval 'sub VIDIOC_G_EDID () { &_IOWR(ord(\'V\'), 40, \'struct v4l2_edid\');}' unless defined(&VIDIOC_G_EDID);
    eval 'sub VIDIOC_S_EDID () { &_IOWR(ord(\'V\'), 41, \'struct v4l2_edid\');}' unless defined(&VIDIOC_S_EDID);
    eval 'sub VIDIOC_G_OUTPUT () { &_IOR(ord(\'V\'), 46, \'int\');}' unless defined(&VIDIOC_G_OUTPUT);
    eval 'sub VIDIOC_S_OUTPUT () { &_IOWR(ord(\'V\'), 47, \'int\');}' unless defined(&VIDIOC_S_OUTPUT);
    eval 'sub VIDIOC_ENUMOUTPUT () { &_IOWR(ord(\'V\'), 48, \'struct v4l2_output\');}' unless defined(&VIDIOC_ENUMOUTPUT);
    eval 'sub VIDIOC_G_AUDOUT () { &_IOR(ord(\'V\'), 49, \'struct v4l2_audioout\');}' unless defined(&VIDIOC_G_AUDOUT);
    eval 'sub VIDIOC_S_AUDOUT () { &_IOW(ord(\'V\'), 50, \'struct v4l2_audioout\');}' unless defined(&VIDIOC_S_AUDOUT);
    eval 'sub VIDIOC_G_MODULATOR () { &_IOWR(ord(\'V\'), 54, \'struct v4l2_modulator\');}' unless defined(&VIDIOC_G_MODULATOR);
    eval 'sub VIDIOC_S_MODULATOR () { &_IOW(ord(\'V\'), 55, \'struct v4l2_modulator\');}' unless defined(&VIDIOC_S_MODULATOR);
    eval 'sub VIDIOC_G_FREQUENCY () { &_IOWR(ord(\'V\'), 56, \'struct v4l2_frequency\');}' unless defined(&VIDIOC_G_FREQUENCY);
    eval 'sub VIDIOC_S_FREQUENCY () { &_IOW(ord(\'V\'), 57, \'struct v4l2_frequency\');}' unless defined(&VIDIOC_S_FREQUENCY);
    eval 'sub VIDIOC_CROPCAP () { &_IOWR(ord(\'V\'), 58, \'struct v4l2_cropcap\');}' unless defined(&VIDIOC_CROPCAP);
    eval 'sub VIDIOC_G_CROP () { &_IOWR(ord(\'V\'), 59, \'struct v4l2_crop\');}' unless defined(&VIDIOC_G_CROP);
    eval 'sub VIDIOC_S_CROP () { &_IOW(ord(\'V\'), 60, \'struct v4l2_crop\');}' unless defined(&VIDIOC_S_CROP);
    eval 'sub VIDIOC_G_JPEGCOMP () { &_IOR(ord(\'V\'), 61, \'struct v4l2_jpegcompression\');}' unless defined(&VIDIOC_G_JPEGCOMP);
    eval 'sub VIDIOC_S_JPEGCOMP () { &_IOW(ord(\'V\'), 62, \'struct v4l2_jpegcompression\');}' unless defined(&VIDIOC_S_JPEGCOMP);
    eval 'sub VIDIOC_QUERYSTD () { &_IOR(ord(\'V\'), 63,  &v4l2_std_id);}' unless defined(&VIDIOC_QUERYSTD);
    eval 'sub VIDIOC_TRY_FMT () { &_IOWR(ord(\'V\'), 64, \'struct v4l2_format\');}' unless defined(&VIDIOC_TRY_FMT);
    eval 'sub VIDIOC_ENUMAUDIO () { &_IOWR(ord(\'V\'), 65, \'struct v4l2_audio\');}' unless defined(&VIDIOC_ENUMAUDIO);
    eval 'sub VIDIOC_ENUMAUDOUT () { &_IOWR(ord(\'V\'), 66, \'struct v4l2_audioout\');}' unless defined(&VIDIOC_ENUMAUDOUT);
    eval 'sub VIDIOC_G_PRIORITY () { &_IOR(ord(\'V\'), 67,  &__u32);}' unless defined(&VIDIOC_G_PRIORITY);
    eval 'sub VIDIOC_S_PRIORITY () { &_IOW(ord(\'V\'), 68,  &__u32);}' unless defined(&VIDIOC_S_PRIORITY);
    eval 'sub VIDIOC_G_SLICED_VBI_CAP () { &_IOWR(ord(\'V\'), 69, \'struct v4l2_sliced_vbi_cap\');}' unless defined(&VIDIOC_G_SLICED_VBI_CAP);
    eval 'sub VIDIOC_LOG_STATUS () { &_IO(ord(\'V\'), 70);}' unless defined(&VIDIOC_LOG_STATUS);
    eval 'sub VIDIOC_G_EXT_CTRLS () { &_IOWR(ord(\'V\'), 71, \'struct v4l2_ext_controls\');}' unless defined(&VIDIOC_G_EXT_CTRLS);
    eval 'sub VIDIOC_S_EXT_CTRLS () { &_IOWR(ord(\'V\'), 72, \'struct v4l2_ext_controls\');}' unless defined(&VIDIOC_S_EXT_CTRLS);
    eval 'sub VIDIOC_TRY_EXT_CTRLS () { &_IOWR(ord(\'V\'), 73, \'struct v4l2_ext_controls\');}' unless defined(&VIDIOC_TRY_EXT_CTRLS);
    eval 'sub VIDIOC_ENUM_FRAMESIZES () { &_IOWR(ord(\'V\'), 74, \'struct v4l2_frmsizeenum\');}' unless defined(&VIDIOC_ENUM_FRAMESIZES);
    eval 'sub VIDIOC_ENUM_FRAMEINTERVALS () { &_IOWR(ord(\'V\'), 75, \'struct v4l2_frmivalenum\');}' unless defined(&VIDIOC_ENUM_FRAMEINTERVALS);
    eval 'sub VIDIOC_G_ENC_INDEX () { &_IOR(ord(\'V\'), 76, \'struct v4l2_enc_idx\');}' unless defined(&VIDIOC_G_ENC_INDEX);
    eval 'sub VIDIOC_ENCODER_CMD () { &_IOWR(ord(\'V\'), 77, \'struct v4l2_encoder_cmd\');}' unless defined(&VIDIOC_ENCODER_CMD);
    eval 'sub VIDIOC_TRY_ENCODER_CMD () { &_IOWR(ord(\'V\'), 78, \'struct v4l2_encoder_cmd\');}' unless defined(&VIDIOC_TRY_ENCODER_CMD);
    eval 'sub VIDIOC_DBG_S_REGISTER () { &_IOW(ord(\'V\'), 79, \'struct v4l2_dbg_register\');}' unless defined(&VIDIOC_DBG_S_REGISTER);
    eval 'sub VIDIOC_DBG_G_REGISTER () { &_IOWR(ord(\'V\'), 80, \'struct v4l2_dbg_register\');}' unless defined(&VIDIOC_DBG_G_REGISTER);
    eval 'sub VIDIOC_S_HW_FREQ_SEEK () { &_IOW(ord(\'V\'), 82, \'struct v4l2_hw_freq_seek\');}' unless defined(&VIDIOC_S_HW_FREQ_SEEK);
    eval 'sub VIDIOC_S_DV_TIMINGS () { &_IOWR(ord(\'V\'), 87, \'struct v4l2_dv_timings\');}' unless defined(&VIDIOC_S_DV_TIMINGS);
    eval 'sub VIDIOC_G_DV_TIMINGS () { &_IOWR(ord(\'V\'), 88, \'struct v4l2_dv_timings\');}' unless defined(&VIDIOC_G_DV_TIMINGS);
    eval 'sub VIDIOC_DQEVENT () { &_IOR(ord(\'V\'), 89, \'struct v4l2_event\');}' unless defined(&VIDIOC_DQEVENT);
    eval 'sub VIDIOC_SUBSCRIBE_EVENT () { &_IOW(ord(\'V\'), 90, \'struct v4l2_event_subscription\');}' unless defined(&VIDIOC_SUBSCRIBE_EVENT);
    eval 'sub VIDIOC_UNSUBSCRIBE_EVENT () { &_IOW(ord(\'V\'), 91, \'struct v4l2_event_subscription\');}' unless defined(&VIDIOC_UNSUBSCRIBE_EVENT);
    eval 'sub VIDIOC_CREATE_BUFS () { &_IOWR(ord(\'V\'), 92, \'struct v4l2_create_buffers\');}' unless defined(&VIDIOC_CREATE_BUFS);
    eval 'sub VIDIOC_PREPARE_BUF () { &_IOWR(ord(\'V\'), 93, \'struct v4l2_buffer\');}' unless defined(&VIDIOC_PREPARE_BUF);
    eval 'sub VIDIOC_G_SELECTION () { &_IOWR(ord(\'V\'), 94, \'struct v4l2_selection\');}' unless defined(&VIDIOC_G_SELECTION);
    eval 'sub VIDIOC_S_SELECTION () { &_IOWR(ord(\'V\'), 95, \'struct v4l2_selection\');}' unless defined(&VIDIOC_S_SELECTION);
    eval 'sub VIDIOC_DECODER_CMD () { &_IOWR(ord(\'V\'), 96, \'struct v4l2_decoder_cmd\');}' unless defined(&VIDIOC_DECODER_CMD);
    eval 'sub VIDIOC_TRY_DECODER_CMD () { &_IOWR(ord(\'V\'), 97, \'struct v4l2_decoder_cmd\');}' unless defined(&VIDIOC_TRY_DECODER_CMD);
    eval 'sub VIDIOC_ENUM_DV_TIMINGS () { &_IOWR(ord(\'V\'), 98, \'struct v4l2_enum_dv_timings\');}' unless defined(&VIDIOC_ENUM_DV_TIMINGS);
    eval 'sub VIDIOC_QUERY_DV_TIMINGS () { &_IOR(ord(\'V\'), 99, \'struct v4l2_dv_timings\');}' unless defined(&VIDIOC_QUERY_DV_TIMINGS);
    eval 'sub VIDIOC_DV_TIMINGS_CAP () { &_IOWR(ord(\'V\'), 100, \'struct v4l2_dv_timings_cap\');}' unless defined(&VIDIOC_DV_TIMINGS_CAP);
    eval 'sub VIDIOC_ENUM_FREQ_BANDS () { &_IOWR(ord(\'V\'), 101, \'struct v4l2_frequency_band\');}' unless defined(&VIDIOC_ENUM_FREQ_BANDS);
    eval 'sub VIDIOC_DBG_G_CHIP_INFO () { &_IOWR(ord(\'V\'), 102, \'struct v4l2_dbg_chip_info\');}' unless defined(&VIDIOC_DBG_G_CHIP_INFO);
    eval 'sub VIDIOC_QUERY_EXT_CTRL () { &_IOWR(ord(\'V\'), 103, \'struct v4l2_query_ext_ctrl\');}' unless defined(&VIDIOC_QUERY_EXT_CTRL);
    eval 'sub BASE_VIDIOC_PRIVATE () {192;}' unless defined(&BASE_VIDIOC_PRIVATE);
    eval 'sub V4L2_PIX_FMT_HM12 () { &V4L2_PIX_FMT_NV12_16L16;}' unless defined(&V4L2_PIX_FMT_HM12);
    eval 'sub V4L2_PIX_FMT_SUNXI_TILED_NV12 () { &V4L2_PIX_FMT_NV12_32L32;}' unless defined(&V4L2_PIX_FMT_SUNXI_TILED_NV12);
    eval 'sub V4L2_CAP_ASYNCIO () {0x2000000;}' unless defined(&V4L2_CAP_ASYNCIO);
}
1;
