require '_h2ph_pre.ph';

no warnings qw(redefine misc);

unless(defined(&_LINUX_USERFAULTFD_H)) {
    eval 'sub _LINUX_USERFAULTFD_H () {1;}' unless defined(&_LINUX_USERFAULTFD_H);
    require 'linux/types.ph';
    eval 'sub USERFAULTFD_IOC () {0xaa;}' unless defined(&USERFAULTFD_IOC);
    eval 'sub USERFAULTFD_IOC_NEW () { &_IO( &USERFAULTFD_IOC, 0x);}' unless defined(&USERFAULTFD_IOC_NEW);
    eval 'sub UFFD_API () {(( &__u64)0xaa);}' unless defined(&UFFD_API);
    eval 'sub UFFD_API_REGISTER_MODES () {( &UFFDIO_REGISTER_MODE_MISSING |  &UFFDIO_REGISTER_MODE_WP |  &UFFDIO_REGISTER_MODE_MINOR);}' unless defined(&UFFD_API_REGISTER_MODES);
    eval 'sub UFFD_API_FEATURES () {( &UFFD_FEATURE_PAGEFAULT_FLAG_WP |  &UFFD_FEATURE_EVENT_FORK |  &UFFD_FEATURE_EVENT_REMAP |  &UFFD_FEATURE_EVENT_REMOVE |  &UFFD_FEATURE_EVENT_UNMAP |  &UFFD_FEATURE_MISSING_HUGETLBFS |  &UFFD_FEATURE_MISSING_SHMEM |  &UFFD_FEATURE_SIGBUS |  &UFFD_FEATURE_THREAD_ID |  &UFFD_FEATURE_MINOR_HUGETLBFS |  &UFFD_FEATURE_MINOR_SHMEM |  &UFFD_FEATURE_EXACT_ADDRESS |  &UFFD_FEATURE_WP_HUGETLBFS_SHMEM);}' unless defined(&UFFD_API_FEATURES);
    eval 'sub UFFD_API_IOCTLS () {(( &__u64)1<<  &_UFFDIO_REGISTER | ( &__u64)1<<  &_UFFDIO_UNREGISTER | ( &__u64)1<<  &_UFFDIO_API);}' unless defined(&UFFD_API_IOCTLS);
    eval 'sub UFFD_API_RANGE_IOCTLS () {(( &__u64)1<<  &_UFFDIO_WAKE | ( &__u64)1<<  &_UFFDIO_COPY | ( &__u64)1<<  &_UFFDIO_ZEROPAGE | ( &__u64)1<<  &_UFFDIO_WRITEPROTECT | ( &__u64)1<<  &_UFFDIO_CONTINUE);}' unless defined(&UFFD_API_RANGE_IOCTLS);
    eval 'sub UFFD_API_RANGE_IOCTLS_BASIC () {(( &__u64)1<<  &_UFFDIO_WAKE | ( &__u64)1<<  &_UFFDIO_COPY | ( &__u64)1<<  &_UFFDIO_CONTINUE | ( &__u64)1<<  &_UFFDIO_WRITEPROTECT);}' unless defined(&UFFD_API_RANGE_IOCTLS_BASIC);
    eval 'sub _UFFDIO_REGISTER () {(0x);}' unless defined(&_UFFDIO_REGISTER);
    eval 'sub _UFFDIO_UNREGISTER () {(0x1);}' unless defined(&_UFFDIO_UNREGISTER);
    eval 'sub _UFFDIO_WAKE () {(0x2);}' unless defined(&_UFFDIO_WAKE);
    eval 'sub _UFFDIO_COPY () {(0x3);}' unless defined(&_UFFDIO_COPY);
    eval 'sub _UFFDIO_ZEROPAGE () {(0x4);}' unless defined(&_UFFDIO_ZEROPAGE);
    eval 'sub _UFFDIO_WRITEPROTECT () {(0x6);}' unless defined(&_UFFDIO_WRITEPROTECT);
    eval 'sub _UFFDIO_CONTINUE () {(0x7);}' unless defined(&_UFFDIO_CONTINUE);
    eval 'sub _UFFDIO_API () {(0x3f);}' unless defined(&_UFFDIO_API);
    eval 'sub UFFDIO () {0xaa;}' unless defined(&UFFDIO);
    eval 'sub UFFDIO_API () { &_IOWR( &UFFDIO,  &_UFFDIO_API, \'struct uffdio_api\');}' unless defined(&UFFDIO_API);
    eval 'sub UFFDIO_REGISTER () { &_IOWR( &UFFDIO,  &_UFFDIO_REGISTER, \'struct uffdio_register\');}' unless defined(&UFFDIO_REGISTER);
    eval 'sub UFFDIO_UNREGISTER () { &_IOR( &UFFDIO,  &_UFFDIO_UNREGISTER, \'struct uffdio_range\');}' unless defined(&UFFDIO_UNREGISTER);
    eval 'sub UFFDIO_WAKE () { &_IOR( &UFFDIO,  &_UFFDIO_WAKE, \'struct uffdio_range\');}' unless defined(&UFFDIO_WAKE);
    eval 'sub UFFDIO_COPY () { &_IOWR( &UFFDIO,  &_UFFDIO_COPY, \'struct uffdio_copy\');}' unless defined(&UFFDIO_COPY);
    eval 'sub UFFDIO_ZEROPAGE () { &_IOWR( &UFFDIO,  &_UFFDIO_ZEROPAGE, \'struct uffdio_zeropage\');}' unless defined(&UFFDIO_ZEROPAGE);
    eval 'sub UFFDIO_WRITEPROTECT () { &_IOWR( &UFFDIO,  &_UFFDIO_WRITEPROTECT, \'struct uffdio_writeprotect\');}' unless defined(&UFFDIO_WRITEPROTECT);
    eval 'sub UFFDIO_CONTINUE () { &_IOWR( &UFFDIO,  &_UFFDIO_CONTINUE, \'struct uffdio_continue\');}' unless defined(&UFFDIO_CONTINUE);
    eval 'sub UFFD_EVENT_PAGEFAULT () {0x12;}' unless defined(&UFFD_EVENT_PAGEFAULT);
    eval 'sub UFFD_EVENT_FORK () {0x13;}' unless defined(&UFFD_EVENT_FORK);
    eval 'sub UFFD_EVENT_REMAP () {0x14;}' unless defined(&UFFD_EVENT_REMAP);
    eval 'sub UFFD_EVENT_REMOVE () {0x15;}' unless defined(&UFFD_EVENT_REMOVE);
    eval 'sub UFFD_EVENT_UNMAP () {0x16;}' unless defined(&UFFD_EVENT_UNMAP);
    eval 'sub UFFD_PAGEFAULT_FLAG_WRITE () {(1<<0);}' unless defined(&UFFD_PAGEFAULT_FLAG_WRITE);
    eval 'sub UFFD_PAGEFAULT_FLAG_WP () {(1<<1);}' unless defined(&UFFD_PAGEFAULT_FLAG_WP);
    eval 'sub UFFD_PAGEFAULT_FLAG_MINOR () {(1<<2);}' unless defined(&UFFD_PAGEFAULT_FLAG_MINOR);
    eval 'sub UFFD_FEATURE_PAGEFAULT_FLAG_WP () {(1<<0);}' unless defined(&UFFD_FEATURE_PAGEFAULT_FLAG_WP);
    eval 'sub UFFD_FEATURE_EVENT_FORK () {(1<<1);}' unless defined(&UFFD_FEATURE_EVENT_FORK);
    eval 'sub UFFD_FEATURE_EVENT_REMAP () {(1<<2);}' unless defined(&UFFD_FEATURE_EVENT_REMAP);
    eval 'sub UFFD_FEATURE_EVENT_REMOVE () {(1<<3);}' unless defined(&UFFD_FEATURE_EVENT_REMOVE);
    eval 'sub UFFD_FEATURE_MISSING_HUGETLBFS () {(1<<4);}' unless defined(&UFFD_FEATURE_MISSING_HUGETLBFS);
    eval 'sub UFFD_FEATURE_MISSING_SHMEM () {(1<<5);}' unless defined(&UFFD_FEATURE_MISSING_SHMEM);
    eval 'sub UFFD_FEATURE_EVENT_UNMAP () {(1<<6);}' unless defined(&UFFD_FEATURE_EVENT_UNMAP);
    eval 'sub UFFD_FEATURE_SIGBUS () {(1<<7);}' unless defined(&UFFD_FEATURE_SIGBUS);
    eval 'sub UFFD_FEATURE_THREAD_ID () {(1<<8);}' unless defined(&UFFD_FEATURE_THREAD_ID);
    eval 'sub UFFD_FEATURE_MINOR_HUGETLBFS () {(1<<9);}' unless defined(&UFFD_FEATURE_MINOR_HUGETLBFS);
    eval 'sub UFFD_FEATURE_MINOR_SHMEM () {(1<<10);}' unless defined(&UFFD_FEATURE_MINOR_SHMEM);
    eval 'sub UFFD_FEATURE_EXACT_ADDRESS () {(1<<11);}' unless defined(&UFFD_FEATURE_EXACT_ADDRESS);
    eval 'sub UFFD_FEATURE_WP_HUGETLBFS_SHMEM () {(1<<12);}' unless defined(&UFFD_FEATURE_WP_HUGETLBFS_SHMEM);
    eval 'sub UFFDIO_REGISTER_MODE_MISSING () {(( &__u64)1<<0);}' unless defined(&UFFDIO_REGISTER_MODE_MISSING);
    eval 'sub UFFDIO_REGISTER_MODE_WP () {(( &__u64)1<<1);}' unless defined(&UFFDIO_REGISTER_MODE_WP);
    eval 'sub UFFDIO_REGISTER_MODE_MINOR () {(( &__u64)1<<2);}' unless defined(&UFFDIO_REGISTER_MODE_MINOR);
    eval 'sub UFFDIO_COPY_MODE_DONTWAKE () {(( &__u64)1<<0);}' unless defined(&UFFDIO_COPY_MODE_DONTWAKE);
    eval 'sub UFFDIO_COPY_MODE_WP () {(( &__u64)1<<1);}' unless defined(&UFFDIO_COPY_MODE_WP);
    eval 'sub UFFDIO_ZEROPAGE_MODE_DONTWAKE () {(( &__u64)1<<0);}' unless defined(&UFFDIO_ZEROPAGE_MODE_DONTWAKE);
    eval 'sub UFFDIO_WRITEPROTECT_MODE_WP () {(( &__u64)1<<0);}' unless defined(&UFFDIO_WRITEPROTECT_MODE_WP);
    eval 'sub UFFDIO_WRITEPROTECT_MODE_DONTWAKE () {(( &__u64)1<<1);}' unless defined(&UFFDIO_WRITEPROTECT_MODE_DONTWAKE);
    eval 'sub UFFDIO_CONTINUE_MODE_DONTWAKE () {(( &__u64)1<<0);}' unless defined(&UFFDIO_CONTINUE_MODE_DONTWAKE);
    eval 'sub UFFD_USER_MODE_ONLY () {1;}' unless defined(&UFFD_USER_MODE_ONLY);
}
1;
