require '_h2ph_pre.ph';

no warnings qw(redefine misc);

unless(defined(&__LINUX_V4L2_SUBDEV_H)) {
    eval 'sub __LINUX_V4L2_SUBDEV_H () {1;}' unless defined(&__LINUX_V4L2_SUBDEV_H);
    require 'linux/const.ph';
    require 'linux/ioctl.ph';
    require 'linux/types.ph';
    require 'linux/v4l2-common.ph';
    require 'linux/v4l2-mediabus.ph';
    eval("sub V4L2_SUBDEV_FORMAT_TRY () { 0; }") unless defined(&V4L2_SUBDEV_FORMAT_TRY);
    eval("sub V4L2_SUBDEV_FORMAT_ACTIVE () { 1; }") unless defined(&V4L2_SUBDEV_FORMAT_ACTIVE);
    eval 'sub V4L2_SUBDEV_MBUS_CODE_CSC_COLORSPACE () {0x1;}' unless defined(&V4L2_SUBDEV_MBUS_CODE_CSC_COLORSPACE);
    eval 'sub V4L2_SUBDEV_MBUS_CODE_CSC_XFER_FUNC () {0x2;}' unless defined(&V4L2_SUBDEV_MBUS_CODE_CSC_XFER_FUNC);
    eval 'sub V4L2_SUBDEV_MBUS_CODE_CSC_YCBCR_ENC () {0x4;}' unless defined(&V4L2_SUBDEV_MBUS_CODE_CSC_YCBCR_ENC);
    eval 'sub V4L2_SUBDEV_MBUS_CODE_CSC_HSV_ENC () { &V4L2_SUBDEV_MBUS_CODE_CSC_YCBCR_ENC;}' unless defined(&V4L2_SUBDEV_MBUS_CODE_CSC_HSV_ENC);
    eval 'sub V4L2_SUBDEV_MBUS_CODE_CSC_QUANTIZATION () {0x8;}' unless defined(&V4L2_SUBDEV_MBUS_CODE_CSC_QUANTIZATION);
    eval 'sub V4L2_SUBDEV_CAP_RO_SUBDEV () {0x1;}' unless defined(&V4L2_SUBDEV_CAP_RO_SUBDEV);
    eval 'sub V4L2_SUBDEV_CAP_STREAMS () {0x2;}' unless defined(&V4L2_SUBDEV_CAP_STREAMS);
    eval 'sub V4L2_SUBDEV_ROUTE_FL_ACTIVE () {(1 << 0);}' unless defined(&V4L2_SUBDEV_ROUTE_FL_ACTIVE);
    eval 'sub v4l2_subdev_edid () { &v4l2_edid;}' unless defined(&v4l2_subdev_edid);
    eval 'sub VIDIOC_SUBDEV_QUERYCAP () { &_IOR(ord(\'V\'), 0, \'struct v4l2_subdev_capability\');}' unless defined(&VIDIOC_SUBDEV_QUERYCAP);
    eval 'sub VIDIOC_SUBDEV_G_FMT () { &_IOWR(ord(\'V\'), 4, \'struct v4l2_subdev_format\');}' unless defined(&VIDIOC_SUBDEV_G_FMT);
    eval 'sub VIDIOC_SUBDEV_S_FMT () { &_IOWR(ord(\'V\'), 5, \'struct v4l2_subdev_format\');}' unless defined(&VIDIOC_SUBDEV_S_FMT);
    eval 'sub VIDIOC_SUBDEV_G_FRAME_INTERVAL () { &_IOWR(ord(\'V\'), 21, \'struct v4l2_subdev_frame_interval\');}' unless defined(&VIDIOC_SUBDEV_G_FRAME_INTERVAL);
    eval 'sub VIDIOC_SUBDEV_S_FRAME_INTERVAL () { &_IOWR(ord(\'V\'), 22, \'struct v4l2_subdev_frame_interval\');}' unless defined(&VIDIOC_SUBDEV_S_FRAME_INTERVAL);
    eval 'sub VIDIOC_SUBDEV_ENUM_MBUS_CODE () { &_IOWR(ord(\'V\'), 2, \'struct v4l2_subdev_mbus_code_enum\');}' unless defined(&VIDIOC_SUBDEV_ENUM_MBUS_CODE);
    eval 'sub VIDIOC_SUBDEV_ENUM_FRAME_SIZE () { &_IOWR(ord(\'V\'), 74, \'struct v4l2_subdev_frame_size_enum\');}' unless defined(&VIDIOC_SUBDEV_ENUM_FRAME_SIZE);
    eval 'sub VIDIOC_SUBDEV_ENUM_FRAME_INTERVAL () { &_IOWR(ord(\'V\'), 75, \'struct v4l2_subdev_frame_interval_enum\');}' unless defined(&VIDIOC_SUBDEV_ENUM_FRAME_INTERVAL);
    eval 'sub VIDIOC_SUBDEV_G_CROP () { &_IOWR(ord(\'V\'), 59, \'struct v4l2_subdev_crop\');}' unless defined(&VIDIOC_SUBDEV_G_CROP);
    eval 'sub VIDIOC_SUBDEV_S_CROP () { &_IOWR(ord(\'V\'), 60, \'struct v4l2_subdev_crop\');}' unless defined(&VIDIOC_SUBDEV_S_CROP);
    eval 'sub VIDIOC_SUBDEV_G_SELECTION () { &_IOWR(ord(\'V\'), 61, \'struct v4l2_subdev_selection\');}' unless defined(&VIDIOC_SUBDEV_G_SELECTION);
    eval 'sub VIDIOC_SUBDEV_S_SELECTION () { &_IOWR(ord(\'V\'), 62, \'struct v4l2_subdev_selection\');}' unless defined(&VIDIOC_SUBDEV_S_SELECTION);
    eval 'sub VIDIOC_SUBDEV_G_ROUTING () { &_IOWR(ord(\'V\'), 38, \'struct v4l2_subdev_routing\');}' unless defined(&VIDIOC_SUBDEV_G_ROUTING);
    eval 'sub VIDIOC_SUBDEV_S_ROUTING () { &_IOWR(ord(\'V\'), 39, \'struct v4l2_subdev_routing\');}' unless defined(&VIDIOC_SUBDEV_S_ROUTING);
    eval 'sub VIDIOC_SUBDEV_G_STD () { &_IOR(ord(\'V\'), 23,  &v4l2_std_id);}' unless defined(&VIDIOC_SUBDEV_G_STD);
    eval 'sub VIDIOC_SUBDEV_S_STD () { &_IOW(ord(\'V\'), 24,  &v4l2_std_id);}' unless defined(&VIDIOC_SUBDEV_S_STD);
    eval 'sub VIDIOC_SUBDEV_ENUMSTD () { &_IOWR(ord(\'V\'), 25, \'struct v4l2_standard\');}' unless defined(&VIDIOC_SUBDEV_ENUMSTD);
    eval 'sub VIDIOC_SUBDEV_G_EDID () { &_IOWR(ord(\'V\'), 40, \'struct v4l2_edid\');}' unless defined(&VIDIOC_SUBDEV_G_EDID);
    eval 'sub VIDIOC_SUBDEV_S_EDID () { &_IOWR(ord(\'V\'), 41, \'struct v4l2_edid\');}' unless defined(&VIDIOC_SUBDEV_S_EDID);
    eval 'sub VIDIOC_SUBDEV_QUERYSTD () { &_IOR(ord(\'V\'), 63,  &v4l2_std_id);}' unless defined(&VIDIOC_SUBDEV_QUERYSTD);
    eval 'sub VIDIOC_SUBDEV_S_DV_TIMINGS () { &_IOWR(ord(\'V\'), 87, \'struct v4l2_dv_timings\');}' unless defined(&VIDIOC_SUBDEV_S_DV_TIMINGS);
    eval 'sub VIDIOC_SUBDEV_G_DV_TIMINGS () { &_IOWR(ord(\'V\'), 88, \'struct v4l2_dv_timings\');}' unless defined(&VIDIOC_SUBDEV_G_DV_TIMINGS);
    eval 'sub VIDIOC_SUBDEV_ENUM_DV_TIMINGS () { &_IOWR(ord(\'V\'), 98, \'struct v4l2_enum_dv_timings\');}' unless defined(&VIDIOC_SUBDEV_ENUM_DV_TIMINGS);
    eval 'sub VIDIOC_SUBDEV_QUERY_DV_TIMINGS () { &_IOR(ord(\'V\'), 99, \'struct v4l2_dv_timings\');}' unless defined(&VIDIOC_SUBDEV_QUERY_DV_TIMINGS);
    eval 'sub VIDIOC_SUBDEV_DV_TIMINGS_CAP () { &_IOWR(ord(\'V\'), 100, \'struct v4l2_dv_timings_cap\');}' unless defined(&VIDIOC_SUBDEV_DV_TIMINGS_CAP);
}
1;
