require '_h2ph_pre.ph';

no warnings qw(redefine misc);

unless(defined(&_NETINET_IN_H)) {
    eval 'sub _NETINET_IN_H () {1;}' unless defined(&_NETINET_IN_H);
    require 'features.ph';
    require 'bits/stdint-uintn.ph';
    require 'sys/socket.ph';
    require 'bits/types.ph';
    require 'bits/in.ph';
    eval("sub IPPROTO_IP () { 0; }") unless defined(&IPPROTO_IP);
    eval("sub IPPROTO_ICMP () { 1; }") unless defined(&IPPROTO_ICMP);
    eval("sub IPPROTO_IGMP () { 2; }") unless defined(&IPPROTO_IGMP);
    eval("sub IPPROTO_IPIP () { 4; }") unless defined(&IPPROTO_IPIP);
    eval("sub IPPROTO_TCP () { 6; }") unless defined(&IPPROTO_TCP);
    eval("sub IPPROTO_EGP () { 8; }") unless defined(&IPPROTO_EGP);
    eval("sub IPPROTO_PUP () { 12; }") unless defined(&IPPROTO_PUP);
    eval("sub IPPROTO_UDP () { 17; }") unless defined(&IPPROTO_UDP);
    eval("sub IPPROTO_IDP () { 22; }") unless defined(&IPPROTO_IDP);
    eval("sub IPPROTO_TP () { 29; }") unless defined(&IPPROTO_TP);
    eval("sub IPPROTO_DCCP () { 33; }") unless defined(&IPPROTO_DCCP);
    eval("sub IPPROTO_IPV6 () { 41; }") unless defined(&IPPROTO_IPV6);
    eval("sub IPPROTO_RSVP () { 46; }") unless defined(&IPPROTO_RSVP);
    eval("sub IPPROTO_GRE () { 47; }") unless defined(&IPPROTO_GRE);
    eval("sub IPPROTO_ESP () { 50; }") unless defined(&IPPROTO_ESP);
    eval("sub IPPROTO_AH () { 51; }") unless defined(&IPPROTO_AH);
    eval("sub IPPROTO_MTP () { 92; }") unless defined(&IPPROTO_MTP);
    eval("sub IPPROTO_BEETPH () { 94; }") unless defined(&IPPROTO_BEETPH);
    eval("sub IPPROTO_ENCAP () { 98; }") unless defined(&IPPROTO_ENCAP);
    eval("sub IPPROTO_PIM () { 103; }") unless defined(&IPPROTO_PIM);
    eval("sub IPPROTO_COMP () { 108; }") unless defined(&IPPROTO_COMP);
    eval("sub IPPROTO_L2TP () { 115; }") unless defined(&IPPROTO_L2TP);
    eval("sub IPPROTO_SCTP () { 132; }") unless defined(&IPPROTO_SCTP);
    eval("sub IPPROTO_UDPLITE () { 136; }") unless defined(&IPPROTO_UDPLITE);
    eval("sub IPPROTO_MPLS () { 137; }") unless defined(&IPPROTO_MPLS);
    eval("sub IPPROTO_ETHERNET () { 143; }") unless defined(&IPPROTO_ETHERNET);
    eval("sub IPPROTO_RAW () { 255; }") unless defined(&IPPROTO_RAW);
    eval("sub IPPROTO_MPTCP () { 262; }") unless defined(&IPPROTO_MPTCP);
    eval("sub IPPROTO_MAX () { 263; }") unless defined(&IPPROTO_MAX);
    if(!(defined(&__USE_KERNEL_IPV6_DEFS) ? &__USE_KERNEL_IPV6_DEFS : undef)) {
	eval("sub IPPROTO_HOPOPTS () { 0; }") unless defined(&IPPROTO_HOPOPTS);
	eval("sub IPPROTO_ROUTING () { 43; }") unless defined(&IPPROTO_ROUTING);
	eval("sub IPPROTO_FRAGMENT () { 44; }") unless defined(&IPPROTO_FRAGMENT);
	eval("sub IPPROTO_ICMPV6 () { 58; }") unless defined(&IPPROTO_ICMPV6);
	eval("sub IPPROTO_NONE () { 59; }") unless defined(&IPPROTO_NONE);
	eval("sub IPPROTO_DSTOPTS () { 60; }") unless defined(&IPPROTO_DSTOPTS);
	eval("sub IPPROTO_MH () { 135; }") unless defined(&IPPROTO_MH);
    }
    eval("sub IPPORT_ECHO () { 7; }") unless defined(&IPPORT_ECHO);
    eval("sub IPPORT_DISCARD () { 9; }") unless defined(&IPPORT_DISCARD);
    eval("sub IPPORT_SYSTAT () { 11; }") unless defined(&IPPORT_SYSTAT);
    eval("sub IPPORT_DAYTIME () { 13; }") unless defined(&IPPORT_DAYTIME);
    eval("sub IPPORT_NETSTAT () { 15; }") unless defined(&IPPORT_NETSTAT);
    eval("sub IPPORT_FTP () { 21; }") unless defined(&IPPORT_FTP);
    eval("sub IPPORT_TELNET () { 23; }") unless defined(&IPPORT_TELNET);
    eval("sub IPPORT_SMTP () { 25; }") unless defined(&IPPORT_SMTP);
    eval("sub IPPORT_TIMESERVER () { 37; }") unless defined(&IPPORT_TIMESERVER);
    eval("sub IPPORT_NAMESERVER () { 42; }") unless defined(&IPPORT_NAMESERVER);
    eval("sub IPPORT_WHOIS () { 43; }") unless defined(&IPPORT_WHOIS);
    eval("sub IPPORT_MTP () { 57; }") unless defined(&IPPORT_MTP);
    eval("sub IPPORT_TFTP () { 69; }") unless defined(&IPPORT_TFTP);
    eval("sub IPPORT_RJE () { 77; }") unless defined(&IPPORT_RJE);
    eval("sub IPPORT_FINGER () { 79; }") unless defined(&IPPORT_FINGER);
    eval("sub IPPORT_TTYLINK () { 87; }") unless defined(&IPPORT_TTYLINK);
    eval("sub IPPORT_SUPDUP () { 95; }") unless defined(&IPPORT_SUPDUP);
    eval("sub IPPORT_EXECSERVER () { 512; }") unless defined(&IPPORT_EXECSERVER);
    eval("sub IPPORT_LOGINSERVER () { 513; }") unless defined(&IPPORT_LOGINSERVER);
    eval("sub IPPORT_CMDSERVER () { 514; }") unless defined(&IPPORT_CMDSERVER);
    eval("sub IPPORT_EFSSERVER () { 520; }") unless defined(&IPPORT_EFSSERVER);
    eval("sub IPPORT_BIFFUDP () { 512; }") unless defined(&IPPORT_BIFFUDP);
    eval("sub IPPORT_WHOSERVER () { 513; }") unless defined(&IPPORT_WHOSERVER);
    eval("sub IPPORT_ROUTESERVER () { 520; }") unless defined(&IPPORT_ROUTESERVER);
    eval("sub IPPORT_RESERVED () { 1024; }") unless defined(&IPPORT_RESERVED);
    eval("sub IPPORT_USERRESERVED () { 5000; }") unless defined(&IPPORT_USERRESERVED);
    eval 'sub IN_CLASSA {
        my($a) = @_;
	    eval q((((( &in_addr_t)($a)) & 0x80000000) == 0));
    }' unless defined(&IN_CLASSA);
    eval 'sub IN_CLASSA_NET () {0xff000000;}' unless defined(&IN_CLASSA_NET);
    eval 'sub IN_CLASSA_NSHIFT () {24;}' unless defined(&IN_CLASSA_NSHIFT);
    eval 'sub IN_CLASSA_HOST () {(0xffffffff & ~ &IN_CLASSA_NET);}' unless defined(&IN_CLASSA_HOST);
    eval 'sub IN_CLASSA_MAX () {128;}' unless defined(&IN_CLASSA_MAX);
    eval 'sub IN_CLASSB {
        my($a) = @_;
	    eval q((((( &in_addr_t)($a)) & 0xc0000000) == 0x80000000));
    }' unless defined(&IN_CLASSB);
    eval 'sub IN_CLASSB_NET () {0xffff0000;}' unless defined(&IN_CLASSB_NET);
    eval 'sub IN_CLASSB_NSHIFT () {16;}' unless defined(&IN_CLASSB_NSHIFT);
    eval 'sub IN_CLASSB_HOST () {(0xffffffff & ~ &IN_CLASSB_NET);}' unless defined(&IN_CLASSB_HOST);
    eval 'sub IN_CLASSB_MAX () {65536;}' unless defined(&IN_CLASSB_MAX);
    eval 'sub IN_CLASSC {
        my($a) = @_;
	    eval q((((( &in_addr_t)($a)) & 0xe0000000) == 0xc0000000));
    }' unless defined(&IN_CLASSC);
    eval 'sub IN_CLASSC_NET () {0xffffff00;}' unless defined(&IN_CLASSC_NET);
    eval 'sub IN_CLASSC_NSHIFT () {8;}' unless defined(&IN_CLASSC_NSHIFT);
    eval 'sub IN_CLASSC_HOST () {(0xffffffff & ~ &IN_CLASSC_NET);}' unless defined(&IN_CLASSC_HOST);
    eval 'sub IN_CLASSD {
        my($a) = @_;
	    eval q((((( &in_addr_t)($a)) & 0xf0000000) == 0xe0000000));
    }' unless defined(&IN_CLASSD);
    eval 'sub IN_MULTICAST {
        my($a) = @_;
	    eval q( &IN_CLASSD($a));
    }' unless defined(&IN_MULTICAST);
    eval 'sub IN_EXPERIMENTAL {
        my($a) = @_;
	    eval q((((( &in_addr_t)($a)) & 0xe0000000) == 0xe0000000));
    }' unless defined(&IN_EXPERIMENTAL);
    eval 'sub IN_BADCLASS {
        my($a) = @_;
	    eval q((((( &in_addr_t)($a)) & 0xf0000000) == 0xf0000000));
    }' unless defined(&IN_BADCLASS);
    eval 'sub INADDR_ANY () {(( &in_addr_t) 0x);}' unless defined(&INADDR_ANY);
    eval 'sub INADDR_BROADCAST () {(( &in_addr_t) 0xffffffff);}' unless defined(&INADDR_BROADCAST);
    eval 'sub INADDR_NONE () {(( &in_addr_t) 0xffffffff);}' unless defined(&INADDR_NONE);
    eval 'sub INADDR_DUMMY () {(( &in_addr_t) 0xc0000008);}' unless defined(&INADDR_DUMMY);
    eval 'sub IN_LOOPBACKNET () {127;}' unless defined(&IN_LOOPBACKNET);
    unless(defined(&INADDR_LOOPBACK)) {
	eval 'sub INADDR_LOOPBACK () {(( &in_addr_t) 0x7f000001);}' unless defined(&INADDR_LOOPBACK);
    }
    eval 'sub INADDR_UNSPEC_GROUP () {(( &in_addr_t) 0xe0000000);}' unless defined(&INADDR_UNSPEC_GROUP);
    eval 'sub INADDR_ALLHOSTS_GROUP () {(( &in_addr_t) 0xe0000001);}' unless defined(&INADDR_ALLHOSTS_GROUP);
    eval 'sub INADDR_ALLRTRS_GROUP () {(( &in_addr_t) 0xe0000002);}' unless defined(&INADDR_ALLRTRS_GROUP);
    eval 'sub INADDR_ALLSNOOPERS_GROUP () {(( &in_addr_t) 0xe000006a);}' unless defined(&INADDR_ALLSNOOPERS_GROUP);
    eval 'sub INADDR_MAX_LOCAL_GROUP () {(( &in_addr_t) 0xe00000ff);}' unless defined(&INADDR_MAX_LOCAL_GROUP);
    if(!(defined(&__USE_KERNEL_IPV6_DEFS) ? &__USE_KERNEL_IPV6_DEFS : undef)) {
	eval 'sub s6_addr () { ($__in6_u->{__u6_addr8});}' unless defined(&s6_addr);
	if(defined(&__USE_MISC)) {
	    eval 'sub s6_addr16 () { ($__in6_u->{__u6_addr16});}' unless defined(&s6_addr16);
	    eval 'sub s6_addr32 () { ($__in6_u->{__u6_addr32});}' unless defined(&s6_addr32);
	}
    }
    eval 'sub IN6ADDR_ANY_INIT () {{ { { 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0} } };}' unless defined(&IN6ADDR_ANY_INIT);
    eval 'sub IN6ADDR_LOOPBACK_INIT () {{ { { 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1} } };}' unless defined(&IN6ADDR_LOOPBACK_INIT);
    eval 'sub INET_ADDRSTRLEN () {16;}' unless defined(&INET_ADDRSTRLEN);
    eval 'sub INET6_ADDRSTRLEN () {46;}' unless defined(&INET6_ADDRSTRLEN);
    if(!(defined(&__USE_KERNEL_IPV6_DEFS) ? &__USE_KERNEL_IPV6_DEFS : undef)) {
    }
    if(defined(&__USE_MISC)) {
    }
    if(!(defined(&__USE_KERNEL_IPV6_DEFS) ? &__USE_KERNEL_IPV6_DEFS : undef)) {
    }
    if(defined(&__USE_MISC)) {
	eval 'sub IP_MSFILTER_SIZE {
	    my($numsrc) = @_;
    	    eval q(($sizeof{\'struct ip_msfilter\'} - $sizeof{\'struct in_addr\'} + ($numsrc) * $sizeof{\'struct in_addr\'}));
	}' unless defined(&IP_MSFILTER_SIZE);
	eval 'sub GROUP_FILTER_SIZE {
	    my($numsrc) = @_;
    	    eval q(($sizeof{\'struct group_filter\'} - $sizeof{\'struct sockaddr_storage\'} + (($numsrc) * $sizeof{\'struct sockaddr_storage\'})));
	}' unless defined(&GROUP_FILTER_SIZE);
    }
    require 'endian.ph';
    require 'bits/byteswap.ph';
    require 'bits/uintn-identity.ph';
    if(defined(&__OPTIMIZE__)) {
	if((defined(&__BYTE_ORDER) ? &__BYTE_ORDER : undef) == (defined(&__BIG_ENDIAN) ? &__BIG_ENDIAN : undef)) {
	    eval 'sub ntohl {
	        my($x) = @_;
    		eval q( &__uint32_identity ($x));
	    }' unless defined(&ntohl);
	    eval 'sub ntohs {
	        my($x) = @_;
    		eval q( &__uint16_identity ($x));
	    }' unless defined(&ntohs);
	    eval 'sub htonl {
	        my($x) = @_;
    		eval q( &__uint32_identity ($x));
	    }' unless defined(&htonl);
	    eval 'sub htons {
	        my($x) = @_;
    		eval q( &__uint16_identity ($x));
	    }' unless defined(&htons);
	} else {
	    if((defined(&__BYTE_ORDER) ? &__BYTE_ORDER : undef) == (defined(&__LITTLE_ENDIAN) ? &__LITTLE_ENDIAN : undef)) {
		eval 'sub ntohl {
		    my($x) = @_;
    		    eval q( &__bswap_32 ($x));
		}' unless defined(&ntohl);
		eval 'sub ntohs {
		    my($x) = @_;
    		    eval q( &__bswap_16 ($x));
		}' unless defined(&ntohs);
		eval 'sub htonl {
		    my($x) = @_;
    		    eval q( &__bswap_32 ($x));
		}' unless defined(&htonl);
		eval 'sub htons {
		    my($x) = @_;
    		    eval q( &__bswap_16 ($x));
		}' unless defined(&htons);
	    }
	}
    }
    if(defined(&__GNUC__)) {
	eval 'sub IN6_IS_ADDR_UNSPECIFIED {
	    my($a) = @_;
    	    eval q(( &__extension__ ({  &const \'struct in6_addr\' * &__a = ( &const \'struct in6_addr\' *) ($a);  ($__a->{__in6_u}->{__u6_addr32[0]}) == 0 &&  ($__a->{__in6_u}->{__u6_addr32[1]}) == 0 &&  ($__a->{__in6_u}->{__u6_addr32[2]}) == 0 &&  ($__a->{__in6_u}->{__u6_addr32[3]}) == 0; })));
	}' unless defined(&IN6_IS_ADDR_UNSPECIFIED);
	eval 'sub IN6_IS_ADDR_LOOPBACK {
	    my($a) = @_;
    	    eval q(( &__extension__ ({  &const \'struct in6_addr\' * &__a = ( &const \'struct in6_addr\' *) ($a);  ($__a->{__in6_u}->{__u6_addr32[0]}) == 0 &&  ($__a->{__in6_u}->{__u6_addr32[1]}) == 0 &&  ($__a->{__in6_u}->{__u6_addr32[2]}) == 0 &&  ($__a->{__in6_u}->{__u6_addr32[3]}) ==  &htonl (1); })));
	}' unless defined(&IN6_IS_ADDR_LOOPBACK);
	eval 'sub IN6_IS_ADDR_LINKLOCAL {
	    my($a) = @_;
    	    eval q(( &__extension__ ({  &const \'struct in6_addr\' * &__a = ( &const \'struct in6_addr\' *) ($a); ( ($__a->{__in6_u}->{__u6_addr32[0]}) &  &htonl (0xffc00000)) ==  &htonl (0xfe800000); })));
	}' unless defined(&IN6_IS_ADDR_LINKLOCAL);
	eval 'sub IN6_IS_ADDR_SITELOCAL {
	    my($a) = @_;
    	    eval q(( &__extension__ ({  &const \'struct in6_addr\' * &__a = ( &const \'struct in6_addr\' *) ($a); ( ($__a->{__in6_u}->{__u6_addr32[0]}) &  &htonl (0xffc00000)) ==  &htonl (0xfec00000); })));
	}' unless defined(&IN6_IS_ADDR_SITELOCAL);
	eval 'sub IN6_IS_ADDR_V4MAPPED {
	    my($a) = @_;
    	    eval q(( &__extension__ ({  &const \'struct in6_addr\' * &__a = ( &const \'struct in6_addr\' *) ($a);  ($__a->{__in6_u}->{__u6_addr32[0]}) == 0 &&  ($__a->{__in6_u}->{__u6_addr32[1]}) == 0 &&  ($__a->{__in6_u}->{__u6_addr32[2]}) ==  &htonl (0xffff); })));
	}' unless defined(&IN6_IS_ADDR_V4MAPPED);
	eval 'sub IN6_IS_ADDR_V4COMPAT {
	    my($a) = @_;
    	    eval q(( &__extension__ ({  &const \'struct in6_addr\' * &__a = ( &const \'struct in6_addr\' *) ($a);  ($__a->{__in6_u}->{__u6_addr32[0]}) == 0 &&  ($__a->{__in6_u}->{__u6_addr32[1]}) == 0 &&  ($__a->{__in6_u}->{__u6_addr32[2]}) == 0 &&  &ntohl ( ($__a->{__in6_u}->{__u6_addr32[3]})) > 1; })));
	}' unless defined(&IN6_IS_ADDR_V4COMPAT);
	eval 'sub IN6_ARE_ADDR_EQUAL {
	    my($a,$b) = @_;
    	    eval q(( &__extension__ ({  &const \'struct in6_addr\' * &__a = ( &const \'struct in6_addr\' *) ($a);  &const \'struct in6_addr\' * &__b = ( &const \'struct in6_addr\' *) ($b);  ($__a->{__in6_u}->{__u6_addr32[0]}) ==  ($__b->{__in6_u}->{__u6_addr32[0]})	  &&  ($__a->{__in6_u}->{__u6_addr32[1]}) ==  ($__b->{__in6_u}->{__u6_addr32[1]})	  &&  ($__a->{__in6_u}->{__u6_addr32[2]}) ==  ($__b->{__in6_u}->{__u6_addr32[2]})	  &&  ($__a->{__in6_u}->{__u6_addr32[3]}) ==  ($__b->{__in6_u}->{__u6_addr32[3]}); })));
	}' unless defined(&IN6_ARE_ADDR_EQUAL);
    } else {
	eval 'sub IN6_IS_ADDR_UNSPECIFIED {
	    my($a) = @_;
    	    eval q(((( &const  &uint32_t *) ($a))[0] == 0 && (( &const  &uint32_t *) ($a))[1] == 0 && (( &const  &uint32_t *) ($a))[2] == 0 && (( &const  &uint32_t *) ($a))[3] == 0));
	}' unless defined(&IN6_IS_ADDR_UNSPECIFIED);
	eval 'sub IN6_IS_ADDR_LOOPBACK {
	    my($a) = @_;
    	    eval q(((( &const  &uint32_t *) ($a))[0] == 0 && (( &const  &uint32_t *) ($a))[1] == 0 && (( &const  &uint32_t *) ($a))[2] == 0 && (( &const  &uint32_t *) ($a))[3] ==  &htonl (1)));
	}' unless defined(&IN6_IS_ADDR_LOOPBACK);
	eval 'sub IN6_IS_ADDR_LINKLOCAL {
	    my($a) = @_;
    	    eval q((((( &const  &uint32_t *) ($a))[0] &  &htonl (0xffc00000)) ==  &htonl (0xfe800000)));
	}' unless defined(&IN6_IS_ADDR_LINKLOCAL);
	eval 'sub IN6_IS_ADDR_SITELOCAL {
	    my($a) = @_;
    	    eval q((((( &const  &uint32_t *) ($a))[0] &  &htonl (0xffc00000)) ==  &htonl (0xfec00000)));
	}' unless defined(&IN6_IS_ADDR_SITELOCAL);
	eval 'sub IN6_IS_ADDR_V4MAPPED {
	    my($a) = @_;
    	    eval q((((( &const  &uint32_t *) ($a))[0] == 0)  && ((( &const  &uint32_t *) ($a))[1] == 0)  && ((( &const  &uint32_t *) ($a))[2] ==  &htonl (0xffff))));
	}' unless defined(&IN6_IS_ADDR_V4MAPPED);
	eval 'sub IN6_IS_ADDR_V4COMPAT {
	    my($a) = @_;
    	    eval q((((( &const  &uint32_t *) ($a))[0] == 0)  && ((( &const  &uint32_t *) ($a))[1] == 0)  && ((( &const  &uint32_t *) ($a))[2] == 0)  && ( &ntohl ((( &const  &uint32_t *) ($a))[3]) > 1)));
	}' unless defined(&IN6_IS_ADDR_V4COMPAT);
	eval 'sub IN6_ARE_ADDR_EQUAL {
	    my($a,$b) = @_;
    	    eval q((((( &const  &uint32_t *) ($a))[0] == (( &const  &uint32_t *) ($b))[0])  && ((( &const  &uint32_t *) ($a))[1] == (( &const  &uint32_t *) ($b))[1])  && ((( &const  &uint32_t *) ($a))[2] == (( &const  &uint32_t *) ($b))[2])  && ((( &const  &uint32_t *) ($a))[3] == (( &const  &uint32_t *) ($b))[3])));
	}' unless defined(&IN6_ARE_ADDR_EQUAL);
    }
    eval 'sub IN6_IS_ADDR_MULTICAST {
        my($a) = @_;
	    eval q(((( &const  &uint8_t *) ($a))[0] == 0xff));
    }' unless defined(&IN6_IS_ADDR_MULTICAST);
    if(defined(&__USE_MISC)) {
    }
    eval 'sub IN6_IS_ADDR_MC_NODELOCAL {
        my($a) = @_;
	    eval q(( &IN6_IS_ADDR_MULTICAST($a)  && (((( &const  &uint8_t *) ($a))[1] & 0xf) == 0x1)));
    }' unless defined(&IN6_IS_ADDR_MC_NODELOCAL);
    eval 'sub IN6_IS_ADDR_MC_LINKLOCAL {
        my($a) = @_;
	    eval q(( &IN6_IS_ADDR_MULTICAST($a)  && (((( &const  &uint8_t *) ($a))[1] & 0xf) == 0x2)));
    }' unless defined(&IN6_IS_ADDR_MC_LINKLOCAL);
    eval 'sub IN6_IS_ADDR_MC_SITELOCAL {
        my($a) = @_;
	    eval q(( &IN6_IS_ADDR_MULTICAST($a)  && (((( &const  &uint8_t *) ($a))[1] & 0xf) == 0x5)));
    }' unless defined(&IN6_IS_ADDR_MC_SITELOCAL);
    eval 'sub IN6_IS_ADDR_MC_ORGLOCAL {
        my($a) = @_;
	    eval q(( &IN6_IS_ADDR_MULTICAST($a)  && (((( &const  &uint8_t *) ($a))[1] & 0xf) == 0x8)));
    }' unless defined(&IN6_IS_ADDR_MC_ORGLOCAL);
    eval 'sub IN6_IS_ADDR_MC_GLOBAL {
        my($a) = @_;
	    eval q(( &IN6_IS_ADDR_MULTICAST($a)  && (((( &const  &uint8_t *) ($a))[1] & 0xf) == 0xe)));
    }' unless defined(&IN6_IS_ADDR_MC_GLOBAL);
    if(defined(&__USE_GNU)) {
	if(!(defined(&__USE_KERNEL_IPV6_DEFS) ? &__USE_KERNEL_IPV6_DEFS : undef)) {
	}
    }
}
1;
